# Update

This update script will update an adapter by appending or updating API calls selected for modification. 

Calls can be selected for change within an adapter by providing a specification document to the Update Tool in the adapter-engine and choosing which calls to modify via the CLI or adapter-wizard (to be implemented in later versions).

Ability to properly delete API calls via this update script will be implemented in the future.

## Usage

Navigate to the directory of the adapter you want to update. If necessary, move an adapter-modifications folder generated by the Update Tool into the adapter directory.

```
cd adapter_modifications

node update.js {sub-directory name}
```

The second argument in the above command should be identical to the name of a immediate sub-directory within adapter-modifications. The provided directory should contain the components required to update a certain adapter.

The name of this folder is initialized based on the specification document you provide as input to the Update Tool. If you rename that folder, you will need to reflect that change in the given command argument.

Running this command will update the adapter and run unit and integration tests.  If updated correctly, the adapter should pass all tests.

In order to pass all tests, note that adapter names should be formatted as: 'adapter-name'. Names such as 'adapter-name-test' or similar will cause the tests to error at this point in time. 

## Directory Structure

A sub-directory within adapter-modifications should have the following file structure:

```
{name of sub-directory}
  -- components
    -- adapter.js
    -- entities
      -- {entity name}
        -- schema.json
        -- action.json
        -- mockdatafiles
          -- mockdata.json
    -- pronghorn.json
    -- test
      -- unit
        -- adapterTestUnit.js
      -- integration
        -- adapterTestIntegration.js
```

Each of these files contains the changes to their adapter equivalents that are enacted when an adapter is updated.

Note that depending on how many calls are being updated, the number of sub-directories within entities/ will vary. Each entity sub-directory will have its own action.json, schema.json, and mockdatafiles/ directory.

## Linting

If this is an adapter built prior to update capabilities being added (9/2020) you may need to add a line to the .eslintignore (adapter_modifications/*) to ignore any lint errors in the update files. These files have lint errors because they are parital js files.

## Testing

Refer to the adapter's README file to perform unit and integration tests post-update. Integration tests can be performed in standalone or integrated mode.
