/* @copyright Itential, LLC 2019 */

/* eslint prefer-destructuring:warn */
/* eslint prefer-template:warn */

// const updateScript = require('update.js');
const fs = require('fs-extra');
const path = require('path');

const folder = process.argv[2];

/**
 *
 * This is the file to run in order to add specific calls to your existing adapter.
 * Make sure the zip is in the adapter's top level directory, then navigate there in the terminal and run 'node specficCallScript {folderName}'.
 *
 */

/**
  *@summary the main function to be run in this file.
  *@function main
*/

function main() {
  const entityPath = path.join(__dirname, '../entities');
  const entitiesFull = fs.readdirSync(entityPath, 'utf8').filter((entity) => (entity !== '.system' && entity !== '.DS_Store' && entity !== '.generic'));
  const mockArray = [];

  // loop through existing adapter entities
  entitiesFull.forEach((e) => {
    if (fs.existsSync(path.join(__dirname, `../entities/${e}/mockdatafiles`))) {
      fs.readdirSync(path.join(__dirname, `../entities/${e}/mockdatafiles`)).forEach((file) => {
        const mockObj = {};
        mockObj.name = file;
        mockObj.contents = JSON.parse(fs.readFileSync(path.join(__dirname, `../entities/${e}/mockdatafiles/${file}`), 'utf8'));
        mockObj.entity = e;
        mockObj.function = file.slice(0, -13);
        mockArray.push(mockObj);
      });
    }
    // find and loop through entities of methods being added
    if (fs.existsSync(path.join(__dirname, `./${folder}/components/entities`))) {
      const entityAddPath = path.join(__dirname, `./${folder}/components/entities`);
      const entitiesAdding = fs.readdirSync(entityAddPath, 'utf8').filter((entity) => (entity !== '.system' && entity !== '.DS_Store' && entity !== '.generic'));

      // for each entity in the specific additions, get the appropriate integration test info from generic call for the specific calls
      let finalAddedIntegrationTest = '';
      let entityIntegrationTests = '';
      entitiesAdding.forEach((eSpecific) => {
        const existingActionFile = JSON.parse(fs.readFileSync(path.join(__dirname, `../entities/${e}/action.json`), 'utf8'));
        const existingIntegrationFile = fs.readFileSync(path.join(__dirname, '../test/integration/adapterTestIntegration.js'), 'utf8');
        const testSplit = existingIntegrationFile.split('describe');
        existingActionFile.actions.forEach((action) => {
          let replaceTest = '';
          testSplit.every((test) => {
            const testSlice = test.slice(0, action.name.length + 3);
            if (testSlice.includes(action.name)) {
              replaceTest = test.split('if (stub) {\n');
              replaceTest = replaceTest[1].split('} else {\n');
              replaceTest = replaceTest[0];
              return false;
            }
            return true;
          });
          if (replaceTest !== '') {
            const addingIntegrationFile = fs.readFileSync(path.join(__dirname, `${folder}/components/test/integration/adapterTestIntegration.js`), 'utf8');
            const addingTestSplit = addingIntegrationFile.split('describe');
            const addingActionFile = JSON.parse(fs.readFileSync(path.join(__dirname, `./${folder}/components/entities/${eSpecific}/action.json`)), 'utf8');
            addingActionFile.forEach((addingAction) => {
              let replacedTest = '';
              addingTestSplit.forEach((addedTest) => {
                const addingTestSlice = addedTest.slice(0, addingAction.name.length + 3);
                if (addingTestSlice.includes(addingAction.name) && (action.method === addingAction.method)) {
                  replacedTest = addedTest.split('if (stub) {\n');
                  replacedTest = replacedTest[1].split('} else {\n');
                  replacedTest = replacedTest[0];
                  let finalTest = addedTest.replace(replacedTest, replaceTest);
                  finalTest = finalTest.replace('should work if integrated but since no mockdata should error when run standalone', 'should work if integrated or standalone with mockdata');
                  finalTest = 'describe' + finalTest;
                  entityIntegrationTests = finalTest;
                  finalAddedIntegrationTest += entityIntegrationTests;
                }
              });
            });
          }
        });
        // clear out the action.json and schema.json file of the specific call so it does not get added to action.json and schema.json of generic adapter
        fs.writeFileSync(path.join(__dirname, `./${folder}/components/entities/${eSpecific}/action.json`), '[]');
        fs.writeFileSync(path.join(__dirname, `./${folder}/components/entities/${eSpecific}/schema.json`), '[]');
      });
      finalAddedIntegrationTest = '\n    ' + finalAddedIntegrationTest;
      fs.writeFileSync(path.join(__dirname, `${folder}/components/test/integration/adapterTestIntegration.js`), finalAddedIntegrationTest);
    }
  });
}

main();
