    let skipCount = 0;

    describe('#repositoriesGetDeletedRepositories - errors', () => {
      it('should work if integrated or standalone with mockdata', (done) => {
        if (pronghorn.methodsByName.repositoriesGetDeletedRepositories.task) {
          try {
            a.repositoriesGetDeletedRepositories('fakedata', 'fakedata', 'fakedata', (data, error) => {
              try {
                if (stub) {
                  runCommonAsserts(data, error);
                  assert.equal('object', typeof data.response[0]);
                  assert.equal('object', typeof data.response[1]);
                } else {
                  runCommonAsserts(data, error);
                }
                saveMockData('Repositories', 'repositoriesGetDeletedRepositories', 'default', data);
                done();
              } catch (err) {
                log.error(`Test Failure: ${err}`);
                done(err);
              }
            });
          } catch (error) {
            log.error(`Adapter Exception: ${error}`);
            done(error);
          }
        } else {
          log.error('repositoriesGetDeletedRepositories task is false, skipping test');
          skipCount += 1;
          done();
        }// end if task
      }).timeout(attemptTimeout);
    });

    describe('#repositoriesGetRecycleBinRepositories - errors', () => {
      it('should work if integrated or standalone with mockdata', (done) => {
        if (pronghorn.methodsByName.repositoriesGetRecycleBinRepositories.task) {
          try {
            a.repositoriesGetRecycleBinRepositories('fakedata', 'fakedata', 'fakedata', (data, error) => {
              try {
                if (stub) {
                  runCommonAsserts(data, error);
                  assert.equal('object', typeof data.response[0]);
                } else {
                  runCommonAsserts(data, error);
                }
                saveMockData('Repositories', 'repositoriesGetRecycleBinRepositories', 'default', data);
                done();
              } catch (err) {
                log.error(`Test Failure: ${err}`);
                done(err);
              }
            });
          } catch (error) {
            log.error(`Adapter Exception: ${error}`);
            done(error);
          }
        } else {
          log.error('repositoriesGetRecycleBinRepositories task is false, skipping test');
          skipCount += 1;
          done();
        }// end if task
      }).timeout(attemptTimeout);
    });

    describe('#repositoriesDeleteRepositoryFromRecycleBin - errors', () => {
      it('should work if integrated but since no mockdata should error when run standalone', (done) => {
        if (pronghorn.methodsByName.repositoriesDeleteRepositoryFromRecycleBin.task) {
          try {
            a.repositoriesDeleteRepositoryFromRecycleBin('fakedata', 'fakedata', 'fakedata', 'fakedata', (data, error) => {
              try {
                if (stub) {
                  const displayE = 'Error 400 received on request';
                  runErrorAsserts(data, error, 'AD.500', 'Test-append-connectorRest-handleEndResponse', displayE);
                } else {
                  runCommonAsserts(data, error);
                }
                saveMockData('Repositories', 'repositoriesDeleteRepositoryFromRecycleBin', 'default', data);
                done();
              } catch (err) {
                log.error(`Test Failure: ${err}`);
                done(err);
              }
            });
          } catch (error) {
            log.error(`Adapter Exception: ${error}`);
            done(error);
          }
        } else {
          log.error('repositoriesDeleteRepositoryFromRecycleBin task is false, skipping test');
          skipCount += 1;
          done();
        }// end if task
      }).timeout(attemptTimeout);
    });

    const repositoriesRepositoriesRestoreRepositoryFromRecycleBinBodyParam = {
      deleted: false
    };
    describe('#repositoriesRestoreRepositoryFromRecycleBin - errors', () => {
      it('should work if integrated but since no mockdata should error when run standalone', (done) => {
        if (pronghorn.methodsByName.repositoriesRestoreRepositoryFromRecycleBin.task) {
          try {
            a.repositoriesRestoreRepositoryFromRecycleBin('fakedata', repositoriesRepositoriesRestoreRepositoryFromRecycleBinBodyParam, 'fakedata', 'fakedata', 'fakedata', (data, error) => {
              try {
                if (stub) {
                  const displayE = 'Error 400 received on request';
                  runErrorAsserts(data, error, 'AD.500', 'Test-append-connectorRest-handleEndResponse', displayE);
                } else {
                  runCommonAsserts(data, error);
                }
                saveMockData('Repositories', 'repositoriesRestoreRepositoryFromRecycleBin', 'default', data);
                done();
              } catch (err) {
                log.error(`Test Failure: ${err}`);
                done(err);
              }
            });
          } catch (error) {
            log.error(`Adapter Exception: ${error}`);
            done(error);
          }
        } else {
          log.error('repositoriesRestoreRepositoryFromRecycleBin task is false, skipping test');
          skipCount += 1;
          done();
        }// end if task
      }).timeout(attemptTimeout);
    });

    const repositoriesRepositoriesCreateBodyParam = {
      name: 'string',
      parentRepository: {
        collection: {
          id: 'string',
          name: 'string',
          url: 'string'
        },
        id: 'string',
        isFork: false,
        name: 'string',
        project: {
          abbreviation: 'string',
          defaultTeamImageUrl: 'string',
          description: 'string',
          id: 'string',
          lastUpdateTime: 'string',
          name: 'string',
          revision: 4,
          state: 'deleting',
          url: 'string',
          visibility: 'private'
        },
        remoteUrl: 'string',
        sshUrl: 'string',
        url: 'string'
      },
      project: {
        abbreviation: 'string',
        defaultTeamImageUrl: 'string',
        description: 'string',
        id: 'string',
        lastUpdateTime: 'string',
        name: 'string',
        revision: 3,
        state: 'wellFormed',
        url: 'string',
        visibility: 'private'
      }
    };
    describe('#repositoriesCreate - errors', () => {
      it('should work if integrated but since no mockdata should error when run standalone', (done) => {
        if (pronghorn.methodsByName.repositoriesCreate.task) {
          try {
            a.repositoriesCreate('fakedata', repositoriesRepositoriesCreateBodyParam, 'fakedata', null, 'fakedata', (data, error) => {
              try {
                if (stub) {
                  const displayE = 'Error 400 received on request';
                  runErrorAsserts(data, error, 'AD.500', 'Test-append-connectorRest-handleEndResponse', displayE);
                } else {
                  runCommonAsserts(data, error);
                }
                saveMockData('Repositories', 'repositoriesCreate', 'default', data);
                done();
              } catch (err) {
                log.error(`Test Failure: ${err}`);
                done(err);
              }
            });
          } catch (error) {
            log.error(`Adapter Exception: ${error}`);
            done(error);
          }
        } else {
          log.error('repositoriesCreate task is false, skipping test');
          skipCount += 1;
          done();
        }// end if task
      }).timeout(attemptTimeout);
    });

    describe('#repositoriesList - errors', () => {
      it('should work if integrated or standalone with mockdata', (done) => {
        if (pronghorn.methodsByName.repositoriesList.task) {
          try {
            a.repositoriesList('fakedata', 'fakedata', null, null, null, 'fakedata', (data, error) => {
              try {
                if (stub) {
                  runCommonAsserts(data, error);
                  assert.equal('object', typeof data.response[0]);
                  assert.equal('object', typeof data.response[1]);
                } else {
                  runCommonAsserts(data, error);
                }
                saveMockData('Repositories', 'repositoriesList', 'default', data);
                done();
              } catch (err) {
                log.error(`Test Failure: ${err}`);
                done(err);
              }
            });
          } catch (error) {
            log.error(`Adapter Exception: ${error}`);
            done(error);
          }
        } else {
          log.error('repositoriesList task is false, skipping test');
          skipCount += 1;
          done();
        }// end if task
      }).timeout(attemptTimeout);
    });

    describe('#repositoriesDelete - errors', () => {
      it('should work if integrated but since no mockdata should error when run standalone', (done) => {
        if (pronghorn.methodsByName.repositoriesDelete.task) {
          try {
            a.repositoriesDelete('fakedata', 'fakedata', 'fakedata', 'fakedata', (data, error) => {
              try {
                if (stub) {
                  const displayE = 'Error 400 received on request';
                  runErrorAsserts(data, error, 'AD.500', 'Test-append-connectorRest-handleEndResponse', displayE);
                } else {
                  runCommonAsserts(data, error);
                }
                saveMockData('Repositories', 'repositoriesDelete', 'default', data);
                done();
              } catch (err) {
                log.error(`Test Failure: ${err}`);
                done(err);
              }
            });
          } catch (error) {
            log.error(`Adapter Exception: ${error}`);
            done(error);
          }
        } else {
          log.error('repositoriesDelete task is false, skipping test');
          skipCount += 1;
          done();
        }// end if task
      }).timeout(attemptTimeout);
    });

    describe('#repositoriesGetRepository - errors', () => {
      it('should work if integrated but since no mockdata should error when run standalone', (done) => {
        if (pronghorn.methodsByName.repositoriesGetRepository.task) {
          try {
            a.repositoriesGetRepository('fakedata', 'fakedata', 'fakedata', 'fakedata', (data, error) => {
              try {
                if (stub) {
                  const displayE = 'Error 400 received on request';
                  runErrorAsserts(data, error, 'AD.500', 'Test-append-connectorRest-handleEndResponse', displayE);
                } else {
                  runCommonAsserts(data, error);
                }
                saveMockData('Repositories', 'repositoriesGetRepository', 'default', data);
                done();
              } catch (err) {
                log.error(`Test Failure: ${err}`);
                done(err);
              }
            });
          } catch (error) {
            log.error(`Adapter Exception: ${error}`);
            done(error);
          }
        } else {
          log.error('repositoriesGetRepository task is false, skipping test');
          skipCount += 1;
          done();
        }// end if task
      }).timeout(attemptTimeout);
    });

    const repositoriesRepositoriesUpdateBodyParam = {
      _links: {
        links: {}
      },
      defaultBranch: 'string',
      id: 'string',
      isDisabled: true,
      isFork: false,
      name: 'string',
      parentRepository: {
        collection: {
          id: 'string',
          name: 'string',
          url: 'string'
        },
        id: 'string',
        isFork: true,
        name: 'string',
        project: {
          abbreviation: 'string',
          defaultTeamImageUrl: 'string',
          description: 'string',
          id: 'string',
          lastUpdateTime: 'string',
          name: 'string',
          revision: 4,
          state: 'all',
          url: 'string',
          visibility: 'public'
        },
        remoteUrl: 'string',
        sshUrl: 'string',
        url: 'string'
      },
      project: {
        abbreviation: 'string',
        defaultTeamImageUrl: 'string',
        description: 'string',
        id: 'string',
        lastUpdateTime: 'string',
        name: 'string',
        revision: 2,
        state: 'deleted',
        url: 'string',
        visibility: 'private'
      },
      remoteUrl: 'string',
      size: 6,
      sshUrl: 'string',
      url: 'string',
      validRemoteUrls: [
        'string'
      ],
      webUrl: 'string'
    };
    describe('#repositoriesUpdate - errors', () => {
      it('should work if integrated but since no mockdata should error when run standalone', (done) => {
        if (pronghorn.methodsByName.repositoriesUpdate.task) {
          try {
            a.repositoriesUpdate('fakedata', repositoriesRepositoriesUpdateBodyParam, 'fakedata', 'fakedata', 'fakedata', (data, error) => {
              try {
                if (stub) {
                  const displayE = 'Error 400 received on request';
                  runErrorAsserts(data, error, 'AD.500', 'Test-append-connectorRest-handleEndResponse', displayE);
                } else {
                  runCommonAsserts(data, error);
                }
                saveMockData('Repositories', 'repositoriesUpdate', 'default', data);
                done();
              } catch (err) {
                log.error(`Test Failure: ${err}`);
                done(err);
              }
            });
          } catch (error) {
            log.error(`Adapter Exception: ${error}`);
            done(error);
          }
        } else {
          log.error('repositoriesUpdate task is false, skipping test');
          skipCount += 1;
          done();
        }// end if task
      }).timeout(attemptTimeout);
    });

    const refsFavoritesRefsFavoritesCreateBodyParam = {
      _links: {
        links: {}
      },
      id: 2,
      identityId: 'string',
      name: 'string',
      repositoryId: 'string',
      type: 'invalid',
      url: 'string'
    };
    describe('#refsFavoritesCreate - errors', () => {
      it('should work if integrated but since no mockdata should error when run standalone', (done) => {
        if (pronghorn.methodsByName.refsFavoritesCreate.task) {
          try {
            a.refsFavoritesCreate('fakedata', refsFavoritesRefsFavoritesCreateBodyParam, 'fakedata', 'fakedata', (data, error) => {
              try {
                if (stub) {
                  const displayE = 'Error 400 received on request';
                  runErrorAsserts(data, error, 'AD.500', 'Test-append-connectorRest-handleEndResponse', displayE);
                } else {
                  runCommonAsserts(data, error);
                }
                saveMockData('RefsFavorites', 'refsFavoritesCreate', 'default', data);
                done();
              } catch (err) {
                log.error(`Test Failure: ${err}`);
                done(err);
              }
            });
          } catch (error) {
            log.error(`Adapter Exception: ${error}`);
            done(error);
          }
        } else {
          log.error('refsFavoritesCreate task is false, skipping test');
          skipCount += 1;
          done();
        }// end if task
      }).timeout(attemptTimeout);
    });

    describe('#refsFavoritesList - errors', () => {
      it('should work if integrated or standalone with mockdata', (done) => {
        if (pronghorn.methodsByName.refsFavoritesList.task) {
          try {
            a.refsFavoritesList('fakedata', 'fakedata', null, null, 'fakedata', (data, error) => {
              try {
                if (stub) {
                  runCommonAsserts(data, error);
                  assert.equal('object', typeof data.response[0]);
                  assert.equal('object', typeof data.response[1]);
                  assert.equal('object', typeof data.response[2]);
                } else {
                  runCommonAsserts(data, error);
                }
                saveMockData('RefsFavorites', 'refsFavoritesList', 'default', data);
                done();
              } catch (err) {
                log.error(`Test Failure: ${err}`);
                done(err);
              }
            });
          } catch (error) {
            log.error(`Adapter Exception: ${error}`);
            done(error);
          }
        } else {
          log.error('refsFavoritesList task is false, skipping test');
          skipCount += 1;
          done();
        }// end if task
      }).timeout(attemptTimeout);
    });

    describe('#refsFavoritesDelete - errors', () => {
      it('should work if integrated but since no mockdata should error when run standalone', (done) => {
        if (pronghorn.methodsByName.refsFavoritesDelete.task) {
          try {
            a.refsFavoritesDelete('fakedata', 'fakedata', 555, 'fakedata', (data, error) => {
              try {
                if (stub) {
                  const displayE = 'Error 400 received on request';
                  runErrorAsserts(data, error, 'AD.500', 'Test-append-connectorRest-handleEndResponse', displayE);
                } else {
                  runCommonAsserts(data, error);
                }
                saveMockData('RefsFavorites', 'refsFavoritesDelete', 'default', data);
                done();
              } catch (err) {
                log.error(`Test Failure: ${err}`);
                done(err);
              }
            });
          } catch (error) {
            log.error(`Adapter Exception: ${error}`);
            done(error);
          }
        } else {
          log.error('refsFavoritesDelete task is false, skipping test');
          skipCount += 1;
          done();
        }// end if task
      }).timeout(attemptTimeout);
    });

    describe('#refsFavoritesGet - errors', () => {
      it('should work if integrated but since no mockdata should error when run standalone', (done) => {
        if (pronghorn.methodsByName.refsFavoritesGet.task) {
          try {
            a.refsFavoritesGet('fakedata', 'fakedata', 555, 'fakedata', (data, error) => {
              try {
                if (stub) {
                  const displayE = 'Error 400 received on request';
                  runErrorAsserts(data, error, 'AD.500', 'Test-append-connectorRest-handleEndResponse', displayE);
                } else {
                  runCommonAsserts(data, error);
                }
                saveMockData('RefsFavorites', 'refsFavoritesGet', 'default', data);
                done();
              } catch (err) {
                log.error(`Test Failure: ${err}`);
                done(err);
              }
            });
          } catch (error) {
            log.error(`Adapter Exception: ${error}`);
            done(error);
          }
        } else {
          log.error('refsFavoritesGet task is false, skipping test');
          skipCount += 1;
          done();
        }// end if task
      }).timeout(attemptTimeout);
    });

    describe('#policyConfigurationsGet - errors', () => {
      it('should work if integrated or standalone with mockdata', (done) => {
        if (pronghorn.methodsByName.policyConfigurationsGet.task) {
          try {
            a.policyConfigurationsGet('fakedata', 'fakedata', null, null, null, null, null, 'fakedata', (data, error) => {
              try {
                if (stub) {
                  runCommonAsserts(data, error);
                  assert.equal('object', typeof data.response[0]);
                  assert.equal('object', typeof data.response[1]);
                } else {
                  runCommonAsserts(data, error);
                }
                saveMockData('PolicyConfigurations', 'policyConfigurationsGet', 'default', data);
                done();
              } catch (err) {
                log.error(`Test Failure: ${err}`);
                done(err);
              }
            });
          } catch (error) {
            log.error(`Adapter Exception: ${error}`);
            done(error);
          }
        } else {
          log.error('policyConfigurationsGet task is false, skipping test');
          skipCount += 1;
          done();
        }// end if task
      }).timeout(attemptTimeout);
    });

    describe('#pullRequestsGetPullRequestsByProject - errors', () => {
      it('should work if integrated or standalone with mockdata', (done) => {
        if (pronghorn.methodsByName.pullRequestsGetPullRequestsByProject.task) {
          try {
            a.pullRequestsGetPullRequestsByProject('fakedata', 'fakedata', null, null, null, null, null, null, null, null, null, null, null, 'fakedata', (data, error) => {
              try {
                if (stub) {
                  runCommonAsserts(data, error);
                  assert.equal('object', typeof data.response[0]);
                  assert.equal('object', typeof data.response[1]);
                } else {
                  runCommonAsserts(data, error);
                }
                saveMockData('PullRequests', 'pullRequestsGetPullRequestsByProject', 'default', data);
                done();
              } catch (err) {
                log.error(`Test Failure: ${err}`);
                done(err);
              }
            });
          } catch (error) {
            log.error(`Adapter Exception: ${error}`);
            done(error);
          }
        } else {
          log.error('pullRequestsGetPullRequestsByProject task is false, skipping test');
          skipCount += 1;
          done();
        }// end if task
      }).timeout(attemptTimeout);
    });

    describe('#pullRequestsGetPullRequestById - errors', () => {
      it('should work if integrated but since no mockdata should error when run standalone', (done) => {
        if (pronghorn.methodsByName.pullRequestsGetPullRequestById.task) {
          try {
            a.pullRequestsGetPullRequestById('fakedata', 555, 'fakedata', 'fakedata', (data, error) => {
              try {
                if (stub) {
                  const displayE = 'Error 400 received on request';
                  runErrorAsserts(data, error, 'AD.500', 'Test-append-connectorRest-handleEndResponse', displayE);
                } else {
                  runCommonAsserts(data, error);
                }
                saveMockData('PullRequests', 'pullRequestsGetPullRequestById', 'default', data);
                done();
              } catch (err) {
                log.error(`Test Failure: ${err}`);
                done(err);
              }
            });
          } catch (error) {
            log.error(`Adapter Exception: ${error}`);
            done(error);
          }
        } else {
          log.error('pullRequestsGetPullRequestById task is false, skipping test');
          skipCount += 1;
          done();
        }// end if task
      }).timeout(attemptTimeout);
    });

    const pullRequestsPullRequestsCreateBodyParam = {
      _links: {
        links: {}
      },
      artifactId: 'string',
      autoCompleteSetBy: {
        _links: {
          links: {}
        },
        descriptor: 'string',
        displayName: 'string',
        url: 'string'
      },
      closedBy: {
        _links: {
          links: {}
        },
        descriptor: 'string',
        displayName: 'string',
        url: 'string'
      },
      closedDate: 'string',
      codeReviewId: 1,
      commits: [
        {
          _links: {
            links: {}
          },
          author: {
            date: 'string',
            email: 'string',
            imageUrl: 'string',
            name: 'string'
          },
          changeCounts: {},
          changes: [
            {
              changeType: 'property',
              item: 'string',
              newContent: {
                content: 'string',
                contentType: 'base64Encoded'
              },
              sourceServerItem: 'string',
              url: 'string'
            }
          ],
          comment: 'string',
          commentTruncated: true,
          commitId: 'string',
          committer: {
            date: 'string',
            email: 'string',
            imageUrl: 'string',
            name: 'string'
          },
          parents: [
            'string'
          ],
          push: {
            _links: {
              links: {}
            },
            date: 'string',
            pushedBy: {
              _links: {
                links: {}
              },
              descriptor: 'string',
              displayName: 'string',
              url: 'string'
            },
            pushId: 1,
            url: 'string'
          },
          remoteUrl: 'string',
          statuses: [
            {
              _links: {
                links: {}
              },
              context: {
                genre: 'string',
                name: 'string'
              },
              createdBy: {
                _links: {
                  links: {}
                },
                descriptor: 'string',
                displayName: 'string',
                url: 'string'
              },
              creationDate: 'string',
              description: 'string',
              id: 1,
              state: 'succeeded',
              targetUrl: 'string',
              updatedDate: 'string'
            }
          ],
          url: 'string',
          workItems: [
            {
              id: 'string',
              url: 'string'
            }
          ]
        }
      ],
      completionOptions: {
        autoCompleteIgnoreConfigIds: [
          3
        ],
        bypassPolicy: false,
        bypassReason: 'string',
        deleteSourceBranch: false,
        mergeCommitMessage: 'string',
        mergeStrategy: 'rebaseMerge',
        squashMerge: false,
        transitionWorkItems: true,
        triggeredByAutoComplete: true
      },
      completionQueueTime: 'string',
      createdBy: {
        _links: {
          links: {}
        },
        descriptor: 'string',
        displayName: 'string',
        url: 'string'
      },
      creationDate: 'string',
      description: 'string',
      forkSource: {
        _links: {
          links: {}
        },
        creator: {
          _links: {
            links: {}
          },
          descriptor: 'string',
          displayName: 'string',
          url: 'string'
        },
        isLocked: false,
        isLockedBy: {
          _links: {
            links: {}
          },
          descriptor: 'string',
          displayName: 'string',
          url: 'string'
        },
        name: 'string',
        objectId: 'string',
        peeledObjectId: 'string',
        statuses: [
          {
            _links: {
              links: {}
            },
            context: {
              genre: 'string',
              name: 'string'
            },
            createdBy: {
              _links: {
                links: {}
              },
              descriptor: 'string',
              displayName: 'string',
              url: 'string'
            },
            creationDate: 'string',
            description: 'string',
            id: 1,
            state: 'notSet',
            targetUrl: 'string',
            updatedDate: 'string'
          }
        ],
        url: 'string'
      },
      hasMultipleMergeBases: false,
      isDraft: false,
      labels: [
        {
          active: false,
          id: 'string',
          name: 'string',
          url: 'string'
        }
      ],
      lastMergeCommit: {
        _links: {
          links: {}
        },
        author: {
          date: 'string',
          email: 'string',
          imageUrl: 'string',
          name: 'string'
        },
        changeCounts: {},
        changes: [
          {
            changeType: 'rollback',
            item: 'string',
            newContent: {
              content: 'string',
              contentType: 'rawText'
            },
            sourceServerItem: 'string',
            url: 'string'
          }
        ],
        comment: 'string',
        commentTruncated: false,
        commitId: 'string',
        committer: {
          date: 'string',
          email: 'string',
          imageUrl: 'string',
          name: 'string'
        },
        parents: [
          'string'
        ],
        push: {
          _links: {
            links: {}
          },
          date: 'string',
          pushedBy: {
            _links: {
              links: {}
            },
            descriptor: 'string',
            displayName: 'string',
            url: 'string'
          },
          pushId: 3,
          url: 'string'
        },
        remoteUrl: 'string',
        statuses: [
          {
            _links: {
              links: {}
            },
            context: {
              genre: 'string',
              name: 'string'
            },
            createdBy: {
              _links: {
                links: {}
              },
              descriptor: 'string',
              displayName: 'string',
              url: 'string'
            },
            creationDate: 'string',
            description: 'string',
            id: 1,
            state: 'notApplicable',
            targetUrl: 'string',
            updatedDate: 'string'
          }
        ],
        url: 'string',
        workItems: [
          {
            id: 'string',
            url: 'string'
          }
        ]
      },
      lastMergeSourceCommit: {
        _links: {
          links: {}
        },
        author: {
          date: 'string',
          email: 'string',
          imageUrl: 'string',
          name: 'string'
        },
        changeCounts: {},
        changes: [
          {
            changeType: 'rename',
            item: 'string',
            newContent: {
              content: 'string',
              contentType: 'rawText'
            },
            sourceServerItem: 'string',
            url: 'string'
          }
        ],
        comment: 'string',
        commentTruncated: false,
        commitId: 'string',
        committer: {
          date: 'string',
          email: 'string',
          imageUrl: 'string',
          name: 'string'
        },
        parents: [
          'string'
        ],
        push: {
          _links: {
            links: {}
          },
          date: 'string',
          pushedBy: {
            _links: {
              links: {}
            },
            descriptor: 'string',
            displayName: 'string',
            url: 'string'
          },
          pushId: 3,
          url: 'string'
        },
        remoteUrl: 'string',
        statuses: [
          {
            _links: {
              links: {}
            },
            context: {
              genre: 'string',
              name: 'string'
            },
            createdBy: {
              _links: {
                links: {}
              },
              descriptor: 'string',
              displayName: 'string',
              url: 'string'
            },
            creationDate: 'string',
            description: 'string',
            id: 1,
            state: 'failed',
            targetUrl: 'string',
            updatedDate: 'string'
          }
        ],
        url: 'string',
        workItems: [
          {
            id: 'string',
            url: 'string'
          }
        ]
      },
      lastMergeTargetCommit: {
        _links: {
          links: {}
        },
        author: {
          date: 'string',
          email: 'string',
          imageUrl: 'string',
          name: 'string'
        },
        changeCounts: {},
        changes: [
          {
            changeType: 'branch',
            item: 'string',
            newContent: {
              content: 'string',
              contentType: 'base64Encoded'
            },
            sourceServerItem: 'string',
            url: 'string'
          }
        ],
        comment: 'string',
        commentTruncated: true,
        commitId: 'string',
        committer: {
          date: 'string',
          email: 'string',
          imageUrl: 'string',
          name: 'string'
        },
        parents: [
          'string'
        ],
        push: {
          _links: {
            links: {}
          },
          date: 'string',
          pushedBy: {
            _links: {
              links: {}
            },
            descriptor: 'string',
            displayName: 'string',
            url: 'string'
          },
          pushId: 10,
          url: 'string'
        },
        remoteUrl: 'string',
        statuses: [
          {
            _links: {
              links: {}
            },
            context: {
              genre: 'string',
              name: 'string'
            },
            createdBy: {
              _links: {
                links: {}
              },
              descriptor: 'string',
              displayName: 'string',
              url: 'string'
            },
            creationDate: 'string',
            description: 'string',
            id: 8,
            state: 'succeeded',
            targetUrl: 'string',
            updatedDate: 'string'
          }
        ],
        url: 'string',
        workItems: [
          {
            id: 'string',
            url: 'string'
          }
        ]
      },
      mergeFailureMessage: 'string',
      mergeFailureType: 'caseSensitive',
      mergeId: 'string',
      mergeOptions: {
        conflictAuthorshipCommits: false,
        detectRenameFalsePositives: false,
        disableRenames: true
      },
      mergeStatus: 'notSet',
      pullRequestId: 10,
      remoteUrl: 'string',
      repository: {
        _links: {
          links: {}
        },
        defaultBranch: 'string',
        id: 'string',
        isDisabled: false,
        isFork: true,
        name: 'string',
        parentRepository: {
          collection: {
            id: 'string',
            name: 'string',
            url: 'string'
          },
          id: 'string',
          isFork: false,
          name: 'string',
          project: {
            abbreviation: 'string',
            defaultTeamImageUrl: 'string',
            description: 'string',
            id: 'string',
            lastUpdateTime: 'string',
            name: 'string',
            revision: 7,
            state: 'deleted',
            url: 'string',
            visibility: 'private'
          },
          remoteUrl: 'string',
          sshUrl: 'string',
          url: 'string'
        },
        project: {
          abbreviation: 'string',
          defaultTeamImageUrl: 'string',
          description: 'string',
          id: 'string',
          lastUpdateTime: 'string',
          name: 'string',
          revision: 10,
          state: 'deleted',
          url: 'string',
          visibility: 'private'
        },
        remoteUrl: 'string',
        size: 5,
        sshUrl: 'string',
        url: 'string',
        validRemoteUrls: [
          'string'
        ],
        webUrl: 'string'
      },
      reviewers: [
        {
          _links: {
            links: {}
          },
          descriptor: 'string',
          displayName: 'string',
          url: 'string'
        }
      ],
      sourceRefName: 'string',
      status: 'active',
      supportsIterations: false,
      targetRefName: 'string',
      title: 'string',
      url: 'string',
      workItemRefs: [
        {
          id: 'string',
          url: 'string'
        }
      ]
    };
    describe('#pullRequestsCreate - errors', () => {
      it('should work if integrated but since no mockdata should error when run standalone', (done) => {
        if (pronghorn.methodsByName.pullRequestsCreate.task) {
          try {
            a.pullRequestsCreate('fakedata', pullRequestsPullRequestsCreateBodyParam, 'fakedata', 'fakedata', null, 'fakedata', (data, error) => {
              try {
                if (stub) {
                  const displayE = 'Error 400 received on request';
                  runErrorAsserts(data, error, 'AD.500', 'Test-append-connectorRest-handleEndResponse', displayE);
                } else {
                  runCommonAsserts(data, error);
                }
                saveMockData('PullRequests', 'pullRequestsCreate', 'default', data);
                done();
              } catch (err) {
                log.error(`Test Failure: ${err}`);
                done(err);
              }
            });
          } catch (error) {
            log.error(`Adapter Exception: ${error}`);
            done(error);
          }
        } else {
          log.error('pullRequestsCreate task is false, skipping test');
          skipCount += 1;
          done();
        }// end if task
      }).timeout(attemptTimeout);
    });

    describe('#pullRequestsGetPullRequests - errors', () => {
      it('should work if integrated or standalone with mockdata', (done) => {
        if (pronghorn.methodsByName.pullRequestsGetPullRequests.task) {
          try {
            a.pullRequestsGetPullRequests('fakedata', 'fakedata', 'fakedata', null, null, null, null, null, null, null, null, null, null, null, 'fakedata', (data, error) => {
              try {
                if (stub) {
                  runCommonAsserts(data, error);
                  assert.equal('object', typeof data.response[0]);
                  assert.equal('object', typeof data.response[1]);
                  assert.equal('object', typeof data.response[2]);
                } else {
                  runCommonAsserts(data, error);
                }
                saveMockData('PullRequests', 'pullRequestsGetPullRequests', 'default', data);
                done();
              } catch (err) {
                log.error(`Test Failure: ${err}`);
                done(err);
              }
            });
          } catch (error) {
            log.error(`Adapter Exception: ${error}`);
            done(error);
          }
        } else {
          log.error('pullRequestsGetPullRequests task is false, skipping test');
          skipCount += 1;
          done();
        }// end if task
      }).timeout(attemptTimeout);
    });

    describe('#pullRequestsGetPullRequest - errors', () => {
      it('should work if integrated but since no mockdata should error when run standalone', (done) => {
        if (pronghorn.methodsByName.pullRequestsGetPullRequest.task) {
          try {
            a.pullRequestsGetPullRequest('fakedata', 'fakedata', 555, 'fakedata', null, null, null, null, null, 'fakedata', (data, error) => {
              try {
                if (stub) {
                  const displayE = 'Error 400 received on request';
                  runErrorAsserts(data, error, 'AD.500', 'Test-append-connectorRest-handleEndResponse', displayE);
                } else {
                  runCommonAsserts(data, error);
                }
                saveMockData('PullRequests', 'pullRequestsGetPullRequest', 'default', data);
                done();
              } catch (err) {
                log.error(`Test Failure: ${err}`);
                done(err);
              }
            });
          } catch (error) {
            log.error(`Adapter Exception: ${error}`);
            done(error);
          }
        } else {
          log.error('pullRequestsGetPullRequest task is false, skipping test');
          skipCount += 1;
          done();
        }// end if task
      }).timeout(attemptTimeout);
    });

    const pullRequestsPullRequestsUpdateBodyParam = {
      _links: {
        links: {}
      },
      artifactId: 'string',
      autoCompleteSetBy: {
        _links: {
          links: {}
        },
        descriptor: 'string',
        displayName: 'string',
        url: 'string'
      },
      closedBy: {
        _links: {
          links: {}
        },
        descriptor: 'string',
        displayName: 'string',
        url: 'string'
      },
      closedDate: 'string',
      codeReviewId: 4,
      commits: [
        {
          _links: {
            links: {}
          },
          author: {
            date: 'string',
            email: 'string',
            imageUrl: 'string',
            name: 'string'
          },
          changeCounts: {},
          changes: [
            {
              changeType: 'encoding',
              item: 'string',
              newContent: {
                content: 'string',
                contentType: 'rawText'
              },
              sourceServerItem: 'string',
              url: 'string'
            }
          ],
          comment: 'string',
          commentTruncated: true,
          commitId: 'string',
          committer: {
            date: 'string',
            email: 'string',
            imageUrl: 'string',
            name: 'string'
          },
          parents: [
            'string'
          ],
          push: {
            _links: {
              links: {}
            },
            date: 'string',
            pushedBy: {
              _links: {
                links: {}
              },
              descriptor: 'string',
              displayName: 'string',
              url: 'string'
            },
            pushId: 6,
            url: 'string'
          },
          remoteUrl: 'string',
          statuses: [
            {
              _links: {
                links: {}
              },
              context: {
                genre: 'string',
                name: 'string'
              },
              createdBy: {
                _links: {
                  links: {}
                },
                descriptor: 'string',
                displayName: 'string',
                url: 'string'
              },
              creationDate: 'string',
              description: 'string',
              id: 9,
              state: 'succeeded',
              targetUrl: 'string',
              updatedDate: 'string'
            }
          ],
          url: 'string',
          workItems: [
            {
              id: 'string',
              url: 'string'
            }
          ]
        }
      ],
      completionOptions: {
        autoCompleteIgnoreConfigIds: [
          1
        ],
        bypassPolicy: false,
        bypassReason: 'string',
        deleteSourceBranch: false,
        mergeCommitMessage: 'string',
        mergeStrategy: 'noFastForward',
        squashMerge: true,
        transitionWorkItems: true,
        triggeredByAutoComplete: false
      },
      completionQueueTime: 'string',
      createdBy: {
        _links: {
          links: {}
        },
        descriptor: 'string',
        displayName: 'string',
        url: 'string'
      },
      creationDate: 'string',
      description: 'string',
      forkSource: {
        _links: {
          links: {}
        },
        creator: {
          _links: {
            links: {}
          },
          descriptor: 'string',
          displayName: 'string',
          url: 'string'
        },
        isLocked: true,
        isLockedBy: {
          _links: {
            links: {}
          },
          descriptor: 'string',
          displayName: 'string',
          url: 'string'
        },
        name: 'string',
        objectId: 'string',
        peeledObjectId: 'string',
        statuses: [
          {
            _links: {
              links: {}
            },
            context: {
              genre: 'string',
              name: 'string'
            },
            createdBy: {
              _links: {
                links: {}
              },
              descriptor: 'string',
              displayName: 'string',
              url: 'string'
            },
            creationDate: 'string',
            description: 'string',
            id: 8,
            state: 'error',
            targetUrl: 'string',
            updatedDate: 'string'
          }
        ],
        url: 'string'
      },
      hasMultipleMergeBases: false,
      isDraft: true,
      labels: [
        {
          active: false,
          id: 'string',
          name: 'string',
          url: 'string'
        }
      ],
      lastMergeCommit: {
        _links: {
          links: {}
        },
        author: {
          date: 'string',
          email: 'string',
          imageUrl: 'string',
          name: 'string'
        },
        changeCounts: {},
        changes: [
          {
            changeType: 'branch',
            item: 'string',
            newContent: {
              content: 'string',
              contentType: 'base64Encoded'
            },
            sourceServerItem: 'string',
            url: 'string'
          }
        ],
        comment: 'string',
        commentTruncated: false,
        commitId: 'string',
        committer: {
          date: 'string',
          email: 'string',
          imageUrl: 'string',
          name: 'string'
        },
        parents: [
          'string'
        ],
        push: {
          _links: {
            links: {}
          },
          date: 'string',
          pushedBy: {
            _links: {
              links: {}
            },
            descriptor: 'string',
            displayName: 'string',
            url: 'string'
          },
          pushId: 2,
          url: 'string'
        },
        remoteUrl: 'string',
        statuses: [
          {
            _links: {
              links: {}
            },
            context: {
              genre: 'string',
              name: 'string'
            },
            createdBy: {
              _links: {
                links: {}
              },
              descriptor: 'string',
              displayName: 'string',
              url: 'string'
            },
            creationDate: 'string',
            description: 'string',
            id: 7,
            state: 'succeeded',
            targetUrl: 'string',
            updatedDate: 'string'
          }
        ],
        url: 'string',
        workItems: [
          {
            id: 'string',
            url: 'string'
          }
        ]
      },
      lastMergeSourceCommit: {
        _links: {
          links: {}
        },
        author: {
          date: 'string',
          email: 'string',
          imageUrl: 'string',
          name: 'string'
        },
        changeCounts: {},
        changes: [
          {
            changeType: 'branch',
            item: 'string',
            newContent: {
              content: 'string',
              contentType: 'rawText'
            },
            sourceServerItem: 'string',
            url: 'string'
          }
        ],
        comment: 'string',
        commentTruncated: false,
        commitId: 'string',
        committer: {
          date: 'string',
          email: 'string',
          imageUrl: 'string',
          name: 'string'
        },
        parents: [
          'string'
        ],
        push: {
          _links: {
            links: {}
          },
          date: 'string',
          pushedBy: {
            _links: {
              links: {}
            },
            descriptor: 'string',
            displayName: 'string',
            url: 'string'
          },
          pushId: 9,
          url: 'string'
        },
        remoteUrl: 'string',
        statuses: [
          {
            _links: {
              links: {}
            },
            context: {
              genre: 'string',
              name: 'string'
            },
            createdBy: {
              _links: {
                links: {}
              },
              descriptor: 'string',
              displayName: 'string',
              url: 'string'
            },
            creationDate: 'string',
            description: 'string',
            id: 5,
            state: 'pending',
            targetUrl: 'string',
            updatedDate: 'string'
          }
        ],
        url: 'string',
        workItems: [
          {
            id: 'string',
            url: 'string'
          }
        ]
      },
      lastMergeTargetCommit: {
        _links: {
          links: {}
        },
        author: {
          date: 'string',
          email: 'string',
          imageUrl: 'string',
          name: 'string'
        },
        changeCounts: {},
        changes: [
          {
            changeType: 'sourceRename',
            item: 'string',
            newContent: {
              content: 'string',
              contentType: 'rawText'
            },
            sourceServerItem: 'string',
            url: 'string'
          }
        ],
        comment: 'string',
        commentTruncated: false,
        commitId: 'string',
        committer: {
          date: 'string',
          email: 'string',
          imageUrl: 'string',
          name: 'string'
        },
        parents: [
          'string'
        ],
        push: {
          _links: {
            links: {}
          },
          date: 'string',
          pushedBy: {
            _links: {
              links: {}
            },
            descriptor: 'string',
            displayName: 'string',
            url: 'string'
          },
          pushId: 10,
          url: 'string'
        },
        remoteUrl: 'string',
        statuses: [
          {
            _links: {
              links: {}
            },
            context: {
              genre: 'string',
              name: 'string'
            },
            createdBy: {
              _links: {
                links: {}
              },
              descriptor: 'string',
              displayName: 'string',
              url: 'string'
            },
            creationDate: 'string',
            description: 'string',
            id: 1,
            state: 'notSet',
            targetUrl: 'string',
            updatedDate: 'string'
          }
        ],
        url: 'string',
        workItems: [
          {
            id: 'string',
            url: 'string'
          }
        ]
      },
      mergeFailureMessage: 'string',
      mergeFailureType: 'objectTooLarge',
      mergeId: 'string',
      mergeOptions: {
        conflictAuthorshipCommits: false,
        detectRenameFalsePositives: true,
        disableRenames: true
      },
      mergeStatus: 'conflicts',
      pullRequestId: 3,
      remoteUrl: 'string',
      repository: {
        _links: {
          links: {}
        },
        defaultBranch: 'string',
        id: 'string',
        isDisabled: false,
        isFork: false,
        name: 'string',
        parentRepository: {
          collection: {
            id: 'string',
            name: 'string',
            url: 'string'
          },
          id: 'string',
          isFork: true,
          name: 'string',
          project: {
            abbreviation: 'string',
            defaultTeamImageUrl: 'string',
            description: 'string',
            id: 'string',
            lastUpdateTime: 'string',
            name: 'string',
            revision: 3,
            state: 'createPending',
            url: 'string',
            visibility: 'private'
          },
          remoteUrl: 'string',
          sshUrl: 'string',
          url: 'string'
        },
        project: {
          abbreviation: 'string',
          defaultTeamImageUrl: 'string',
          description: 'string',
          id: 'string',
          lastUpdateTime: 'string',
          name: 'string',
          revision: 3,
          state: 'deleted',
          url: 'string',
          visibility: 'public'
        },
        remoteUrl: 'string',
        size: 3,
        sshUrl: 'string',
        url: 'string',
        validRemoteUrls: [
          'string'
        ],
        webUrl: 'string'
      },
      reviewers: [
        {
          _links: {
            links: {}
          },
          descriptor: 'string',
          displayName: 'string',
          url: 'string'
        }
      ],
      sourceRefName: 'string',
      status: 'active',
      supportsIterations: false,
      targetRefName: 'string',
      title: 'string',
      url: 'string',
      workItemRefs: [
        {
          id: 'string',
          url: 'string'
        }
      ]
    };
    describe('#pullRequestsUpdate - errors', () => {
      it('should work if integrated but since no mockdata should error when run standalone', (done) => {
        if (pronghorn.methodsByName.pullRequestsUpdate.task) {
          try {
            a.pullRequestsUpdate('fakedata', pullRequestsPullRequestsUpdateBodyParam, 'fakedata', 555, 'fakedata', 'fakedata', (data, error) => {
              try {
                if (stub) {
                  const displayE = 'Error 400 received on request';
                  runErrorAsserts(data, error, 'AD.500', 'Test-append-connectorRest-handleEndResponse', displayE);
                } else {
                  runCommonAsserts(data, error);
                }
                saveMockData('PullRequests', 'pullRequestsUpdate', 'default', data);
                done();
              } catch (err) {
                log.error(`Test Failure: ${err}`);
                done(err);
              }
            });
          } catch (error) {
            log.error(`Adapter Exception: ${error}`);
            done(error);
          }
        } else {
          log.error('pullRequestsUpdate task is false, skipping test');
          skipCount += 1;
          done();
        }// end if task
      }).timeout(attemptTimeout);
    });

    const annotatedTagsAnnotatedTagsCreateBodyParam = {
      message: 'string',
      name: 'string',
      objectId: 'string',
      taggedBy: {
        date: 'string',
        email: 'string',
        imageUrl: 'string',
        name: 'string'
      },
      taggedObject: {
        objectId: 'string',
        objectType: 'tag'
      },
      url: 'string'
    };
    describe('#annotatedTagsCreate - errors', () => {
      it('should work if integrated but since no mockdata should error when run standalone', (done) => {
        if (pronghorn.methodsByName.annotatedTagsCreate.task) {
          try {
            a.annotatedTagsCreate('fakedata', annotatedTagsAnnotatedTagsCreateBodyParam, 'fakedata', 'fakedata', 'fakedata', (data, error) => {
              try {
                if (stub) {
                  const displayE = 'Error 400 received on request';
                  runErrorAsserts(data, error, 'AD.500', 'Test-append-connectorRest-handleEndResponse', displayE);
                } else {
                  runCommonAsserts(data, error);
                }
                saveMockData('AnnotatedTags', 'annotatedTagsCreate', 'default', data);
                done();
              } catch (err) {
                log.error(`Test Failure: ${err}`);
                done(err);
              }
            });
          } catch (error) {
            log.error(`Adapter Exception: ${error}`);
            done(error);
          }
        } else {
          log.error('annotatedTagsCreate task is false, skipping test');
          skipCount += 1;
          done();
        }// end if task
      }).timeout(attemptTimeout);
    });

    describe('#annotatedTagsGet - errors', () => {
      it('should work if integrated but since no mockdata should error when run standalone', (done) => {
        if (pronghorn.methodsByName.annotatedTagsGet.task) {
          try {
            a.annotatedTagsGet('fakedata', 'fakedata', 'fakedata', 'fakedata', 'fakedata', (data, error) => {
              try {
                if (stub) {
                  const displayE = 'Error 400 received on request';
                  runErrorAsserts(data, error, 'AD.500', 'Test-append-connectorRest-handleEndResponse', displayE);
                } else {
                  runCommonAsserts(data, error);
                }
                saveMockData('AnnotatedTags', 'annotatedTagsGet', 'default', data);
                done();
              } catch (err) {
                log.error(`Test Failure: ${err}`);
                done(err);
              }
            });
          } catch (error) {
            log.error(`Adapter Exception: ${error}`);
            done(error);
          }
        } else {
          log.error('annotatedTagsGet task is false, skipping test');
          skipCount += 1;
          done();
        }// end if task
      }).timeout(attemptTimeout);
    });

    const blobsBlobsGetBlobsZipBodyParam = [
      'string'
    ];
    describe('#blobsGetBlobsZip - errors', () => {
      it('should work if integrated but since no mockdata should error when run standalone', (done) => {
        if (pronghorn.methodsByName.blobsGetBlobsZip.task) {
          try {
            a.blobsGetBlobsZip('fakedata', blobsBlobsGetBlobsZipBodyParam, 'fakedata', 'fakedata', null, 'fakedata', (data, error) => {
              try {
                if (stub) {
                  const displayE = 'Error 400 received on request';
                  runErrorAsserts(data, error, 'AD.500', 'Test-append-connectorRest-handleEndResponse', displayE);
                } else {
                  runCommonAsserts(data, error);
                }
                saveMockData('Blobs', 'blobsGetBlobsZip', 'default', data);
                done();
              } catch (err) {
                log.error(`Test Failure: ${err}`);
                done(err);
              }
            });
          } catch (error) {
            log.error(`Adapter Exception: ${error}`);
            done(error);
          }
        } else {
          log.error('blobsGetBlobsZip task is false, skipping test');
          skipCount += 1;
          done();
        }// end if task
      }).timeout(attemptTimeout);
    });

    describe('#blobsGetBlob - errors', () => {
      it('should work if integrated but since no mockdata should error when run standalone', (done) => {
        if (pronghorn.methodsByName.blobsGetBlob.task) {
          try {
            a.blobsGetBlob('fakedata', 'fakedata', 'fakedata', 'fakedata', null, null, null, null, 'fakedata', (data, error) => {
              try {
                if (stub) {
                  const displayE = 'Error 400 received on request';
                  runErrorAsserts(data, error, 'AD.500', 'Test-append-connectorRest-handleEndResponse', displayE);
                } else {
                  runCommonAsserts(data, error);
                }
                saveMockData('Blobs', 'blobsGetBlob', 'default', data);
                done();
              } catch (err) {
                log.error(`Test Failure: ${err}`);
                done(err);
              }
            });
          } catch (error) {
            log.error(`Adapter Exception: ${error}`);
            done(error);
          }
        } else {
          log.error('blobsGetBlob task is false, skipping test');
          skipCount += 1;
          done();
        }// end if task
      }).timeout(attemptTimeout);
    });

    const cherryPicksCherryPicksCreateBodyParam = {
      generatedRefName: 'string',
      ontoRefName: 'string',
      repository: {
        _links: {
          links: {}
        },
        defaultBranch: 'string',
        id: 'string',
        isDisabled: true,
        isFork: true,
        name: 'string',
        parentRepository: {
          collection: {
            id: 'string',
            name: 'string',
            url: 'string'
          },
          id: 'string',
          isFork: false,
          name: 'string',
          project: {
            abbreviation: 'string',
            defaultTeamImageUrl: 'string',
            description: 'string',
            id: 'string',
            lastUpdateTime: 'string',
            name: 'string',
            revision: 3,
            state: 'unchanged',
            url: 'string',
            visibility: 'private'
          },
          remoteUrl: 'string',
          sshUrl: 'string',
          url: 'string'
        },
        project: {
          abbreviation: 'string',
          defaultTeamImageUrl: 'string',
          description: 'string',
          id: 'string',
          lastUpdateTime: 'string',
          name: 'string',
          revision: 4,
          state: 'deleted',
          url: 'string',
          visibility: 'private'
        },
        remoteUrl: 'string',
        size: 6,
        sshUrl: 'string',
        url: 'string',
        validRemoteUrls: [
          'string'
        ],
        webUrl: 'string'
      },
      source: {
        commitList: [
          {
            _links: {
              links: {}
            },
            author: {
              date: 'string',
              email: 'string',
              imageUrl: 'string',
              name: 'string'
            },
            changeCounts: {},
            changes: [
              {
                changeType: 'sourceRename',
                item: 'string',
                newContent: {
                  content: 'string',
                  contentType: 'rawText'
                },
                sourceServerItem: 'string',
                url: 'string'
              }
            ],
            comment: 'string',
            commentTruncated: true,
            commitId: 'string',
            committer: {
              date: 'string',
              email: 'string',
              imageUrl: 'string',
              name: 'string'
            },
            parents: [
              'string'
            ],
            push: {
              _links: {
                links: {}
              },
              date: 'string',
              pushedBy: {
                _links: {
                  links: {}
                },
                descriptor: 'string',
                displayName: 'string',
                url: 'string'
              },
              pushId: 7,
              url: 'string'
            },
            remoteUrl: 'string',
            statuses: [
              {
                _links: {
                  links: {}
                },
                context: {
                  genre: 'string',
                  name: 'string'
                },
                createdBy: {
                  _links: {
                    links: {}
                  },
                  descriptor: 'string',
                  displayName: 'string',
                  url: 'string'
                },
                creationDate: 'string',
                description: 'string',
                id: 8,
                state: 'succeeded',
                targetUrl: 'string',
                updatedDate: 'string'
              }
            ],
            url: 'string',
            workItems: [
              {
                id: 'string',
                url: 'string'
              }
            ]
          }
        ],
        pullRequestId: 3
      }
    };
    describe('#cherryPicksCreate - errors', () => {
      it('should work if integrated but since no mockdata should error when run standalone', (done) => {
        if (pronghorn.methodsByName.cherryPicksCreate.task) {
          try {
            a.cherryPicksCreate('fakedata', cherryPicksCherryPicksCreateBodyParam, 'fakedata', 'fakedata', 'fakedata', (data, error) => {
              try {
                if (stub) {
                  const displayE = 'Error 400 received on request';
                  runErrorAsserts(data, error, 'AD.500', 'Test-append-connectorRest-handleEndResponse', displayE);
                } else {
                  runCommonAsserts(data, error);
                }
                saveMockData('CherryPicks', 'cherryPicksCreate', 'default', data);
                done();
              } catch (err) {
                log.error(`Test Failure: ${err}`);
                done(err);
              }
            });
          } catch (error) {
            log.error(`Adapter Exception: ${error}`);
            done(error);
          }
        } else {
          log.error('cherryPicksCreate task is false, skipping test');
          skipCount += 1;
          done();
        }// end if task
      }).timeout(attemptTimeout);
    });

    describe('#cherryPicksGetCherryPickForRefName - errors', () => {
      it('should work if integrated but since no mockdata should error when run standalone', (done) => {
        if (pronghorn.methodsByName.cherryPicksGetCherryPickForRefName.task) {
          try {
            a.cherryPicksGetCherryPickForRefName('fakedata', 'fakedata', 'fakedata', 'fakedata', 'fakedata', (data, error) => {
              try {
                if (stub) {
                  const displayE = 'Error 400 received on request';
                  runErrorAsserts(data, error, 'AD.500', 'Test-append-connectorRest-handleEndResponse', displayE);
                } else {
                  runCommonAsserts(data, error);
                }
                saveMockData('CherryPicks', 'cherryPicksGetCherryPickForRefName', 'default', data);
                done();
              } catch (err) {
                log.error(`Test Failure: ${err}`);
                done(err);
              }
            });
          } catch (error) {
            log.error(`Adapter Exception: ${error}`);
            done(error);
          }
        } else {
          log.error('cherryPicksGetCherryPickForRefName task is false, skipping test');
          skipCount += 1;
          done();
        }// end if task
      }).timeout(attemptTimeout);
    });

    describe('#cherryPicksGetCherryPick - errors', () => {
      it('should work if integrated but since no mockdata should error when run standalone', (done) => {
        if (pronghorn.methodsByName.cherryPicksGetCherryPick.task) {
          try {
            a.cherryPicksGetCherryPick('fakedata', 'fakedata', 555, 'fakedata', 'fakedata', (data, error) => {
              try {
                if (stub) {
                  const displayE = 'Error 400 received on request';
                  runErrorAsserts(data, error, 'AD.500', 'Test-append-connectorRest-handleEndResponse', displayE);
                } else {
                  runCommonAsserts(data, error);
                }
                saveMockData('CherryPicks', 'cherryPicksGetCherryPick', 'default', data);
                done();
              } catch (err) {
                log.error(`Test Failure: ${err}`);
                done(err);
              }
            });
          } catch (error) {
            log.error(`Adapter Exception: ${error}`);
            done(error);
          }
        } else {
          log.error('cherryPicksGetCherryPick task is false, skipping test');
          skipCount += 1;
          done();
        }// end if task
      }).timeout(attemptTimeout);
    });

    describe('#commitsGetPushCommits - errors', () => {
      it('should work if integrated or standalone with mockdata', (done) => {
        if (pronghorn.methodsByName.commitsGetPushCommits.task) {
          try {
            a.commitsGetPushCommits('fakedata', 'fakedata', 555, 'fakedata', null, null, null, 'fakedata', (data, error) => {
              try {
                if (stub) {
                  runCommonAsserts(data, error);
                  assert.equal('object', typeof data.response[0]);
                } else {
                  runCommonAsserts(data, error);
                }
                saveMockData('Commits', 'commitsGetPushCommits', 'default', data);
                done();
              } catch (err) {
                log.error(`Test Failure: ${err}`);
                done(err);
              }
            });
          } catch (error) {
            log.error(`Adapter Exception: ${error}`);
            done(error);
          }
        } else {
          log.error('commitsGetPushCommits task is false, skipping test');
          skipCount += 1;
          done();
        }// end if task
      }).timeout(attemptTimeout);
    });

    describe('#commitsGet - errors', () => {
      it('should work if integrated but since no mockdata should error when run standalone', (done) => {
        if (pronghorn.methodsByName.commitsGet.task) {
          try {
            a.commitsGet('fakedata', 'fakedata', 'fakedata', 'fakedata', null, 'fakedata', (data, error) => {
              try {
                if (stub) {
                  const displayE = 'Error 400 received on request';
                  runErrorAsserts(data, error, 'AD.500', 'Test-append-connectorRest-handleEndResponse', displayE);
                } else {
                  runCommonAsserts(data, error);
                }
                saveMockData('Commits', 'commitsGet', 'default', data);
                done();
              } catch (err) {
                log.error(`Test Failure: ${err}`);
                done(err);
              }
            });
          } catch (error) {
            log.error(`Adapter Exception: ${error}`);
            done(error);
          }
        } else {
          log.error('commitsGet task is false, skipping test');
          skipCount += 1;
          done();
        }// end if task
      }).timeout(attemptTimeout);
    });

    describe('#commitsGetChanges - errors', () => {
      it('should work if integrated but since no mockdata should error when run standalone', (done) => {
        if (pronghorn.methodsByName.commitsGetChanges.task) {
          try {
            a.commitsGetChanges('fakedata', 'fakedata', 'fakedata', 'fakedata', null, null, 'fakedata', (data, error) => {
              try {
                if (stub) {
                  const displayE = 'Error 400 received on request';
                  runErrorAsserts(data, error, 'AD.500', 'Test-append-connectorRest-handleEndResponse', displayE);
                } else {
                  runCommonAsserts(data, error);
                }
                saveMockData('Commits', 'commitsGetChanges', 'default', data);
                done();
              } catch (err) {
                log.error(`Test Failure: ${err}`);
                done(err);
              }
            });
          } catch (error) {
            log.error(`Adapter Exception: ${error}`);
            done(error);
          }
        } else {
          log.error('commitsGetChanges task is false, skipping test');
          skipCount += 1;
          done();
        }// end if task
      }).timeout(attemptTimeout);
    });

    const commitsCommitsGetCommitsBatchBodyParam = {
      '$skip': 2,
      '$top': 7,
      author: 'string',
      compareVersion: {
        version: 'string',
        versionOptions: 'firstParent',
        versionType: 'commit'
      },
      excludeDeletes: true,
      fromCommitId: 'string',
      fromDate: 'string',
      historyMode: 'fullHistory',
      ids: [
        'string'
      ],
      includeLinks: false,
      includePushData: false,
      includeUserImageUrl: false,
      includeWorkItems: false,
      itemPath: 'string',
      itemVersion: {
        version: 'string',
        versionOptions: 'firstParent',
        versionType: 'commit'
      },
      showOldestCommitsFirst: true,
      toCommitId: 'string',
      toDate: 'string',
      user: 'string'
    };
    describe('#commitsGetCommitsBatch - errors', () => {
      it('should work if integrated or standalone with mockdata', (done) => {
        if (pronghorn.methodsByName.commitsGetCommitsBatch.task) {
          try {
            a.commitsGetCommitsBatch('fakedata', commitsCommitsGetCommitsBatchBodyParam, 'fakedata', 'fakedata', null, null, null, 'fakedata', (data, error) => {
              try {
                if (stub) {
                  runCommonAsserts(data, error);
                  assert.equal('object', typeof data.response[0]);
                  assert.equal('object', typeof data.response[1]);
                  assert.equal('object', typeof data.response[2]);
                } else {
                  runCommonAsserts(data, error);
                }
                saveMockData('Commits', 'commitsGetCommitsBatch', 'default', data);
                done();
              } catch (err) {
                log.error(`Test Failure: ${err}`);
                done(err);
              }
            });
          } catch (error) {
            log.error(`Adapter Exception: ${error}`);
            done(error);
          }
        } else {
          log.error('commitsGetCommitsBatch task is false, skipping test');
          skipCount += 1;
          done();
        }// end if task
      }).timeout(attemptTimeout);
    });

    const statusesStatusesCreateBodyParam = {
      _links: {
        links: {}
      },
      context: {
        genre: 'string',
        name: 'string'
      },
      createdBy: {
        _links: {
          links: {}
        },
        descriptor: 'string',
        displayName: 'string',
        url: 'string'
      },
      creationDate: 'string',
      description: 'string',
      id: 1,
      state: 'pending',
      targetUrl: 'string',
      updatedDate: 'string'
    };
    describe('#statusesCreate - errors', () => {
      it('should work if integrated but since no mockdata should error when run standalone', (done) => {
        if (pronghorn.methodsByName.statusesCreate.task) {
          try {
            a.statusesCreate('fakedata', statusesStatusesCreateBodyParam, 'fakedata', 'fakedata', 'fakedata', 'fakedata', (data, error) => {
              try {
                if (stub) {
                  const displayE = 'Error 400 received on request';
                  runErrorAsserts(data, error, 'AD.500', 'Test-append-connectorRest-handleEndResponse', displayE);
                } else {
                  runCommonAsserts(data, error);
                }
                saveMockData('Statuses', 'statusesCreate', 'default', data);
                done();
              } catch (err) {
                log.error(`Test Failure: ${err}`);
                done(err);
              }
            });
          } catch (error) {
            log.error(`Adapter Exception: ${error}`);
            done(error);
          }
        } else {
          log.error('statusesCreate task is false, skipping test');
          skipCount += 1;
          done();
        }// end if task
      }).timeout(attemptTimeout);
    });

    describe('#statusesList - errors', () => {
      it('should work if integrated or standalone with mockdata', (done) => {
        if (pronghorn.methodsByName.statusesList.task) {
          try {
            a.statusesList('fakedata', 'fakedata', 'fakedata', 'fakedata', null, null, null, 'fakedata', (data, error) => {
              try {
                if (stub) {
                  runCommonAsserts(data, error);
                  assert.equal('object', typeof data.response[0]);
                  assert.equal('object', typeof data.response[1]);
                  assert.equal('object', typeof data.response[2]);
                  assert.equal('object', typeof data.response[3]);
                } else {
                  runCommonAsserts(data, error);
                }
                saveMockData('Statuses', 'statusesList', 'default', data);
                done();
              } catch (err) {
                log.error(`Test Failure: ${err}`);
                done(err);
              }
            });
          } catch (error) {
            log.error(`Adapter Exception: ${error}`);
            done(error);
          }
        } else {
          log.error('statusesList task is false, skipping test');
          skipCount += 1;
          done();
        }// end if task
      }).timeout(attemptTimeout);
    });

    describe('#diffsGet - errors', () => {
      it('should work if integrated but since no mockdata should error when run standalone', (done) => {
        if (pronghorn.methodsByName.diffsGet.task) {
          try {
            a.diffsGet('fakedata', 'fakedata', 'fakedata', null, null, null, null, null, null, null, null, null, 'fakedata', (data, error) => {
              try {
                if (stub) {
                  const displayE = 'Error 400 received on request';
                  runErrorAsserts(data, error, 'AD.500', 'Test-append-connectorRest-handleEndResponse', displayE);
                } else {
                  runCommonAsserts(data, error);
                }
                saveMockData('Diffs', 'diffsGet', 'default', data);
                done();
              } catch (err) {
                log.error(`Test Failure: ${err}`);
                done(err);
              }
            });
          } catch (error) {
            log.error(`Adapter Exception: ${error}`);
            done(error);
          }
        } else {
          log.error('diffsGet task is false, skipping test');
          skipCount += 1;
          done();
        }// end if task
      }).timeout(attemptTimeout);
    });

    const importRequestsImportRequestsCreateBodyParam = {
      _links: {
        links: {}
      },
      detailedStatus: {
        allSteps: [
          'string'
        ],
        currentStep: 10,
        errorMessage: 'string'
      },
      importRequestId: 8,
      parameters: {
        deleteServiceEndpointAfterImportIsDone: false,
        gitSource: {
          overwrite: false,
          url: 'string'
        },
        serviceEndpointId: 'string',
        tfvcSource: {
          importHistory: false,
          importHistoryDurationInDays: 2,
          path: 'string'
        }
      },
      repository: {
        _links: {
          links: {}
        },
        defaultBranch: 'string',
        id: 'string',
        isDisabled: true,
        isFork: false,
        name: 'string',
        parentRepository: {
          collection: {
            id: 'string',
            name: 'string',
            url: 'string'
          },
          id: 'string',
          isFork: true,
          name: 'string',
          project: {
            abbreviation: 'string',
            defaultTeamImageUrl: 'string',
            description: 'string',
            id: 'string',
            lastUpdateTime: 'string',
            name: 'string',
            revision: 9,
            state: 'createPending',
            url: 'string',
            visibility: 'public'
          },
          remoteUrl: 'string',
          sshUrl: 'string',
          url: 'string'
        },
        project: {
          abbreviation: 'string',
          defaultTeamImageUrl: 'string',
          description: 'string',
          id: 'string',
          lastUpdateTime: 'string',
          name: 'string',
          revision: 4,
          state: 'all',
          url: 'string',
          visibility: 'public'
        },
        remoteUrl: 'string',
        size: 3,
        sshUrl: 'string',
        url: 'string',
        validRemoteUrls: [
          'string'
        ],
        webUrl: 'string'
      },
      status: 'queued',
      url: 'string'
    };
    describe('#importRequestsCreate - errors', () => {
      it('should work if integrated but since no mockdata should error when run standalone', (done) => {
        if (pronghorn.methodsByName.importRequestsCreate.task) {
          try {
            a.importRequestsCreate('fakedata', importRequestsImportRequestsCreateBodyParam, 'fakedata', 'fakedata', 'fakedata', (data, error) => {
              try {
                if (stub) {
                  const displayE = 'Error 400 received on request';
                  runErrorAsserts(data, error, 'AD.500', 'Test-append-connectorRest-handleEndResponse', displayE);
                } else {
                  runCommonAsserts(data, error);
                }
                saveMockData('ImportRequests', 'importRequestsCreate', 'default', data);
                done();
              } catch (err) {
                log.error(`Test Failure: ${err}`);
                done(err);
              }
            });
          } catch (error) {
            log.error(`Adapter Exception: ${error}`);
            done(error);
          }
        } else {
          log.error('importRequestsCreate task is false, skipping test');
          skipCount += 1;
          done();
        }// end if task
      }).timeout(attemptTimeout);
    });

    describe('#importRequestsQuery - errors', () => {
      it('should work if integrated or standalone with mockdata', (done) => {
        if (pronghorn.methodsByName.importRequestsQuery.task) {
          try {
            a.importRequestsQuery('fakedata', 'fakedata', 'fakedata', null, 'fakedata', (data, error) => {
              try {
                if (stub) {
                  runCommonAsserts(data, error);
                  assert.equal('object', typeof data.response[0]);
                } else {
                  runCommonAsserts(data, error);
                }
                saveMockData('ImportRequests', 'importRequestsQuery', 'default', data);
                done();
              } catch (err) {
                log.error(`Test Failure: ${err}`);
                done(err);
              }
            });
          } catch (error) {
            log.error(`Adapter Exception: ${error}`);
            done(error);
          }
        } else {
          log.error('importRequestsQuery task is false, skipping test');
          skipCount += 1;
          done();
        }// end if task
      }).timeout(attemptTimeout);
    });

    describe('#importRequestsGet - errors', () => {
      it('should work if integrated but since no mockdata should error when run standalone', (done) => {
        if (pronghorn.methodsByName.importRequestsGet.task) {
          try {
            a.importRequestsGet('fakedata', 'fakedata', 'fakedata', 555, 'fakedata', (data, error) => {
              try {
                if (stub) {
                  const displayE = 'Error 400 received on request';
                  runErrorAsserts(data, error, 'AD.500', 'Test-append-connectorRest-handleEndResponse', displayE);
                } else {
                  runCommonAsserts(data, error);
                }
                saveMockData('ImportRequests', 'importRequestsGet', 'default', data);
                done();
              } catch (err) {
                log.error(`Test Failure: ${err}`);
                done(err);
              }
            });
          } catch (error) {
            log.error(`Adapter Exception: ${error}`);
            done(error);
          }
        } else {
          log.error('importRequestsGet task is false, skipping test');
          skipCount += 1;
          done();
        }// end if task
      }).timeout(attemptTimeout);
    });

    const importRequestsImportRequestsUpdateBodyParam = {
      _links: {
        links: {}
      },
      detailedStatus: {
        allSteps: [
          'string'
        ],
        currentStep: 5,
        errorMessage: 'string'
      },
      importRequestId: 2,
      parameters: {
        deleteServiceEndpointAfterImportIsDone: true,
        gitSource: {
          overwrite: true,
          url: 'string'
        },
        serviceEndpointId: 'string',
        tfvcSource: {
          importHistory: true,
          importHistoryDurationInDays: 5,
          path: 'string'
        }
      },
      repository: {
        _links: {
          links: {}
        },
        defaultBranch: 'string',
        id: 'string',
        isDisabled: false,
        isFork: true,
        name: 'string',
        parentRepository: {
          collection: {
            id: 'string',
            name: 'string',
            url: 'string'
          },
          id: 'string',
          isFork: false,
          name: 'string',
          project: {
            abbreviation: 'string',
            defaultTeamImageUrl: 'string',
            description: 'string',
            id: 'string',
            lastUpdateTime: 'string',
            name: 'string',
            revision: 4,
            state: 'new',
            url: 'string',
            visibility: 'public'
          },
          remoteUrl: 'string',
          sshUrl: 'string',
          url: 'string'
        },
        project: {
          abbreviation: 'string',
          defaultTeamImageUrl: 'string',
          description: 'string',
          id: 'string',
          lastUpdateTime: 'string',
          name: 'string',
          revision: 2,
          state: 'wellFormed',
          url: 'string',
          visibility: 'public'
        },
        remoteUrl: 'string',
        size: 5,
        sshUrl: 'string',
        url: 'string',
        validRemoteUrls: [
          'string'
        ],
        webUrl: 'string'
      },
      status: 'failed',
      url: 'string'
    };
    describe('#importRequestsUpdate - errors', () => {
      it('should work if integrated but since no mockdata should error when run standalone', (done) => {
        if (pronghorn.methodsByName.importRequestsUpdate.task) {
          try {
            a.importRequestsUpdate('fakedata', importRequestsImportRequestsUpdateBodyParam, 'fakedata', 'fakedata', 555, 'fakedata', (data, error) => {
              try {
                if (stub) {
                  const displayE = 'Error 400 received on request';
                  runErrorAsserts(data, error, 'AD.500', 'Test-append-connectorRest-handleEndResponse', displayE);
                } else {
                  runCommonAsserts(data, error);
                }
                saveMockData('ImportRequests', 'importRequestsUpdate', 'default', data);
                done();
              } catch (err) {
                log.error(`Test Failure: ${err}`);
                done(err);
              }
            });
          } catch (error) {
            log.error(`Adapter Exception: ${error}`);
            done(error);
          }
        } else {
          log.error('importRequestsUpdate task is false, skipping test');
          skipCount += 1;
          done();
        }// end if task
      }).timeout(attemptTimeout);
    });

    describe('#itemsList - errors', () => {
      it('should work if integrated or standalone with mockdata', (done) => {
        if (pronghorn.methodsByName.itemsList.task) {
          try {
            a.itemsList('fakedata', 'fakedata', 'fakedata', null, null, null, null, null, null, null, null, null, null, 'fakedata', (data, error) => {
              try {
                if (stub) {
                  runCommonAsserts(data, error);
                  assert.equal('object', typeof data.response[0]);
                  assert.equal('object', typeof data.response[1]);
                } else {
                  runCommonAsserts(data, error);
                }
                saveMockData('Items', 'itemsList', 'default', data);
                done();
              } catch (err) {
                log.error(`Test Failure: ${err}`);
                done(err);
              }
            });
          } catch (error) {
            log.error(`Adapter Exception: ${error}`);
            done(error);
          }
        } else {
          log.error('itemsList task is false, skipping test');
          skipCount += 1;
          done();
        }// end if task
      }).timeout(attemptTimeout);
    });

    const itemsItemsGetItemsBatchBodyParam = {
      includeContentMetadata: true,
      includeLinks: false,
      itemDescriptors: [
        {
          path: 'string',
          recursionLevel: 'full',
          version: 'string',
          versionOptions: 'none',
          versionType: 'tag'
        }
      ],
      latestProcessedChange: true
    };
    describe('#itemsGetItemsBatch - errors', () => {
      it('should work if integrated or standalone with mockdata', (done) => {
        if (pronghorn.methodsByName.itemsGetItemsBatch.task) {
          try {
            a.itemsGetItemsBatch('fakedata', itemsItemsGetItemsBatchBodyParam, 'fakedata', 'fakedata', 'fakedata', (data, error) => {
              try {
                if (stub) {
                  runCommonAsserts(data, error);
                  assert.equal(true, Array.isArray(data.response[0]));
                  assert.equal(true, Array.isArray(data.response[1]));
                  assert.equal(true, Array.isArray(data.response[2]));
                } else {
                  runCommonAsserts(data, error);
                }
                saveMockData('Items', 'itemsGetItemsBatch', 'default', data);
                done();
              } catch (err) {
                log.error(`Test Failure: ${err}`);
                done(err);
              }
            });
          } catch (error) {
            log.error(`Adapter Exception: ${error}`);
            done(error);
          }
        } else {
          log.error('itemsGetItemsBatch task is false, skipping test');
          skipCount += 1;
          done();
        }// end if task
      }).timeout(attemptTimeout);
    });

    const pullRequestQueryPullRequestQueryGetBodyParam = {
      queries: [
        {
          items: [
            'string'
          ],
          type: 'lastMergeCommit'
        }
      ],
      results: [
        {}
      ]
    };
    describe('#pullRequestQueryGet - errors', () => {
      it('should work if integrated but since no mockdata should error when run standalone', (done) => {
        if (pronghorn.methodsByName.pullRequestQueryGet.task) {
          try {
            a.pullRequestQueryGet('fakedata', pullRequestQueryPullRequestQueryGetBodyParam, 'fakedata', 'fakedata', 'fakedata', (data, error) => {
              try {
                if (stub) {
                  const displayE = 'Error 400 received on request';
                  runErrorAsserts(data, error, 'AD.500', 'Test-append-connectorRest-handleEndResponse', displayE);
                } else {
                  runCommonAsserts(data, error);
                }
                saveMockData('PullRequestQuery', 'pullRequestQueryGet', 'default', data);
                done();
              } catch (err) {
                log.error(`Test Failure: ${err}`);
                done(err);
              }
            });
          } catch (error) {
            log.error(`Adapter Exception: ${error}`);
            done(error);
          }
        } else {
          log.error('pullRequestQueryGet task is false, skipping test');
          skipCount += 1;
          done();
        }// end if task
      }).timeout(attemptTimeout);
    });

    describe('#pullRequestAttachmentsList - errors', () => {
      it('should work if integrated or standalone with mockdata', (done) => {
        if (pronghorn.methodsByName.pullRequestAttachmentsList.task) {
          try {
            a.pullRequestAttachmentsList('fakedata', 'fakedata', 555, 'fakedata', 'fakedata', (data, error) => {
              try {
                if (stub) {
                  runCommonAsserts(data, error);
                  assert.equal('object', typeof data.response[0]);
                  assert.equal('object', typeof data.response[1]);
                  assert.equal('object', typeof data.response[2]);
                  assert.equal('object', typeof data.response[3]);
                } else {
                  runCommonAsserts(data, error);
                }
                saveMockData('PullRequestAttachments', 'pullRequestAttachmentsList', 'default', data);
                done();
              } catch (err) {
                log.error(`Test Failure: ${err}`);
                done(err);
              }
            });
          } catch (error) {
            log.error(`Adapter Exception: ${error}`);
            done(error);
          }
        } else {
          log.error('pullRequestAttachmentsList task is false, skipping test');
          skipCount += 1;
          done();
        }// end if task
      }).timeout(attemptTimeout);
    });

    const pullRequestAttachmentsPullRequestAttachmentsCreateBodyParam = {};
    describe('#pullRequestAttachmentsCreate - errors', () => {
      it('should work if integrated but since no mockdata should error when run standalone', (done) => {
        if (pronghorn.methodsByName.pullRequestAttachmentsCreate.task) {
          try {
            a.pullRequestAttachmentsCreate('fakedata', pullRequestAttachmentsPullRequestAttachmentsCreateBodyParam, 'fakedata', 'fakedata', 555, 'fakedata', 'fakedata', (data, error) => {
              try {
                if (stub) {
                  const displayE = 'Error 400 received on request';
                  runErrorAsserts(data, error, 'AD.500', 'Test-append-connectorRest-handleEndResponse', displayE);
                } else {
                  runCommonAsserts(data, error);
                }
                saveMockData('PullRequestAttachments', 'pullRequestAttachmentsCreate', 'default', data);
                done();
              } catch (err) {
                log.error(`Test Failure: ${err}`);
                done(err);
              }
            });
          } catch (error) {
            log.error(`Adapter Exception: ${error}`);
            done(error);
          }
        } else {
          log.error('pullRequestAttachmentsCreate task is false, skipping test');
          skipCount += 1;
          done();
        }// end if task
      }).timeout(attemptTimeout);
    });

    describe('#pullRequestAttachmentsDelete - errors', () => {
      it('should work if integrated but since no mockdata should error when run standalone', (done) => {
        if (pronghorn.methodsByName.pullRequestAttachmentsDelete.task) {
          try {
            a.pullRequestAttachmentsDelete('fakedata', 'fakedata', 'fakedata', 555, 'fakedata', 'fakedata', (data, error) => {
              try {
                if (stub) {
                  const displayE = 'Error 400 received on request';
                  runErrorAsserts(data, error, 'AD.500', 'Test-append-connectorRest-handleEndResponse', displayE);
                } else {
                  runCommonAsserts(data, error);
                }
                saveMockData('PullRequestAttachments', 'pullRequestAttachmentsDelete', 'default', data);
                done();
              } catch (err) {
                log.error(`Test Failure: ${err}`);
                done(err);
              }
            });
          } catch (error) {
            log.error(`Adapter Exception: ${error}`);
            done(error);
          }
        } else {
          log.error('pullRequestAttachmentsDelete task is false, skipping test');
          skipCount += 1;
          done();
        }// end if task
      }).timeout(attemptTimeout);
    });

    describe('#pullRequestAttachmentsGet - errors', () => {
      it('should work if integrated but since no mockdata should error when run standalone', (done) => {
        if (pronghorn.methodsByName.pullRequestAttachmentsGet.task) {
          try {
            a.pullRequestAttachmentsGet('fakedata', 'fakedata', 'fakedata', 555, 'fakedata', 'fakedata', (data, error) => {
              try {
                if (stub) {
                  const displayE = 'Error 400 received on request';
                  runErrorAsserts(data, error, 'AD.500', 'Test-append-connectorRest-handleEndResponse', displayE);
                } else {
                  runCommonAsserts(data, error);
                }
                saveMockData('PullRequestAttachments', 'pullRequestAttachmentsGet', 'default', data);
                done();
              } catch (err) {
                log.error(`Test Failure: ${err}`);
                done(err);
              }
            });
          } catch (error) {
            log.error(`Adapter Exception: ${error}`);
            done(error);
          }
        } else {
          log.error('pullRequestAttachmentsGet task is false, skipping test');
          skipCount += 1;
          done();
        }// end if task
      }).timeout(attemptTimeout);
    });

    describe('#pullRequestCommitsGetPullRequestCommits - errors', () => {
      it('should work if integrated or standalone with mockdata', (done) => {
        if (pronghorn.methodsByName.pullRequestCommitsGetPullRequestCommits.task) {
          try {
            a.pullRequestCommitsGetPullRequestCommits('fakedata', 'fakedata', 555, 'fakedata', null, null, 'fakedata', (data, error) => {
              try {
                if (stub) {
                  runCommonAsserts(data, error);
                  assert.equal('object', typeof data.response[0]);
                  assert.equal('object', typeof data.response[1]);
                  assert.equal('object', typeof data.response[2]);
                  assert.equal('object', typeof data.response[3]);
                } else {
                  runCommonAsserts(data, error);
                }
                saveMockData('PullRequestCommits', 'pullRequestCommitsGetPullRequestCommits', 'default', data);
                done();
              } catch (err) {
                log.error(`Test Failure: ${err}`);
                done(err);
              }
            });
          } catch (error) {
            log.error(`Adapter Exception: ${error}`);
            done(error);
          }
        } else {
          log.error('pullRequestCommitsGetPullRequestCommits task is false, skipping test');
          skipCount += 1;
          done();
        }// end if task
      }).timeout(attemptTimeout);
    });

    describe('#pullRequestCommitsGetPullRequestIterationCommits - errors', () => {
      it('should work if integrated or standalone with mockdata', (done) => {
        if (pronghorn.methodsByName.pullRequestCommitsGetPullRequestIterationCommits.task) {
          try {
            a.pullRequestCommitsGetPullRequestIterationCommits('fakedata', 'fakedata', 555, 555, 'fakedata', null, null, 'fakedata', (data, error) => {
              try {
                if (stub) {
                  runCommonAsserts(data, error);
                  assert.equal('object', typeof data.response[0]);
                  assert.equal('object', typeof data.response[1]);
                  assert.equal('object', typeof data.response[2]);
                  assert.equal('object', typeof data.response[3]);
                } else {
                  runCommonAsserts(data, error);
                }
                saveMockData('PullRequestCommits', 'pullRequestCommitsGetPullRequestIterationCommits', 'default', data);
                done();
              } catch (err) {
                log.error(`Test Failure: ${err}`);
                done(err);
              }
            });
          } catch (error) {
            log.error(`Adapter Exception: ${error}`);
            done(error);
          }
        } else {
          log.error('pullRequestCommitsGetPullRequestIterationCommits task is false, skipping test');
          skipCount += 1;
          done();
        }// end if task
      }).timeout(attemptTimeout);
    });

    describe('#pullRequestIterationsList - errors', () => {
      it('should work if integrated or standalone with mockdata', (done) => {
        if (pronghorn.methodsByName.pullRequestIterationsList.task) {
          try {
            a.pullRequestIterationsList('fakedata', 'fakedata', 555, 'fakedata', null, 'fakedata', (data, error) => {
              try {
                if (stub) {
                  runCommonAsserts(data, error);
                  assert.equal('object', typeof data.response[0]);
                } else {
                  runCommonAsserts(data, error);
                }
                saveMockData('PullRequestIterations', 'pullRequestIterationsList', 'default', data);
                done();
              } catch (err) {
                log.error(`Test Failure: ${err}`);
                done(err);
              }
            });
          } catch (error) {
            log.error(`Adapter Exception: ${error}`);
            done(error);
          }
        } else {
          log.error('pullRequestIterationsList task is false, skipping test');
          skipCount += 1;
          done();
        }// end if task
      }).timeout(attemptTimeout);
    });

    describe('#pullRequestIterationsGet - errors', () => {
      it('should work if integrated but since no mockdata should error when run standalone', (done) => {
        if (pronghorn.methodsByName.pullRequestIterationsGet.task) {
          try {
            a.pullRequestIterationsGet('fakedata', 'fakedata', 555, 555, 'fakedata', 'fakedata', (data, error) => {
              try {
                if (stub) {
                  const displayE = 'Error 400 received on request';
                  runErrorAsserts(data, error, 'AD.500', 'Test-append-connectorRest-handleEndResponse', displayE);
                } else {
                  runCommonAsserts(data, error);
                }
                saveMockData('PullRequestIterations', 'pullRequestIterationsGet', 'default', data);
                done();
              } catch (err) {
                log.error(`Test Failure: ${err}`);
                done(err);
              }
            });
          } catch (error) {
            log.error(`Adapter Exception: ${error}`);
            done(error);
          }
        } else {
          log.error('pullRequestIterationsGet task is false, skipping test');
          skipCount += 1;
          done();
        }// end if task
      }).timeout(attemptTimeout);
    });

    describe('#pullRequestIterationChangesGet - errors', () => {
      it('should work if integrated but since no mockdata should error when run standalone', (done) => {
        if (pronghorn.methodsByName.pullRequestIterationChangesGet.task) {
          try {
            a.pullRequestIterationChangesGet('fakedata', 'fakedata', 555, 555, 'fakedata', null, null, null, 'fakedata', (data, error) => {
              try {
                if (stub) {
                  const displayE = 'Error 400 received on request';
                  runErrorAsserts(data, error, 'AD.500', 'Test-append-connectorRest-handleEndResponse', displayE);
                } else {
                  runCommonAsserts(data, error);
                }
                saveMockData('PullRequestIterationChanges', 'pullRequestIterationChangesGet', 'default', data);
                done();
              } catch (err) {
                log.error(`Test Failure: ${err}`);
                done(err);
              }
            });
          } catch (error) {
            log.error(`Adapter Exception: ${error}`);
            done(error);
          }
        } else {
          log.error('pullRequestIterationChangesGet task is false, skipping test');
          skipCount += 1;
          done();
        }// end if task
      }).timeout(attemptTimeout);
    });

    const pullRequestIterationStatusesPullRequestIterationStatusesCreateBodyParam = {
      _links: {
        links: {}
      },
      context: {
        genre: 'string',
        name: 'string'
      },
      createdBy: {
        _links: {
          links: {}
        },
        descriptor: 'string',
        displayName: 'string',
        url: 'string'
      },
      creationDate: 'string',
      description: 'string',
      id: 1,
      state: 'succeeded',
      targetUrl: 'string',
      updatedDate: 'string'
    };
    describe('#pullRequestIterationStatusesCreate - errors', () => {
      it('should work if integrated but since no mockdata should error when run standalone', (done) => {
        if (pronghorn.methodsByName.pullRequestIterationStatusesCreate.task) {
          try {
            a.pullRequestIterationStatusesCreate('fakedata', pullRequestIterationStatusesPullRequestIterationStatusesCreateBodyParam, 'fakedata', 555, 555, 'fakedata', 'fakedata', (data, error) => {
              try {
                if (stub) {
                  const displayE = 'Error 400 received on request';
                  runErrorAsserts(data, error, 'AD.500', 'Test-append-connectorRest-handleEndResponse', displayE);
                } else {
                  runCommonAsserts(data, error);
                }
                saveMockData('PullRequestIterationStatuses', 'pullRequestIterationStatusesCreate', 'default', data);
                done();
              } catch (err) {
                log.error(`Test Failure: ${err}`);
                done(err);
              }
            });
          } catch (error) {
            log.error(`Adapter Exception: ${error}`);
            done(error);
          }
        } else {
          log.error('pullRequestIterationStatusesCreate task is false, skipping test');
          skipCount += 1;
          done();
        }// end if task
      }).timeout(attemptTimeout);
    });

    describe('#pullRequestIterationStatusesList - errors', () => {
      it('should work if integrated or standalone with mockdata', (done) => {
        if (pronghorn.methodsByName.pullRequestIterationStatusesList.task) {
          try {
            a.pullRequestIterationStatusesList('fakedata', 'fakedata', 555, 555, 'fakedata', 'fakedata', (data, error) => {
              try {
                if (stub) {
                  runCommonAsserts(data, error);
                  assert.equal('object', typeof data.response[0]);
                  assert.equal('object', typeof data.response[1]);
                  assert.equal('object', typeof data.response[2]);
                } else {
                  runCommonAsserts(data, error);
                }
                saveMockData('PullRequestIterationStatuses', 'pullRequestIterationStatusesList', 'default', data);
                done();
              } catch (err) {
                log.error(`Test Failure: ${err}`);
                done(err);
              }
            });
          } catch (error) {
            log.error(`Adapter Exception: ${error}`);
            done(error);
          }
        } else {
          log.error('pullRequestIterationStatusesList task is false, skipping test');
          skipCount += 1;
          done();
        }// end if task
      }).timeout(attemptTimeout);
    });

    const pullRequestIterationStatusesPullRequestIterationStatusesUpdateBodyParam = {
      '0': {
        from: 'string',
        op: 'add',
        path: 'string',
        value: {}
      }
    };
    describe('#pullRequestIterationStatusesUpdate - errors', () => {
      it('should work if integrated but since no mockdata should error when run standalone', (done) => {
        if (pronghorn.methodsByName.pullRequestIterationStatusesUpdate.task) {
          try {
            a.pullRequestIterationStatusesUpdate('fakedata', pullRequestIterationStatusesPullRequestIterationStatusesUpdateBodyParam, 'fakedata', 555, 555, 'fakedata', 'fakedata', (data, error) => {
              try {
                if (stub) {
                  const displayE = 'Error 400 received on request';
                  runErrorAsserts(data, error, 'AD.500', 'Test-append-connectorRest-handleEndResponse', displayE);
                } else {
                  runCommonAsserts(data, error);
                }
                saveMockData('PullRequestIterationStatuses', 'pullRequestIterationStatusesUpdate', 'default', data);
                done();
              } catch (err) {
                log.error(`Test Failure: ${err}`);
                done(err);
              }
            });
          } catch (error) {
            log.error(`Adapter Exception: ${error}`);
            done(error);
          }
        } else {
          log.error('pullRequestIterationStatusesUpdate task is false, skipping test');
          skipCount += 1;
          done();
        }// end if task
      }).timeout(attemptTimeout);
    });

    describe('#pullRequestIterationStatusesDelete - errors', () => {
      it('should work if integrated but since no mockdata should error when run standalone', (done) => {
        if (pronghorn.methodsByName.pullRequestIterationStatusesDelete.task) {
          try {
            a.pullRequestIterationStatusesDelete('fakedata', 'fakedata', 555, 555, 555, 'fakedata', 'fakedata', (data, error) => {
              try {
                if (stub) {
                  const displayE = 'Error 400 received on request';
                  runErrorAsserts(data, error, 'AD.500', 'Test-append-connectorRest-handleEndResponse', displayE);
                } else {
                  runCommonAsserts(data, error);
                }
                saveMockData('PullRequestIterationStatuses', 'pullRequestIterationStatusesDelete', 'default', data);
                done();
              } catch (err) {
                log.error(`Test Failure: ${err}`);
                done(err);
              }
            });
          } catch (error) {
            log.error(`Adapter Exception: ${error}`);
            done(error);
          }
        } else {
          log.error('pullRequestIterationStatusesDelete task is false, skipping test');
          skipCount += 1;
          done();
        }// end if task
      }).timeout(attemptTimeout);
    });

    describe('#pullRequestIterationStatusesGet - errors', () => {
      it('should work if integrated but since no mockdata should error when run standalone', (done) => {
        if (pronghorn.methodsByName.pullRequestIterationStatusesGet.task) {
          try {
            a.pullRequestIterationStatusesGet('fakedata', 'fakedata', 555, 555, 555, 'fakedata', 'fakedata', (data, error) => {
              try {
                if (stub) {
                  const displayE = 'Error 400 received on request';
                  runErrorAsserts(data, error, 'AD.500', 'Test-append-connectorRest-handleEndResponse', displayE);
                } else {
                  runCommonAsserts(data, error);
                }
                saveMockData('PullRequestIterationStatuses', 'pullRequestIterationStatusesGet', 'default', data);
                done();
              } catch (err) {
                log.error(`Test Failure: ${err}`);
                done(err);
              }
            });
          } catch (error) {
            log.error(`Adapter Exception: ${error}`);
            done(error);
          }
        } else {
          log.error('pullRequestIterationStatusesGet task is false, skipping test');
          skipCount += 1;
          done();
        }// end if task
      }).timeout(attemptTimeout);
    });

    const pullRequestLabelsPullRequestLabelsCreateBodyParam = {
      name: 'string'
    };
    describe('#pullRequestLabelsCreate - errors', () => {
      it('should work if integrated but since no mockdata should error when run standalone', (done) => {
        if (pronghorn.methodsByName.pullRequestLabelsCreate.task) {
          try {
            a.pullRequestLabelsCreate('fakedata', pullRequestLabelsPullRequestLabelsCreateBodyParam, 'fakedata', 555, 'fakedata', null, 'fakedata', (data, error) => {
              try {
                if (stub) {
                  const displayE = 'Error 400 received on request';
                  runErrorAsserts(data, error, 'AD.500', 'Test-append-connectorRest-handleEndResponse', displayE);
                } else {
                  runCommonAsserts(data, error);
                }
                saveMockData('PullRequestLabels', 'pullRequestLabelsCreate', 'default', data);
                done();
              } catch (err) {
                log.error(`Test Failure: ${err}`);
                done(err);
              }
            });
          } catch (error) {
            log.error(`Adapter Exception: ${error}`);
            done(error);
          }
        } else {
          log.error('pullRequestLabelsCreate task is false, skipping test');
          skipCount += 1;
          done();
        }// end if task
      }).timeout(attemptTimeout);
    });

    describe('#pullRequestLabelsList - errors', () => {
      it('should work if integrated or standalone with mockdata', (done) => {
        if (pronghorn.methodsByName.pullRequestLabelsList.task) {
          try {
            a.pullRequestLabelsList('fakedata', 'fakedata', 555, 'fakedata', null, 'fakedata', (data, error) => {
              try {
                if (stub) {
                  runCommonAsserts(data, error);
                  assert.equal('object', typeof data.response[0]);
                  assert.equal('object', typeof data.response[1]);
                  assert.equal('object', typeof data.response[2]);
                } else {
                  runCommonAsserts(data, error);
                }
                saveMockData('PullRequestLabels', 'pullRequestLabelsList', 'default', data);
                done();
              } catch (err) {
                log.error(`Test Failure: ${err}`);
                done(err);
              }
            });
          } catch (error) {
            log.error(`Adapter Exception: ${error}`);
            done(error);
          }
        } else {
          log.error('pullRequestLabelsList task is false, skipping test');
          skipCount += 1;
          done();
        }// end if task
      }).timeout(attemptTimeout);
    });

    describe('#pullRequestLabelsDelete - errors', () => {
      it('should work if integrated but since no mockdata should error when run standalone', (done) => {
        if (pronghorn.methodsByName.pullRequestLabelsDelete.task) {
          try {
            a.pullRequestLabelsDelete('fakedata', 'fakedata', 555, 'fakedata', 'fakedata', null, 'fakedata', (data, error) => {
              try {
                if (stub) {
                  const displayE = 'Error 400 received on request';
                  runErrorAsserts(data, error, 'AD.500', 'Test-append-connectorRest-handleEndResponse', displayE);
                } else {
                  runCommonAsserts(data, error);
                }
                saveMockData('PullRequestLabels', 'pullRequestLabelsDelete', 'default', data);
                done();
              } catch (err) {
                log.error(`Test Failure: ${err}`);
                done(err);
              }
            });
          } catch (error) {
            log.error(`Adapter Exception: ${error}`);
            done(error);
          }
        } else {
          log.error('pullRequestLabelsDelete task is false, skipping test');
          skipCount += 1;
          done();
        }// end if task
      }).timeout(attemptTimeout);
    });

    describe('#pullRequestLabelsGet - errors', () => {
      it('should work if integrated but since no mockdata should error when run standalone', (done) => {
        if (pronghorn.methodsByName.pullRequestLabelsGet.task) {
          try {
            a.pullRequestLabelsGet('fakedata', 'fakedata', 555, 'fakedata', 'fakedata', null, 'fakedata', (data, error) => {
              try {
                if (stub) {
                  const displayE = 'Error 400 received on request';
                  runErrorAsserts(data, error, 'AD.500', 'Test-append-connectorRest-handleEndResponse', displayE);
                } else {
                  runCommonAsserts(data, error);
                }
                saveMockData('PullRequestLabels', 'pullRequestLabelsGet', 'default', data);
                done();
              } catch (err) {
                log.error(`Test Failure: ${err}`);
                done(err);
              }
            });
          } catch (error) {
            log.error(`Adapter Exception: ${error}`);
            done(error);
          }
        } else {
          log.error('pullRequestLabelsGet task is false, skipping test');
          skipCount += 1;
          done();
        }// end if task
      }).timeout(attemptTimeout);
    });

    describe('#pullRequestPropertiesList - errors', () => {
      it('should work if integrated but since no mockdata should error when run standalone', (done) => {
        if (pronghorn.methodsByName.pullRequestPropertiesList.task) {
          try {
            a.pullRequestPropertiesList('fakedata', 'fakedata', 555, 'fakedata', 'fakedata', (data, error) => {
              try {
                if (stub) {
                  const displayE = 'Error 400 received on request';
                  runErrorAsserts(data, error, 'AD.500', 'Test-append-connectorRest-handleEndResponse', displayE);
                } else {
                  runCommonAsserts(data, error);
                }
                saveMockData('PullRequestProperties', 'pullRequestPropertiesList', 'default', data);
                done();
              } catch (err) {
                log.error(`Test Failure: ${err}`);
                done(err);
              }
            });
          } catch (error) {
            log.error(`Adapter Exception: ${error}`);
            done(error);
          }
        } else {
          log.error('pullRequestPropertiesList task is false, skipping test');
          skipCount += 1;
          done();
        }// end if task
      }).timeout(attemptTimeout);
    });

    const pullRequestPropertiesPullRequestPropertiesUpdateBodyParam = {
      '0': {
        from: 'string',
        op: 'replace',
        path: 'string',
        value: {}
      }
    };
    describe('#pullRequestPropertiesUpdate - errors', () => {
      it('should work if integrated but since no mockdata should error when run standalone', (done) => {
        if (pronghorn.methodsByName.pullRequestPropertiesUpdate.task) {
          try {
            a.pullRequestPropertiesUpdate('fakedata', pullRequestPropertiesPullRequestPropertiesUpdateBodyParam, 'fakedata', 555, 'fakedata', 'fakedata', (data, error) => {
              try {
                if (stub) {
                  const displayE = 'Error 400 received on request';
                  runErrorAsserts(data, error, 'AD.500', 'Test-append-connectorRest-handleEndResponse', displayE);
                } else {
                  runCommonAsserts(data, error);
                }
                saveMockData('PullRequestProperties', 'pullRequestPropertiesUpdate', 'default', data);
                done();
              } catch (err) {
                log.error(`Test Failure: ${err}`);
                done(err);
              }
            });
          } catch (error) {
            log.error(`Adapter Exception: ${error}`);
            done(error);
          }
        } else {
          log.error('pullRequestPropertiesUpdate task is false, skipping test');
          skipCount += 1;
          done();
        }// end if task
      }).timeout(attemptTimeout);
    });

    const pullRequestReviewersPullRequestReviewersCreatePullRequestReviewersBodyParam = [
      {}
    ];
    describe('#pullRequestReviewersCreatePullRequestReviewers - errors', () => {
      it('should work if integrated or standalone with mockdata', (done) => {
        if (pronghorn.methodsByName.pullRequestReviewersCreatePullRequestReviewers.task) {
          try {
            a.pullRequestReviewersCreatePullRequestReviewers('fakedata', pullRequestReviewersPullRequestReviewersCreatePullRequestReviewersBodyParam, 'fakedata', 555, 'fakedata', 'fakedata', (data, error) => {
              try {
                if (stub) {
                  runCommonAsserts(data, error);
                  assert.equal('object', typeof data.response[0]);
                } else {
                  runCommonAsserts(data, error);
                }
                saveMockData('PullRequestReviewers', 'pullRequestReviewersCreatePullRequestReviewers', 'default', data);
                done();
              } catch (err) {
                log.error(`Test Failure: ${err}`);
                done(err);
              }
            });
          } catch (error) {
            log.error(`Adapter Exception: ${error}`);
            done(error);
          }
        } else {
          log.error('pullRequestReviewersCreatePullRequestReviewers task is false, skipping test');
          skipCount += 1;
          done();
        }// end if task
      }).timeout(attemptTimeout);
    });

    const pullRequestReviewersPullRequestReviewersCreateUnmaterializedPullRequestReviewerBodyParam = {
      _links: {
        links: {}
      },
      descriptor: 'string',
      displayName: 'string',
      url: 'string'
    };
    describe('#pullRequestReviewersCreateUnmaterializedPullRequestReviewer - errors', () => {
      it('should work if integrated but since no mockdata should error when run standalone', (done) => {
        if (pronghorn.methodsByName.pullRequestReviewersCreateUnmaterializedPullRequestReviewer.task) {
          try {
            a.pullRequestReviewersCreateUnmaterializedPullRequestReviewer('fakedata', pullRequestReviewersPullRequestReviewersCreateUnmaterializedPullRequestReviewerBodyParam, 'fakedata', 555, 'fakedata', 'fakedata', (data, error) => {
              try {
                if (stub) {
                  const displayE = 'Error 400 received on request';
                  runErrorAsserts(data, error, 'AD.500', 'Test-append-connectorRest-handleEndResponse', displayE);
                } else {
                  runCommonAsserts(data, error);
                }
                saveMockData('PullRequestReviewers', 'pullRequestReviewersCreateUnmaterializedPullRequestReviewer', 'default', data);
                done();
              } catch (err) {
                log.error(`Test Failure: ${err}`);
                done(err);
              }
            });
          } catch (error) {
            log.error(`Adapter Exception: ${error}`);
            done(error);
          }
        } else {
          log.error('pullRequestReviewersCreateUnmaterializedPullRequestReviewer task is false, skipping test');
          skipCount += 1;
          done();
        }// end if task
      }).timeout(attemptTimeout);
    });

    describe('#pullRequestReviewersList - errors', () => {
      it('should work if integrated or standalone with mockdata', (done) => {
        if (pronghorn.methodsByName.pullRequestReviewersList.task) {
          try {
            a.pullRequestReviewersList('fakedata', 'fakedata', 555, 'fakedata', 'fakedata', (data, error) => {
              try {
                if (stub) {
                  runCommonAsserts(data, error);
                  assert.equal('object', typeof data.response[0]);
                } else {
                  runCommonAsserts(data, error);
                }
                saveMockData('PullRequestReviewers', 'pullRequestReviewersList', 'default', data);
                done();
              } catch (err) {
                log.error(`Test Failure: ${err}`);
                done(err);
              }
            });
          } catch (error) {
            log.error(`Adapter Exception: ${error}`);
            done(error);
          }
        } else {
          log.error('pullRequestReviewersList task is false, skipping test');
          skipCount += 1;
          done();
        }// end if task
      }).timeout(attemptTimeout);
    });

    const pullRequestReviewersPullRequestReviewersUpdatePullRequestReviewersBodyParam = [
      {}
    ];
    describe('#pullRequestReviewersUpdatePullRequestReviewers - errors', () => {
      it('should work if integrated but since no mockdata should error when run standalone', (done) => {
        if (pronghorn.methodsByName.pullRequestReviewersUpdatePullRequestReviewers.task) {
          try {
            a.pullRequestReviewersUpdatePullRequestReviewers('fakedata', pullRequestReviewersPullRequestReviewersUpdatePullRequestReviewersBodyParam, 'fakedata', 555, 'fakedata', 'fakedata', (data, error) => {
              try {
                if (stub) {
                  const displayE = 'Error 400 received on request';
                  runErrorAsserts(data, error, 'AD.500', 'Test-append-connectorRest-handleEndResponse', displayE);
                } else {
                  runCommonAsserts(data, error);
                }
                saveMockData('PullRequestReviewers', 'pullRequestReviewersUpdatePullRequestReviewers', 'default', data);
                done();
              } catch (err) {
                log.error(`Test Failure: ${err}`);
                done(err);
              }
            });
          } catch (error) {
            log.error(`Adapter Exception: ${error}`);
            done(error);
          }
        } else {
          log.error('pullRequestReviewersUpdatePullRequestReviewers task is false, skipping test');
          skipCount += 1;
          done();
        }// end if task
      }).timeout(attemptTimeout);
    });

    const pullRequestReviewersPullRequestReviewersCreatePullRequestReviewerBodyParam = {
      _links: {
        links: {}
      },
      descriptor: 'string',
      displayName: 'string',
      url: 'string'
    };
    describe('#pullRequestReviewersCreatePullRequestReviewer - errors', () => {
      it('should work if integrated but since no mockdata should error when run standalone', (done) => {
        if (pronghorn.methodsByName.pullRequestReviewersCreatePullRequestReviewer.task) {
          try {
            a.pullRequestReviewersCreatePullRequestReviewer('fakedata', pullRequestReviewersPullRequestReviewersCreatePullRequestReviewerBodyParam, 'fakedata', 555, 'fakedata', 'fakedata', 'fakedata', (data, error) => {
              try {
                if (stub) {
                  const displayE = 'Error 400 received on request';
                  runErrorAsserts(data, error, 'AD.500', 'Test-append-connectorRest-handleEndResponse', displayE);
                } else {
                  runCommonAsserts(data, error);
                }
                saveMockData('PullRequestReviewers', 'pullRequestReviewersCreatePullRequestReviewer', 'default', data);
                done();
              } catch (err) {
                log.error(`Test Failure: ${err}`);
                done(err);
              }
            });
          } catch (error) {
            log.error(`Adapter Exception: ${error}`);
            done(error);
          }
        } else {
          log.error('pullRequestReviewersCreatePullRequestReviewer task is false, skipping test');
          skipCount += 1;
          done();
        }// end if task
      }).timeout(attemptTimeout);
    });

    describe('#pullRequestReviewersDelete - errors', () => {
      it('should work if integrated but since no mockdata should error when run standalone', (done) => {
        if (pronghorn.methodsByName.pullRequestReviewersDelete.task) {
          try {
            a.pullRequestReviewersDelete('fakedata', 'fakedata', 555, 'fakedata', 'fakedata', 'fakedata', (data, error) => {
              try {
                if (stub) {
                  const displayE = 'Error 400 received on request';
                  runErrorAsserts(data, error, 'AD.500', 'Test-append-connectorRest-handleEndResponse', displayE);
                } else {
                  runCommonAsserts(data, error);
                }
                saveMockData('PullRequestReviewers', 'pullRequestReviewersDelete', 'default', data);
                done();
              } catch (err) {
                log.error(`Test Failure: ${err}`);
                done(err);
              }
            });
          } catch (error) {
            log.error(`Adapter Exception: ${error}`);
            done(error);
          }
        } else {
          log.error('pullRequestReviewersDelete task is false, skipping test');
          skipCount += 1;
          done();
        }// end if task
      }).timeout(attemptTimeout);
    });

    describe('#pullRequestReviewersGet - errors', () => {
      it('should work if integrated but since no mockdata should error when run standalone', (done) => {
        if (pronghorn.methodsByName.pullRequestReviewersGet.task) {
          try {
            a.pullRequestReviewersGet('fakedata', 'fakedata', 555, 'fakedata', 'fakedata', 'fakedata', (data, error) => {
              try {
                if (stub) {
                  const displayE = 'Error 400 received on request';
                  runErrorAsserts(data, error, 'AD.500', 'Test-append-connectorRest-handleEndResponse', displayE);
                } else {
                  runCommonAsserts(data, error);
                }
                saveMockData('PullRequestReviewers', 'pullRequestReviewersGet', 'default', data);
                done();
              } catch (err) {
                log.error(`Test Failure: ${err}`);
                done(err);
              }
            });
          } catch (error) {
            log.error(`Adapter Exception: ${error}`);
            done(error);
          }
        } else {
          log.error('pullRequestReviewersGet task is false, skipping test');
          skipCount += 1;
          done();
        }// end if task
      }).timeout(attemptTimeout);
    });

    const pullRequestReviewersPullRequestReviewersUpdatePullRequestReviewerBodyParam = {
      _links: {
        links: {}
      },
      descriptor: 'string',
      displayName: 'string',
      url: 'string'
    };
    describe('#pullRequestReviewersUpdatePullRequestReviewer - errors', () => {
      it('should work if integrated but since no mockdata should error when run standalone', (done) => {
        if (pronghorn.methodsByName.pullRequestReviewersUpdatePullRequestReviewer.task) {
          try {
            a.pullRequestReviewersUpdatePullRequestReviewer('fakedata', pullRequestReviewersPullRequestReviewersUpdatePullRequestReviewerBodyParam, 'fakedata', 555, 'fakedata', 'fakedata', 'fakedata', (data, error) => {
              try {
                if (stub) {
                  const displayE = 'Error 400 received on request';
                  runErrorAsserts(data, error, 'AD.500', 'Test-append-connectorRest-handleEndResponse', displayE);
                } else {
                  runCommonAsserts(data, error);
                }
                saveMockData('PullRequestReviewers', 'pullRequestReviewersUpdatePullRequestReviewer', 'default', data);
                done();
              } catch (err) {
                log.error(`Test Failure: ${err}`);
                done(err);
              }
            });
          } catch (error) {
            log.error(`Adapter Exception: ${error}`);
            done(error);
          }
        } else {
          log.error('pullRequestReviewersUpdatePullRequestReviewer task is false, skipping test');
          skipCount += 1;
          done();
        }// end if task
      }).timeout(attemptTimeout);
    });

    const pullRequestSharePullRequestShareSharePullRequestBodyParam = {
      message: 'string',
      receivers: [
        {
          _links: {
            links: {}
          },
          descriptor: 'string',
          displayName: 'string',
          url: 'string'
        }
      ]
    };
    describe('#pullRequestShareSharePullRequest - errors', () => {
      it('should work if integrated but since no mockdata should error when run standalone', (done) => {
        if (pronghorn.methodsByName.pullRequestShareSharePullRequest.task) {
          try {
            a.pullRequestShareSharePullRequest('fakedata', pullRequestSharePullRequestShareSharePullRequestBodyParam, 'fakedata', 555, 'fakedata', 'fakedata', (data, error) => {
              try {
                if (stub) {
                  const displayE = 'Error 400 received on request';
                  runErrorAsserts(data, error, 'AD.500', 'Test-append-connectorRest-handleEndResponse', displayE);
                } else {
                  runCommonAsserts(data, error);
                }
                saveMockData('PullRequestShare', 'pullRequestShareSharePullRequest', 'default', data);
                done();
              } catch (err) {
                log.error(`Test Failure: ${err}`);
                done(err);
              }
            });
          } catch (error) {
            log.error(`Adapter Exception: ${error}`);
            done(error);
          }
        } else {
          log.error('pullRequestShareSharePullRequest task is false, skipping test');
          skipCount += 1;
          done();
        }// end if task
      }).timeout(attemptTimeout);
    });

    const pullRequestStatusesPullRequestStatusesCreateBodyParam = {
      _links: {
        links: {}
      },
      context: {
        genre: 'string',
        name: 'string'
      },
      createdBy: {
        _links: {
          links: {}
        },
        descriptor: 'string',
        displayName: 'string',
        url: 'string'
      },
      creationDate: 'string',
      description: 'string',
      id: 9,
      state: 'notApplicable',
      targetUrl: 'string',
      updatedDate: 'string'
    };
    describe('#pullRequestStatusesCreate - errors', () => {
      it('should work if integrated but since no mockdata should error when run standalone', (done) => {
        if (pronghorn.methodsByName.pullRequestStatusesCreate.task) {
          try {
            a.pullRequestStatusesCreate('fakedata', pullRequestStatusesPullRequestStatusesCreateBodyParam, 'fakedata', 555, 'fakedata', 'fakedata', (data, error) => {
              try {
                if (stub) {
                  const displayE = 'Error 400 received on request';
                  runErrorAsserts(data, error, 'AD.500', 'Test-append-connectorRest-handleEndResponse', displayE);
                } else {
                  runCommonAsserts(data, error);
                }
                saveMockData('PullRequestStatuses', 'pullRequestStatusesCreate', 'default', data);
                done();
              } catch (err) {
                log.error(`Test Failure: ${err}`);
                done(err);
              }
            });
          } catch (error) {
            log.error(`Adapter Exception: ${error}`);
            done(error);
          }
        } else {
          log.error('pullRequestStatusesCreate task is false, skipping test');
          skipCount += 1;
          done();
        }// end if task
      }).timeout(attemptTimeout);
    });

    describe('#pullRequestStatusesList - errors', () => {
      it('should work if integrated or standalone with mockdata', (done) => {
        if (pronghorn.methodsByName.pullRequestStatusesList.task) {
          try {
            a.pullRequestStatusesList('fakedata', 'fakedata', 555, 'fakedata', 'fakedata', (data, error) => {
              try {
                if (stub) {
                  runCommonAsserts(data, error);
                  assert.equal('object', typeof data.response[0]);
                  assert.equal('object', typeof data.response[1]);
                } else {
                  runCommonAsserts(data, error);
                }
                saveMockData('PullRequestStatuses', 'pullRequestStatusesList', 'default', data);
                done();
              } catch (err) {
                log.error(`Test Failure: ${err}`);
                done(err);
              }
            });
          } catch (error) {
            log.error(`Adapter Exception: ${error}`);
            done(error);
          }
        } else {
          log.error('pullRequestStatusesList task is false, skipping test');
          skipCount += 1;
          done();
        }// end if task
      }).timeout(attemptTimeout);
    });

    const pullRequestStatusesPullRequestStatusesUpdateBodyParam = {
      '0': {
        from: 'string',
        op: 'remove',
        path: 'string',
        value: {}
      }
    };
    describe('#pullRequestStatusesUpdate - errors', () => {
      it('should work if integrated but since no mockdata should error when run standalone', (done) => {
        if (pronghorn.methodsByName.pullRequestStatusesUpdate.task) {
          try {
            a.pullRequestStatusesUpdate('fakedata', pullRequestStatusesPullRequestStatusesUpdateBodyParam, 'fakedata', 555, 'fakedata', 'fakedata', (data, error) => {
              try {
                if (stub) {
                  const displayE = 'Error 400 received on request';
                  runErrorAsserts(data, error, 'AD.500', 'Test-append-connectorRest-handleEndResponse', displayE);
                } else {
                  runCommonAsserts(data, error);
                }
                saveMockData('PullRequestStatuses', 'pullRequestStatusesUpdate', 'default', data);
                done();
              } catch (err) {
                log.error(`Test Failure: ${err}`);
                done(err);
              }
            });
          } catch (error) {
            log.error(`Adapter Exception: ${error}`);
            done(error);
          }
        } else {
          log.error('pullRequestStatusesUpdate task is false, skipping test');
          skipCount += 1;
          done();
        }// end if task
      }).timeout(attemptTimeout);
    });

    describe('#pullRequestStatusesDelete - errors', () => {
      it('should work if integrated but since no mockdata should error when run standalone', (done) => {
        if (pronghorn.methodsByName.pullRequestStatusesDelete.task) {
          try {
            a.pullRequestStatusesDelete('fakedata', 'fakedata', 555, 555, 'fakedata', 'fakedata', (data, error) => {
              try {
                if (stub) {
                  const displayE = 'Error 400 received on request';
                  runErrorAsserts(data, error, 'AD.500', 'Test-append-connectorRest-handleEndResponse', displayE);
                } else {
                  runCommonAsserts(data, error);
                }
                saveMockData('PullRequestStatuses', 'pullRequestStatusesDelete', 'default', data);
                done();
              } catch (err) {
                log.error(`Test Failure: ${err}`);
                done(err);
              }
            });
          } catch (error) {
            log.error(`Adapter Exception: ${error}`);
            done(error);
          }
        } else {
          log.error('pullRequestStatusesDelete task is false, skipping test');
          skipCount += 1;
          done();
        }// end if task
      }).timeout(attemptTimeout);
    });

    describe('#pullRequestStatusesGet - errors', () => {
      it('should work if integrated but since no mockdata should error when run standalone', (done) => {
        if (pronghorn.methodsByName.pullRequestStatusesGet.task) {
          try {
            a.pullRequestStatusesGet('fakedata', 'fakedata', 555, 555, 'fakedata', 'fakedata', (data, error) => {
              try {
                if (stub) {
                  const displayE = 'Error 400 received on request';
                  runErrorAsserts(data, error, 'AD.500', 'Test-append-connectorRest-handleEndResponse', displayE);
                } else {
                  runCommonAsserts(data, error);
                }
                saveMockData('PullRequestStatuses', 'pullRequestStatusesGet', 'default', data);
                done();
              } catch (err) {
                log.error(`Test Failure: ${err}`);
                done(err);
              }
            });
          } catch (error) {
            log.error(`Adapter Exception: ${error}`);
            done(error);
          }
        } else {
          log.error('pullRequestStatusesGet task is false, skipping test');
          skipCount += 1;
          done();
        }// end if task
      }).timeout(attemptTimeout);
    });

    const pullRequestThreadsPullRequestThreadsCreateBodyParam = {
      _links: {
        links: {}
      },
      comments: [
        {
          _links: {
            links: {}
          },
          author: {
            _links: {
              links: {}
            },
            descriptor: 'string',
            displayName: 'string',
            url: 'string'
          },
          commentType: 'codeChange',
          content: 'string',
          id: 10,
          isDeleted: false,
          lastContentUpdatedDate: 'string',
          lastUpdatedDate: 'string',
          parentCommentId: 10,
          publishedDate: 'string',
          usersLiked: [
            {
              _links: {
                links: {}
              },
              descriptor: 'string',
              displayName: 'string',
              url: 'string'
            }
          ]
        }
      ],
      id: 9,
      identities: {},
      isDeleted: true,
      lastUpdatedDate: 'string',
      properties: {
        count: 9,
        item: {},
        keys: [
          'string'
        ],
        values: [
          'string'
        ]
      },
      publishedDate: 'string',
      status: 'byDesign',
      threadContext: {
        filePath: 'string',
        leftFileEnd: {
          line: 1,
          offset: 3
        },
        leftFileStart: {
          line: 2,
          offset: 6
        },
        rightFileEnd: {
          line: 10,
          offset: 2
        },
        rightFileStart: {
          line: 3,
          offset: 10
        }
      }
    };
    describe('#pullRequestThreadsCreate - errors', () => {
      it('should work if integrated but since no mockdata should error when run standalone', (done) => {
        if (pronghorn.methodsByName.pullRequestThreadsCreate.task) {
          try {
            a.pullRequestThreadsCreate('fakedata', pullRequestThreadsPullRequestThreadsCreateBodyParam, 'fakedata', 555, 'fakedata', 'fakedata', (data, error) => {
              try {
                if (stub) {
                  const displayE = 'Error 400 received on request';
                  runErrorAsserts(data, error, 'AD.500', 'Test-append-connectorRest-handleEndResponse', displayE);
                } else {
                  runCommonAsserts(data, error);
                }
                saveMockData('PullRequestThreads', 'pullRequestThreadsCreate', 'default', data);
                done();
              } catch (err) {
                log.error(`Test Failure: ${err}`);
                done(err);
              }
            });
          } catch (error) {
            log.error(`Adapter Exception: ${error}`);
            done(error);
          }
        } else {
          log.error('pullRequestThreadsCreate task is false, skipping test');
          skipCount += 1;
          done();
        }// end if task
      }).timeout(attemptTimeout);
    });

    describe('#pullRequestThreadsList - errors', () => {
      it('should work if integrated or standalone with mockdata', (done) => {
        if (pronghorn.methodsByName.pullRequestThreadsList.task) {
          try {
            a.pullRequestThreadsList('fakedata', 'fakedata', 555, 'fakedata', null, null, 'fakedata', (data, error) => {
              try {
                if (stub) {
                  runCommonAsserts(data, error);
                  assert.equal('object', typeof data.response[0]);
                } else {
                  runCommonAsserts(data, error);
                }
                saveMockData('PullRequestThreads', 'pullRequestThreadsList', 'default', data);
                done();
              } catch (err) {
                log.error(`Test Failure: ${err}`);
                done(err);
              }
            });
          } catch (error) {
            log.error(`Adapter Exception: ${error}`);
            done(error);
          }
        } else {
          log.error('pullRequestThreadsList task is false, skipping test');
          skipCount += 1;
          done();
        }// end if task
      }).timeout(attemptTimeout);
    });

    describe('#pullRequestThreadsGet - errors', () => {
      it('should work if integrated but since no mockdata should error when run standalone', (done) => {
        if (pronghorn.methodsByName.pullRequestThreadsGet.task) {
          try {
            a.pullRequestThreadsGet('fakedata', 'fakedata', 555, 555, 'fakedata', null, null, 'fakedata', (data, error) => {
              try {
                if (stub) {
                  const displayE = 'Error 400 received on request';
                  runErrorAsserts(data, error, 'AD.500', 'Test-append-connectorRest-handleEndResponse', displayE);
                } else {
                  runCommonAsserts(data, error);
                }
                saveMockData('PullRequestThreads', 'pullRequestThreadsGet', 'default', data);
                done();
              } catch (err) {
                log.error(`Test Failure: ${err}`);
                done(err);
              }
            });
          } catch (error) {
            log.error(`Adapter Exception: ${error}`);
            done(error);
          }
        } else {
          log.error('pullRequestThreadsGet task is false, skipping test');
          skipCount += 1;
          done();
        }// end if task
      }).timeout(attemptTimeout);
    });

    const pullRequestThreadsPullRequestThreadsUpdateBodyParam = {
      _links: {
        links: {}
      },
      comments: [
        {
          _links: {
            links: {}
          },
          author: {
            _links: {
              links: {}
            },
            descriptor: 'string',
            displayName: 'string',
            url: 'string'
          },
          commentType: 'codeChange',
          content: 'string',
          id: 3,
          isDeleted: false,
          lastContentUpdatedDate: 'string',
          lastUpdatedDate: 'string',
          parentCommentId: 5,
          publishedDate: 'string',
          usersLiked: [
            {
              _links: {
                links: {}
              },
              descriptor: 'string',
              displayName: 'string',
              url: 'string'
            }
          ]
        }
      ],
      id: 10,
      identities: {},
      isDeleted: false,
      lastUpdatedDate: 'string',
      properties: {
        count: 4,
        item: {},
        keys: [
          'string'
        ],
        values: [
          'string'
        ]
      },
      publishedDate: 'string',
      status: 'pending',
      threadContext: {
        filePath: 'string',
        leftFileEnd: {
          line: 7,
          offset: 6
        },
        leftFileStart: {
          line: 5,
          offset: 4
        },
        rightFileEnd: {
          line: 1,
          offset: 3
        },
        rightFileStart: {
          line: 4,
          offset: 10
        }
      }
    };
    describe('#pullRequestThreadsUpdate - errors', () => {
      it('should work if integrated but since no mockdata should error when run standalone', (done) => {
        if (pronghorn.methodsByName.pullRequestThreadsUpdate.task) {
          try {
            a.pullRequestThreadsUpdate('fakedata', pullRequestThreadsPullRequestThreadsUpdateBodyParam, 'fakedata', 555, 555, 'fakedata', 'fakedata', (data, error) => {
              try {
                if (stub) {
                  const displayE = 'Error 400 received on request';
                  runErrorAsserts(data, error, 'AD.500', 'Test-append-connectorRest-handleEndResponse', displayE);
                } else {
                  runCommonAsserts(data, error);
                }
                saveMockData('PullRequestThreads', 'pullRequestThreadsUpdate', 'default', data);
                done();
              } catch (err) {
                log.error(`Test Failure: ${err}`);
                done(err);
              }
            });
          } catch (error) {
            log.error(`Adapter Exception: ${error}`);
            done(error);
          }
        } else {
          log.error('pullRequestThreadsUpdate task is false, skipping test');
          skipCount += 1;
          done();
        }// end if task
      }).timeout(attemptTimeout);
    });

    const pullRequestThreadCommentsPullRequestThreadCommentsCreateBodyParam = {
      _links: {
        links: {}
      },
      author: {
        _links: {
          links: {}
        },
        descriptor: 'string',
        displayName: 'string',
        url: 'string'
      },
      commentType: 'unknown',
      content: 'string',
      id: 9,
      isDeleted: false,
      lastContentUpdatedDate: 'string',
      lastUpdatedDate: 'string',
      parentCommentId: 8,
      publishedDate: 'string',
      usersLiked: [
        {
          _links: {
            links: {}
          },
          descriptor: 'string',
          displayName: 'string',
          url: 'string'
        }
      ]
    };
    describe('#pullRequestThreadCommentsCreate - errors', () => {
      it('should work if integrated but since no mockdata should error when run standalone', (done) => {
        if (pronghorn.methodsByName.pullRequestThreadCommentsCreate.task) {
          try {
            a.pullRequestThreadCommentsCreate('fakedata', pullRequestThreadCommentsPullRequestThreadCommentsCreateBodyParam, 'fakedata', 555, 555, 'fakedata', 'fakedata', (data, error) => {
              try {
                if (stub) {
                  const displayE = 'Error 400 received on request';
                  runErrorAsserts(data, error, 'AD.500', 'Test-append-connectorRest-handleEndResponse', displayE);
                } else {
                  runCommonAsserts(data, error);
                }
                saveMockData('PullRequestThreadComments', 'pullRequestThreadCommentsCreate', 'default', data);
                done();
              } catch (err) {
                log.error(`Test Failure: ${err}`);
                done(err);
              }
            });
          } catch (error) {
            log.error(`Adapter Exception: ${error}`);
            done(error);
          }
        } else {
          log.error('pullRequestThreadCommentsCreate task is false, skipping test');
          skipCount += 1;
          done();
        }// end if task
      }).timeout(attemptTimeout);
    });

    describe('#pullRequestThreadCommentsList - errors', () => {
      it('should work if integrated or standalone with mockdata', (done) => {
        if (pronghorn.methodsByName.pullRequestThreadCommentsList.task) {
          try {
            a.pullRequestThreadCommentsList('fakedata', 'fakedata', 555, 555, 'fakedata', 'fakedata', (data, error) => {
              try {
                if (stub) {
                  runCommonAsserts(data, error);
                  assert.equal('object', typeof data.response[0]);
                  assert.equal('object', typeof data.response[1]);
                  assert.equal('object', typeof data.response[2]);
                } else {
                  runCommonAsserts(data, error);
                }
                saveMockData('PullRequestThreadComments', 'pullRequestThreadCommentsList', 'default', data);
                done();
              } catch (err) {
                log.error(`Test Failure: ${err}`);
                done(err);
              }
            });
          } catch (error) {
            log.error(`Adapter Exception: ${error}`);
            done(error);
          }
        } else {
          log.error('pullRequestThreadCommentsList task is false, skipping test');
          skipCount += 1;
          done();
        }// end if task
      }).timeout(attemptTimeout);
    });

    describe('#pullRequestThreadCommentsDelete - errors', () => {
      it('should work if integrated but since no mockdata should error when run standalone', (done) => {
        if (pronghorn.methodsByName.pullRequestThreadCommentsDelete.task) {
          try {
            a.pullRequestThreadCommentsDelete('fakedata', 'fakedata', 555, 555, 555, 'fakedata', 'fakedata', (data, error) => {
              try {
                if (stub) {
                  const displayE = 'Error 400 received on request';
                  runErrorAsserts(data, error, 'AD.500', 'Test-append-connectorRest-handleEndResponse', displayE);
                } else {
                  runCommonAsserts(data, error);
                }
                saveMockData('PullRequestThreadComments', 'pullRequestThreadCommentsDelete', 'default', data);
                done();
              } catch (err) {
                log.error(`Test Failure: ${err}`);
                done(err);
              }
            });
          } catch (error) {
            log.error(`Adapter Exception: ${error}`);
            done(error);
          }
        } else {
          log.error('pullRequestThreadCommentsDelete task is false, skipping test');
          skipCount += 1;
          done();
        }// end if task
      }).timeout(attemptTimeout);
    });

    describe('#pullRequestThreadCommentsGet - errors', () => {
      it('should work if integrated but since no mockdata should error when run standalone', (done) => {
        if (pronghorn.methodsByName.pullRequestThreadCommentsGet.task) {
          try {
            a.pullRequestThreadCommentsGet('fakedata', 'fakedata', 555, 555, 555, 'fakedata', 'fakedata', (data, error) => {
              try {
                if (stub) {
                  const displayE = 'Error 400 received on request';
                  runErrorAsserts(data, error, 'AD.500', 'Test-append-connectorRest-handleEndResponse', displayE);
                } else {
                  runCommonAsserts(data, error);
                }
                saveMockData('PullRequestThreadComments', 'pullRequestThreadCommentsGet', 'default', data);
                done();
              } catch (err) {
                log.error(`Test Failure: ${err}`);
                done(err);
              }
            });
          } catch (error) {
            log.error(`Adapter Exception: ${error}`);
            done(error);
          }
        } else {
          log.error('pullRequestThreadCommentsGet task is false, skipping test');
          skipCount += 1;
          done();
        }// end if task
      }).timeout(attemptTimeout);
    });

    const pullRequestThreadCommentsPullRequestThreadCommentsUpdateBodyParam = {
      _links: {
        links: {}
      },
      author: {
        _links: {
          links: {}
        },
        descriptor: 'string',
        displayName: 'string',
        url: 'string'
      },
      commentType: 'text',
      content: 'string',
      id: 5,
      isDeleted: true,
      lastContentUpdatedDate: 'string',
      lastUpdatedDate: 'string',
      parentCommentId: 5,
      publishedDate: 'string',
      usersLiked: [
        {
          _links: {
            links: {}
          },
          descriptor: 'string',
          displayName: 'string',
          url: 'string'
        }
      ]
    };
    describe('#pullRequestThreadCommentsUpdate - errors', () => {
      it('should work if integrated but since no mockdata should error when run standalone', (done) => {
        if (pronghorn.methodsByName.pullRequestThreadCommentsUpdate.task) {
          try {
            a.pullRequestThreadCommentsUpdate('fakedata', pullRequestThreadCommentsPullRequestThreadCommentsUpdateBodyParam, 'fakedata', 555, 555, 555, 'fakedata', 'fakedata', (data, error) => {
              try {
                if (stub) {
                  const displayE = 'Error 400 received on request';
                  runErrorAsserts(data, error, 'AD.500', 'Test-append-connectorRest-handleEndResponse', displayE);
                } else {
                  runCommonAsserts(data, error);
                }
                saveMockData('PullRequestThreadComments', 'pullRequestThreadCommentsUpdate', 'default', data);
                done();
              } catch (err) {
                log.error(`Test Failure: ${err}`);
                done(err);
              }
            });
          } catch (error) {
            log.error(`Adapter Exception: ${error}`);
            done(error);
          }
        } else {
          log.error('pullRequestThreadCommentsUpdate task is false, skipping test');
          skipCount += 1;
          done();
        }// end if task
      }).timeout(attemptTimeout);
    });

    describe('#pullRequestCommentLikesCreate - errors', () => {
      it('should work if integrated but since no mockdata should error when run standalone', (done) => {
        if (pronghorn.methodsByName.pullRequestCommentLikesCreate.task) {
          try {
            a.pullRequestCommentLikesCreate('fakedata', 'fakedata', 555, 555, 555, 'fakedata', 'fakedata', (data, error) => {
              try {
                if (stub) {
                  const displayE = 'Error 400 received on request';
                  runErrorAsserts(data, error, 'AD.500', 'Test-append-connectorRest-handleEndResponse', displayE);
                } else {
                  runCommonAsserts(data, error);
                }
                saveMockData('PullRequestCommentLikes', 'pullRequestCommentLikesCreate', 'default', data);
                done();
              } catch (err) {
                log.error(`Test Failure: ${err}`);
                done(err);
              }
            });
          } catch (error) {
            log.error(`Adapter Exception: ${error}`);
            done(error);
          }
        } else {
          log.error('pullRequestCommentLikesCreate task is false, skipping test');
          skipCount += 1;
          done();
        }// end if task
      }).timeout(attemptTimeout);
    });

    describe('#pullRequestCommentLikesDelete - errors', () => {
      it('should work if integrated but since no mockdata should error when run standalone', (done) => {
        if (pronghorn.methodsByName.pullRequestCommentLikesDelete.task) {
          try {
            a.pullRequestCommentLikesDelete('fakedata', 'fakedata', 555, 555, 555, 'fakedata', 'fakedata', (data, error) => {
              try {
                if (stub) {
                  const displayE = 'Error 400 received on request';
                  runErrorAsserts(data, error, 'AD.500', 'Test-append-connectorRest-handleEndResponse', displayE);
                } else {
                  runCommonAsserts(data, error);
                }
                saveMockData('PullRequestCommentLikes', 'pullRequestCommentLikesDelete', 'default', data);
                done();
              } catch (err) {
                log.error(`Test Failure: ${err}`);
                done(err);
              }
            });
          } catch (error) {
            log.error(`Adapter Exception: ${error}`);
            done(error);
          }
        } else {
          log.error('pullRequestCommentLikesDelete task is false, skipping test');
          skipCount += 1;
          done();
        }// end if task
      }).timeout(attemptTimeout);
    });

    describe('#pullRequestCommentLikesList - errors', () => {
      it('should work if integrated or standalone with mockdata', (done) => {
        if (pronghorn.methodsByName.pullRequestCommentLikesList.task) {
          try {
            a.pullRequestCommentLikesList('fakedata', 'fakedata', 555, 555, 555, 'fakedata', 'fakedata', (data, error) => {
              try {
                if (stub) {
                  runCommonAsserts(data, error);
                  assert.equal('object', typeof data.response[0]);
                } else {
                  runCommonAsserts(data, error);
                }
                saveMockData('PullRequestCommentLikes', 'pullRequestCommentLikesList', 'default', data);
                done();
              } catch (err) {
                log.error(`Test Failure: ${err}`);
                done(err);
              }
            });
          } catch (error) {
            log.error(`Adapter Exception: ${error}`);
            done(error);
          }
        } else {
          log.error('pullRequestCommentLikesList task is false, skipping test');
          skipCount += 1;
          done();
        }// end if task
      }).timeout(attemptTimeout);
    });

    describe('#pullRequestWorkItemsList - errors', () => {
      it('should work if integrated or standalone with mockdata', (done) => {
        if (pronghorn.methodsByName.pullRequestWorkItemsList.task) {
          try {
            a.pullRequestWorkItemsList('fakedata', 'fakedata', 555, 'fakedata', 'fakedata', (data, error) => {
              try {
                if (stub) {
                  runCommonAsserts(data, error);
                  assert.equal('object', typeof data.response[0]);
                  assert.equal('object', typeof data.response[1]);
                  assert.equal('object', typeof data.response[2]);
                  assert.equal('object', typeof data.response[3]);
                } else {
                  runCommonAsserts(data, error);
                }
                saveMockData('PullRequestWorkItems', 'pullRequestWorkItemsList', 'default', data);
                done();
              } catch (err) {
                log.error(`Test Failure: ${err}`);
                done(err);
              }
            });
          } catch (error) {
            log.error(`Adapter Exception: ${error}`);
            done(error);
          }
        } else {
          log.error('pullRequestWorkItemsList task is false, skipping test');
          skipCount += 1;
          done();
        }// end if task
      }).timeout(attemptTimeout);
    });

    const pushesPushesCreateBodyParam = {
      _links: {
        links: {}
      },
      date: 'string',
      pushedBy: {
        _links: {
          links: {}
        },
        descriptor: 'string',
        displayName: 'string',
        url: 'string'
      },
      pushId: 7,
      url: 'string'
    };
    describe('#pushesCreate - errors', () => {
      it('should work if integrated but since no mockdata should error when run standalone', (done) => {
        if (pronghorn.methodsByName.pushesCreate.task) {
          try {
            a.pushesCreate('fakedata', pushesPushesCreateBodyParam, 'fakedata', 'fakedata', 'fakedata', (data, error) => {
              try {
                if (stub) {
                  const displayE = 'Error 400 received on request';
                  runErrorAsserts(data, error, 'AD.500', 'Test-append-connectorRest-handleEndResponse', displayE);
                } else {
                  runCommonAsserts(data, error);
                }
                saveMockData('Pushes', 'pushesCreate', 'default', data);
                done();
              } catch (err) {
                log.error(`Test Failure: ${err}`);
                done(err);
              }
            });
          } catch (error) {
            log.error(`Adapter Exception: ${error}`);
            done(error);
          }
        } else {
          log.error('pushesCreate task is false, skipping test');
          skipCount += 1;
          done();
        }// end if task
      }).timeout(attemptTimeout);
    });

    describe('#pushesList - errors', () => {
      it('should work if integrated or standalone with mockdata', (done) => {
        if (pronghorn.methodsByName.pushesList.task) {
          try {
            a.pushesList('fakedata', 'fakedata', 'fakedata', null, null, null, null, null, null, null, null, 'fakedata', (data, error) => {
              try {
                if (stub) {
                  runCommonAsserts(data, error);
                  assert.equal('object', typeof data.response[0]);
                  assert.equal('object', typeof data.response[1]);
                } else {
                  runCommonAsserts(data, error);
                }
                saveMockData('Pushes', 'pushesList', 'default', data);
                done();
              } catch (err) {
                log.error(`Test Failure: ${err}`);
                done(err);
              }
            });
          } catch (error) {
            log.error(`Adapter Exception: ${error}`);
            done(error);
          }
        } else {
          log.error('pushesList task is false, skipping test');
          skipCount += 1;
          done();
        }// end if task
      }).timeout(attemptTimeout);
    });

    describe('#pushesGet - errors', () => {
      it('should work if integrated but since no mockdata should error when run standalone', (done) => {
        if (pronghorn.methodsByName.pushesGet.task) {
          try {
            a.pushesGet('fakedata', 'fakedata', 555, 'fakedata', null, null, 'fakedata', (data, error) => {
              try {
                if (stub) {
                  const displayE = 'Error 400 received on request';
                  runErrorAsserts(data, error, 'AD.500', 'Test-append-connectorRest-handleEndResponse', displayE);
                } else {
                  runCommonAsserts(data, error);
                }
                saveMockData('Pushes', 'pushesGet', 'default', data);
                done();
              } catch (err) {
                log.error(`Test Failure: ${err}`);
                done(err);
              }
            });
          } catch (error) {
            log.error(`Adapter Exception: ${error}`);
            done(error);
          }
        } else {
          log.error('pushesGet task is false, skipping test');
          skipCount += 1;
          done();
        }// end if task
      }).timeout(attemptTimeout);
    });

    describe('#refsList - errors', () => {
      it('should work if integrated or standalone with mockdata', (done) => {
        if (pronghorn.methodsByName.refsList.task) {
          try {
            a.refsList('fakedata', 'fakedata', 'fakedata', null, null, null, null, null, null, null, null, null, 'fakedata', (data, error) => {
              try {
                if (stub) {
                  runCommonAsserts(data, error);
                  assert.equal('object', typeof data.response[0]);
                  assert.equal('object', typeof data.response[1]);
                  assert.equal('object', typeof data.response[2]);
                } else {
                  runCommonAsserts(data, error);
                }
                saveMockData('Refs', 'refsList', 'default', data);
                done();
              } catch (err) {
                log.error(`Test Failure: ${err}`);
                done(err);
              }
            });
          } catch (error) {
            log.error(`Adapter Exception: ${error}`);
            done(error);
          }
        } else {
          log.error('refsList task is false, skipping test');
          skipCount += 1;
          done();
        }// end if task
      }).timeout(attemptTimeout);
    });

    const refsRefsUpdateRefBodyParam = {
      isLocked: false,
      name: 'string',
      newObjectId: 'string',
      oldObjectId: 'string',
      repositoryId: 'string'
    };
    describe('#refsUpdateRef - errors', () => {
      it('should work if integrated but since no mockdata should error when run standalone', (done) => {
        if (pronghorn.methodsByName.refsUpdateRef.task) {
          try {
            a.refsUpdateRef('fakedata', refsRefsUpdateRefBodyParam, 'fakedata', 'fakedata', 'fakedata', null, 'fakedata', (data, error) => {
              try {
                if (stub) {
                  const displayE = 'Error 400 received on request';
                  runErrorAsserts(data, error, 'AD.500', 'Test-append-connectorRest-handleEndResponse', displayE);
                } else {
                  runCommonAsserts(data, error);
                }
                saveMockData('Refs', 'refsUpdateRef', 'default', data);
                done();
              } catch (err) {
                log.error(`Test Failure: ${err}`);
                done(err);
              }
            });
          } catch (error) {
            log.error(`Adapter Exception: ${error}`);
            done(error);
          }
        } else {
          log.error('refsUpdateRef task is false, skipping test');
          skipCount += 1;
          done();
        }// end if task
      }).timeout(attemptTimeout);
    });

    const refsRefsUpdateRefsBodyParam = [
      {}
    ];
    describe('#refsUpdateRefs - errors', () => {
      it('should work if integrated or standalone with mockdata', (done) => {
        if (pronghorn.methodsByName.refsUpdateRefs.task) {
          try {
            a.refsUpdateRefs('fakedata', refsRefsUpdateRefsBodyParam, 'fakedata', 'fakedata', null, 'fakedata', (data, error) => {
              try {
                if (stub) {
                  runCommonAsserts(data, error);
                  assert.equal('object', typeof data.response[0]);
                } else {
                  runCommonAsserts(data, error);
                }
                saveMockData('Refs', 'refsUpdateRefs', 'default', data);
                done();
              } catch (err) {
                log.error(`Test Failure: ${err}`);
                done(err);
              }
            });
          } catch (error) {
            log.error(`Adapter Exception: ${error}`);
            done(error);
          }
        } else {
          log.error('refsUpdateRefs task is false, skipping test');
          skipCount += 1;
          done();
        }// end if task
      }).timeout(attemptTimeout);
    });

    const revertsRevertsCreateBodyParam = {
      generatedRefName: 'string',
      ontoRefName: 'string',
      repository: {
        _links: {
          links: {}
        },
        defaultBranch: 'string',
        id: 'string',
        isDisabled: false,
        isFork: true,
        name: 'string',
        parentRepository: {
          collection: {
            id: 'string',
            name: 'string',
            url: 'string'
          },
          id: 'string',
          isFork: false,
          name: 'string',
          project: {
            abbreviation: 'string',
            defaultTeamImageUrl: 'string',
            description: 'string',
            id: 'string',
            lastUpdateTime: 'string',
            name: 'string',
            revision: 6,
            state: 'unchanged',
            url: 'string',
            visibility: 'private'
          },
          remoteUrl: 'string',
          sshUrl: 'string',
          url: 'string'
        },
        project: {
          abbreviation: 'string',
          defaultTeamImageUrl: 'string',
          description: 'string',
          id: 'string',
          lastUpdateTime: 'string',
          name: 'string',
          revision: 2,
          state: 'new',
          url: 'string',
          visibility: 'private'
        },
        remoteUrl: 'string',
        size: 3,
        sshUrl: 'string',
        url: 'string',
        validRemoteUrls: [
          'string'
        ],
        webUrl: 'string'
      },
      source: {
        commitList: [
          {
            _links: {
              links: {}
            },
            author: {
              date: 'string',
              email: 'string',
              imageUrl: 'string',
              name: 'string'
            },
            changeCounts: {},
            changes: [
              {
                changeType: 'encoding',
                item: 'string',
                newContent: {
                  content: 'string',
                  contentType: 'base64Encoded'
                },
                sourceServerItem: 'string',
                url: 'string'
              }
            ],
            comment: 'string',
            commentTruncated: true,
            commitId: 'string',
            committer: {
              date: 'string',
              email: 'string',
              imageUrl: 'string',
              name: 'string'
            },
            parents: [
              'string'
            ],
            push: {
              _links: {
                links: {}
              },
              date: 'string',
              pushedBy: {
                _links: {
                  links: {}
                },
                descriptor: 'string',
                displayName: 'string',
                url: 'string'
              },
              pushId: 2,
              url: 'string'
            },
            remoteUrl: 'string',
            statuses: [
              {
                _links: {
                  links: {}
                },
                context: {
                  genre: 'string',
                  name: 'string'
                },
                createdBy: {
                  _links: {
                    links: {}
                  },
                  descriptor: 'string',
                  displayName: 'string',
                  url: 'string'
                },
                creationDate: 'string',
                description: 'string',
                id: 7,
                state: 'failed',
                targetUrl: 'string',
                updatedDate: 'string'
              }
            ],
            url: 'string',
            workItems: [
              {
                id: 'string',
                url: 'string'
              }
            ]
          }
        ],
        pullRequestId: 1
      }
    };
    describe('#revertsCreate - errors', () => {
      it('should work if integrated but since no mockdata should error when run standalone', (done) => {
        if (pronghorn.methodsByName.revertsCreate.task) {
          try {
            a.revertsCreate('fakedata', revertsRevertsCreateBodyParam, 'fakedata', 'fakedata', 'fakedata', (data, error) => {
              try {
                if (stub) {
                  const displayE = 'Error 400 received on request';
                  runErrorAsserts(data, error, 'AD.500', 'Test-append-connectorRest-handleEndResponse', displayE);
                } else {
                  runCommonAsserts(data, error);
                }
                saveMockData('Reverts', 'revertsCreate', 'default', data);
                done();
              } catch (err) {
                log.error(`Test Failure: ${err}`);
                done(err);
              }
            });
          } catch (error) {
            log.error(`Adapter Exception: ${error}`);
            done(error);
          }
        } else {
          log.error('revertsCreate task is false, skipping test');
          skipCount += 1;
          done();
        }// end if task
      }).timeout(attemptTimeout);
    });

    describe('#revertsGetRevertForRefName - errors', () => {
      it('should work if integrated but since no mockdata should error when run standalone', (done) => {
        if (pronghorn.methodsByName.revertsGetRevertForRefName.task) {
          try {
            a.revertsGetRevertForRefName('fakedata', 'fakedata', 'fakedata', 'fakedata', 'fakedata', (data, error) => {
              try {
                if (stub) {
                  const displayE = 'Error 400 received on request';
                  runErrorAsserts(data, error, 'AD.500', 'Test-append-connectorRest-handleEndResponse', displayE);
                } else {
                  runCommonAsserts(data, error);
                }
                saveMockData('Reverts', 'revertsGetRevertForRefName', 'default', data);
                done();
              } catch (err) {
                log.error(`Test Failure: ${err}`);
                done(err);
              }
            });
          } catch (error) {
            log.error(`Adapter Exception: ${error}`);
            done(error);
          }
        } else {
          log.error('revertsGetRevertForRefName task is false, skipping test');
          skipCount += 1;
          done();
        }// end if task
      }).timeout(attemptTimeout);
    });

    describe('#revertsGetRevert - errors', () => {
      it('should work if integrated but since no mockdata should error when run standalone', (done) => {
        if (pronghorn.methodsByName.revertsGetRevert.task) {
          try {
            a.revertsGetRevert('fakedata', 'fakedata', 555, 'fakedata', 'fakedata', (data, error) => {
              try {
                if (stub) {
                  const displayE = 'Error 400 received on request';
                  runErrorAsserts(data, error, 'AD.500', 'Test-append-connectorRest-handleEndResponse', displayE);
                } else {
                  runCommonAsserts(data, error);
                }
                saveMockData('Reverts', 'revertsGetRevert', 'default', data);
                done();
              } catch (err) {
                log.error(`Test Failure: ${err}`);
                done(err);
              }
            });
          } catch (error) {
            log.error(`Adapter Exception: ${error}`);
            done(error);
          }
        } else {
          log.error('revertsGetRevert task is false, skipping test');
          skipCount += 1;
          done();
        }// end if task
      }).timeout(attemptTimeout);
    });

    describe('#statsList - errors', () => {
      it('should work if integrated or standalone with mockdata', (done) => {
        if (pronghorn.methodsByName.statsList.task) {
          try {
            a.statsList('fakedata', 'fakedata', 'fakedata', null, null, null, 'fakedata', (data, error) => {
              try {
                if (stub) {
                  runCommonAsserts(data, error);
                  assert.equal('object', typeof data.response[0]);
                } else {
                  runCommonAsserts(data, error);
                }
                saveMockData('Stats', 'statsList', 'default', data);
                done();
              } catch (err) {
                log.error(`Test Failure: ${err}`);
                done(err);
              }
            });
          } catch (error) {
            log.error(`Adapter Exception: ${error}`);
            done(error);
          }
        } else {
          log.error('statsList task is false, skipping test');
          skipCount += 1;
          done();
        }// end if task
      }).timeout(attemptTimeout);
    });

    describe('#suggestionsList - errors', () => {
      it('should work if integrated or standalone with mockdata', (done) => {
        if (pronghorn.methodsByName.suggestionsList.task) {
          try {
            a.suggestionsList('fakedata', 'fakedata', 'fakedata', 'fakedata', (data, error) => {
              try {
                if (stub) {
                  runCommonAsserts(data, error);
                  assert.equal('object', typeof data.response[0]);
                  assert.equal('object', typeof data.response[1]);
                  assert.equal('object', typeof data.response[2]);
                } else {
                  runCommonAsserts(data, error);
                }
                saveMockData('Suggestions', 'suggestionsList', 'default', data);
                done();
              } catch (err) {
                log.error(`Test Failure: ${err}`);
                done(err);
              }
            });
          } catch (error) {
            log.error(`Adapter Exception: ${error}`);
            done(error);
          }
        } else {
          log.error('suggestionsList task is false, skipping test');
          skipCount += 1;
          done();
        }// end if task
      }).timeout(attemptTimeout);
    });

    describe('#treesGet - errors', () => {
      it('should work if integrated but since no mockdata should error when run standalone', (done) => {
        if (pronghorn.methodsByName.treesGet.task) {
          try {
            a.treesGet('fakedata', 'fakedata', 'fakedata', 'fakedata', null, null, null, null, 'fakedata', (data, error) => {
              try {
                if (stub) {
                  const displayE = 'Error 400 received on request';
                  runErrorAsserts(data, error, 'AD.500', 'Test-append-connectorRest-handleEndResponse', displayE);
                } else {
                  runCommonAsserts(data, error);
                }
                saveMockData('Trees', 'treesGet', 'default', data);
                done();
              } catch (err) {
                log.error(`Test Failure: ${err}`);
                done(err);
              }
            });
          } catch (error) {
            log.error(`Adapter Exception: ${error}`);
            done(error);
          }
        } else {
          log.error('treesGet task is false, skipping test');
          skipCount += 1;
          done();
        }// end if task
      }).timeout(attemptTimeout);
    });

    describe('#mergeBasesList - errors', () => {
      it('should work if integrated or standalone with mockdata', (done) => {
        if (pronghorn.methodsByName.mergeBasesList.task) {
          try {
            a.mergeBasesList('fakedata', 'fakedata', 'fakedata', 'fakedata', 'fakedata', null, null, 'fakedata', (data, error) => {
              try {
                if (stub) {
                  runCommonAsserts(data, error);
                  assert.equal('object', typeof data.response[0]);
                  assert.equal('object', typeof data.response[1]);
                } else {
                  runCommonAsserts(data, error);
                }
                saveMockData('MergeBases', 'mergeBasesList', 'default', data);
                done();
              } catch (err) {
                log.error(`Test Failure: ${err}`);
                done(err);
              }
            });
          } catch (error) {
            log.error(`Adapter Exception: ${error}`);
            done(error);
          }
        } else {
          log.error('mergeBasesList task is false, skipping test');
          skipCount += 1;
          done();
        }// end if task
      }).timeout(attemptTimeout);
    });

    describe('#forksList - errors', () => {
      it('should work if integrated or standalone with mockdata', (done) => {
        if (pronghorn.methodsByName.forksList.task) {
          try {
            a.forksList('fakedata', 'fakedata', 'fakedata', 'fakedata', null, 'fakedata', (data, error) => {
              try {
                if (stub) {
                  runCommonAsserts(data, error);
                  assert.equal('object', typeof data.response[0]);
                  assert.equal('object', typeof data.response[1]);
                  assert.equal('object', typeof data.response[2]);
                  assert.equal('object', typeof data.response[3]);
                } else {
                  runCommonAsserts(data, error);
                }
                saveMockData('Forks', 'forksList', 'default', data);
                done();
              } catch (err) {
                log.error(`Test Failure: ${err}`);
                done(err);
              }
            });
          } catch (error) {
            log.error(`Adapter Exception: ${error}`);
            done(error);
          }
        } else {
          log.error('forksList task is false, skipping test');
          skipCount += 1;
          done();
        }// end if task
      }).timeout(attemptTimeout);
    });

    const forksForksCreateForkSyncRequestBodyParam = {
      source: {
        collectionId: 'string',
        projectId: 'string',
        repositoryId: 'string'
      },
      sourceToTargetRefs: [
        {
          sourceRef: 'string',
          targetRef: 'string'
        }
      ]
    };
    describe('#forksCreateForkSyncRequest - errors', () => {
      it('should work if integrated but since no mockdata should error when run standalone', (done) => {
        if (pronghorn.methodsByName.forksCreateForkSyncRequest.task) {
          try {
            a.forksCreateForkSyncRequest('fakedata', forksForksCreateForkSyncRequestBodyParam, 'fakedata', 'fakedata', null, 'fakedata', (data, error) => {
              try {
                if (stub) {
                  const displayE = 'Error 400 received on request';
                  runErrorAsserts(data, error, 'AD.500', 'Test-append-connectorRest-handleEndResponse', displayE);
                } else {
                  runCommonAsserts(data, error);
                }
                saveMockData('Forks', 'forksCreateForkSyncRequest', 'default', data);
                done();
              } catch (err) {
                log.error(`Test Failure: ${err}`);
                done(err);
              }
            });
          } catch (error) {
            log.error(`Adapter Exception: ${error}`);
            done(error);
          }
        } else {
          log.error('forksCreateForkSyncRequest task is false, skipping test');
          skipCount += 1;
          done();
        }// end if task
      }).timeout(attemptTimeout);
    });

    describe('#forksGetForkSyncRequests - errors', () => {
      it('should work if integrated or standalone with mockdata', (done) => {
        if (pronghorn.methodsByName.forksGetForkSyncRequests.task) {
          try {
            a.forksGetForkSyncRequests('fakedata', 'fakedata', 'fakedata', null, null, 'fakedata', (data, error) => {
              try {
                if (stub) {
                  runCommonAsserts(data, error);
                  assert.equal('object', typeof data.response[0]);
                  assert.equal('object', typeof data.response[1]);
                  assert.equal('object', typeof data.response[2]);
                  assert.equal('object', typeof data.response[3]);
                } else {
                  runCommonAsserts(data, error);
                }
                saveMockData('Forks', 'forksGetForkSyncRequests', 'default', data);
                done();
              } catch (err) {
                log.error(`Test Failure: ${err}`);
                done(err);
              }
            });
          } catch (error) {
            log.error(`Adapter Exception: ${error}`);
            done(error);
          }
        } else {
          log.error('forksGetForkSyncRequests task is false, skipping test');
          skipCount += 1;
          done();
        }// end if task
      }).timeout(attemptTimeout);
    });

    describe('#forksGetForkSyncRequest - errors', () => {
      it('should work if integrated but since no mockdata should error when run standalone', (done) => {
        if (pronghorn.methodsByName.forksGetForkSyncRequest.task) {
          try {
            a.forksGetForkSyncRequest('fakedata', 'fakedata', 555, 'fakedata', null, 'fakedata', (data, error) => {
              try {
                if (stub) {
                  const displayE = 'Error 400 received on request';
                  runErrorAsserts(data, error, 'AD.500', 'Test-append-connectorRest-handleEndResponse', displayE);
                } else {
                  runCommonAsserts(data, error);
                }
                saveMockData('Forks', 'forksGetForkSyncRequest', 'default', data);
                done();
              } catch (err) {
                log.error(`Test Failure: ${err}`);
                done(err);
              }
            });
          } catch (error) {
            log.error(`Adapter Exception: ${error}`);
            done(error);
          }
        } else {
          log.error('forksGetForkSyncRequest task is false, skipping test');
          skipCount += 1;
          done();
        }// end if task
      }).timeout(attemptTimeout);
    });

    const mergesMergesCreateBodyParam = {
      comment: 'string',
      parents: [
        'string'
      ]
    };
    describe('#mergesCreate - errors', () => {
      it('should work if integrated but since no mockdata should error when run standalone', (done) => {
        if (pronghorn.methodsByName.mergesCreate.task) {
          try {
            a.mergesCreate('fakedata', mergesMergesCreateBodyParam, 'fakedata', 'fakedata', null, 'fakedata', (data, error) => {
              try {
                if (stub) {
                  const displayE = 'Error 400 received on request';
                  runErrorAsserts(data, error, 'AD.500', 'Test-append-connectorRest-handleEndResponse', displayE);
                } else {
                  runCommonAsserts(data, error);
                }
                saveMockData('Merges', 'mergesCreate', 'default', data);
                done();
              } catch (err) {
                log.error(`Test Failure: ${err}`);
                done(err);
              }
            });
          } catch (error) {
            log.error(`Adapter Exception: ${error}`);
            done(error);
          }
        } else {
          log.error('mergesCreate task is false, skipping test');
          skipCount += 1;
          done();
        }// end if task
      }).timeout(attemptTimeout);
    });

    describe('#mergesGet - errors', () => {
      it('should work if integrated but since no mockdata should error when run standalone', (done) => {
        if (pronghorn.methodsByName.mergesGet.task) {
          try {
            a.mergesGet('fakedata', 'fakedata', 'fakedata', 555, null, 'fakedata', (data, error) => {
              try {
                if (stub) {
                  const displayE = 'Error 400 received on request';
                  runErrorAsserts(data, error, 'AD.500', 'Test-append-connectorRest-handleEndResponse', displayE);
                } else {
                  runCommonAsserts(data, error);
                }
                saveMockData('Merges', 'mergesGet', 'default', data);
                done();
              } catch (err) {
                log.error(`Test Failure: ${err}`);
                done(err);
              }
            });
          } catch (error) {
            log.error(`Adapter Exception: ${error}`);
            done(error);
          }
        } else {
          log.error('mergesGet task is false, skipping test');
          skipCount += 1;
          done();
        }// end if task
      }).timeout(attemptTimeout);
    });

    describe('#Skipped test count', () => {
      it('count skipped tests', (done) => {
        console.log(`skipped ${skipCount} tests because \x1b[33mtask: false\x1b[0m`);
        done();
      });
    });
