
    describe('#repositoriesGetDeletedRepositories - errors', () => {
      it('should have a repositoriesGetDeletedRepositories function', (done) => {
        try {
          assert.equal(true, typeof a.repositoriesGetDeletedRepositories === 'function');
          done();
        } catch (error) {
          log.error(`Test Failure: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing organization', (done) => {
        try {
          a.repositoriesGetDeletedRepositories(null, null, null, (data, error) => {
            try {
              const displayE = 'organization is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-repositoriesGetDeletedRepositories', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing project', (done) => {
        try {
          a.repositoriesGetDeletedRepositories('fakeparam', null, null, (data, error) => {
            try {
              const displayE = 'project is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-repositoriesGetDeletedRepositories', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing apiVersion', (done) => {
        try {
          a.repositoriesGetDeletedRepositories('fakeparam', 'fakeparam', null, (data, error) => {
            try {
              const displayE = 'apiVersion is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-repositoriesGetDeletedRepositories', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
    });

    describe('#repositoriesGetRecycleBinRepositories - errors', () => {
      it('should have a repositoriesGetRecycleBinRepositories function', (done) => {
        try {
          assert.equal(true, typeof a.repositoriesGetRecycleBinRepositories === 'function');
          done();
        } catch (error) {
          log.error(`Test Failure: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing organization', (done) => {
        try {
          a.repositoriesGetRecycleBinRepositories(null, null, null, (data, error) => {
            try {
              const displayE = 'organization is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-repositoriesGetRecycleBinRepositories', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing project', (done) => {
        try {
          a.repositoriesGetRecycleBinRepositories('fakeparam', null, null, (data, error) => {
            try {
              const displayE = 'project is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-repositoriesGetRecycleBinRepositories', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing apiVersion', (done) => {
        try {
          a.repositoriesGetRecycleBinRepositories('fakeparam', 'fakeparam', null, (data, error) => {
            try {
              const displayE = 'apiVersion is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-repositoriesGetRecycleBinRepositories', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
    });

    describe('#repositoriesDeleteRepositoryFromRecycleBin - errors', () => {
      it('should have a repositoriesDeleteRepositoryFromRecycleBin function', (done) => {
        try {
          assert.equal(true, typeof a.repositoriesDeleteRepositoryFromRecycleBin === 'function');
          done();
        } catch (error) {
          log.error(`Test Failure: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing organization', (done) => {
        try {
          a.repositoriesDeleteRepositoryFromRecycleBin(null, null, null, null, (data, error) => {
            try {
              const displayE = 'organization is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-repositoriesDeleteRepositoryFromRecycleBin', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing project', (done) => {
        try {
          a.repositoriesDeleteRepositoryFromRecycleBin('fakeparam', null, null, null, (data, error) => {
            try {
              const displayE = 'project is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-repositoriesDeleteRepositoryFromRecycleBin', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing repositoryId', (done) => {
        try {
          a.repositoriesDeleteRepositoryFromRecycleBin('fakeparam', 'fakeparam', null, null, (data, error) => {
            try {
              const displayE = 'repositoryId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-repositoriesDeleteRepositoryFromRecycleBin', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing apiVersion', (done) => {
        try {
          a.repositoriesDeleteRepositoryFromRecycleBin('fakeparam', 'fakeparam', 'fakeparam', null, (data, error) => {
            try {
              const displayE = 'apiVersion is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-repositoriesDeleteRepositoryFromRecycleBin', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
    });

    describe('#repositoriesRestoreRepositoryFromRecycleBin - errors', () => {
      it('should have a repositoriesRestoreRepositoryFromRecycleBin function', (done) => {
        try {
          assert.equal(true, typeof a.repositoriesRestoreRepositoryFromRecycleBin === 'function');
          done();
        } catch (error) {
          log.error(`Test Failure: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing organization', (done) => {
        try {
          a.repositoriesRestoreRepositoryFromRecycleBin(null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'organization is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-repositoriesRestoreRepositoryFromRecycleBin', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing body', (done) => {
        try {
          a.repositoriesRestoreRepositoryFromRecycleBin('fakeparam', null, null, null, null, (data, error) => {
            try {
              const displayE = 'body is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-repositoriesRestoreRepositoryFromRecycleBin', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing project', (done) => {
        try {
          a.repositoriesRestoreRepositoryFromRecycleBin('fakeparam', 'fakeparam', null, null, null, (data, error) => {
            try {
              const displayE = 'project is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-repositoriesRestoreRepositoryFromRecycleBin', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing repositoryId', (done) => {
        try {
          a.repositoriesRestoreRepositoryFromRecycleBin('fakeparam', 'fakeparam', 'fakeparam', null, null, (data, error) => {
            try {
              const displayE = 'repositoryId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-repositoriesRestoreRepositoryFromRecycleBin', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing apiVersion', (done) => {
        try {
          a.repositoriesRestoreRepositoryFromRecycleBin('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, (data, error) => {
            try {
              const displayE = 'apiVersion is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-repositoriesRestoreRepositoryFromRecycleBin', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
    });

    describe('#repositoriesCreate - errors', () => {
      it('should have a repositoriesCreate function', (done) => {
        try {
          assert.equal(true, typeof a.repositoriesCreate === 'function');
          done();
        } catch (error) {
          log.error(`Test Failure: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing organization', (done) => {
        try {
          a.repositoriesCreate(null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'organization is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-repositoriesCreate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing body', (done) => {
        try {
          a.repositoriesCreate('fakeparam', null, null, null, null, (data, error) => {
            try {
              const displayE = 'body is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-repositoriesCreate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing project', (done) => {
        try {
          a.repositoriesCreate('fakeparam', 'fakeparam', null, null, null, (data, error) => {
            try {
              const displayE = 'project is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-repositoriesCreate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing apiVersion', (done) => {
        try {
          a.repositoriesCreate('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, (data, error) => {
            try {
              const displayE = 'apiVersion is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-repositoriesCreate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
    });

    describe('#repositoriesList - errors', () => {
      it('should have a repositoriesList function', (done) => {
        try {
          assert.equal(true, typeof a.repositoriesList === 'function');
          done();
        } catch (error) {
          log.error(`Test Failure: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing organization', (done) => {
        try {
          a.repositoriesList(null, null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'organization is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-repositoriesList', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing project', (done) => {
        try {
          a.repositoriesList('fakeparam', null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'project is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-repositoriesList', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing apiVersion', (done) => {
        try {
          a.repositoriesList('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, (data, error) => {
            try {
              const displayE = 'apiVersion is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-repositoriesList', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
    });

    describe('#repositoriesDelete - errors', () => {
      it('should have a repositoriesDelete function', (done) => {
        try {
          assert.equal(true, typeof a.repositoriesDelete === 'function');
          done();
        } catch (error) {
          log.error(`Test Failure: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing organization', (done) => {
        try {
          a.repositoriesDelete(null, null, null, null, (data, error) => {
            try {
              const displayE = 'organization is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-repositoriesDelete', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing repositoryId', (done) => {
        try {
          a.repositoriesDelete('fakeparam', null, null, null, (data, error) => {
            try {
              const displayE = 'repositoryId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-repositoriesDelete', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing project', (done) => {
        try {
          a.repositoriesDelete('fakeparam', 'fakeparam', null, null, (data, error) => {
            try {
              const displayE = 'project is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-repositoriesDelete', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing apiVersion', (done) => {
        try {
          a.repositoriesDelete('fakeparam', 'fakeparam', 'fakeparam', null, (data, error) => {
            try {
              const displayE = 'apiVersion is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-repositoriesDelete', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
    });

    describe('#repositoriesGetRepository - errors', () => {
      it('should have a repositoriesGetRepository function', (done) => {
        try {
          assert.equal(true, typeof a.repositoriesGetRepository === 'function');
          done();
        } catch (error) {
          log.error(`Test Failure: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing organization', (done) => {
        try {
          a.repositoriesGetRepository(null, null, null, null, (data, error) => {
            try {
              const displayE = 'organization is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-repositoriesGetRepository', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing repositoryId', (done) => {
        try {
          a.repositoriesGetRepository('fakeparam', null, null, null, (data, error) => {
            try {
              const displayE = 'repositoryId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-repositoriesGetRepository', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing project', (done) => {
        try {
          a.repositoriesGetRepository('fakeparam', 'fakeparam', null, null, (data, error) => {
            try {
              const displayE = 'project is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-repositoriesGetRepository', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing apiVersion', (done) => {
        try {
          a.repositoriesGetRepository('fakeparam', 'fakeparam', 'fakeparam', null, (data, error) => {
            try {
              const displayE = 'apiVersion is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-repositoriesGetRepository', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
    });

    describe('#repositoriesUpdate - errors', () => {
      it('should have a repositoriesUpdate function', (done) => {
        try {
          assert.equal(true, typeof a.repositoriesUpdate === 'function');
          done();
        } catch (error) {
          log.error(`Test Failure: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing organization', (done) => {
        try {
          a.repositoriesUpdate(null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'organization is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-repositoriesUpdate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing body', (done) => {
        try {
          a.repositoriesUpdate('fakeparam', null, null, null, null, (data, error) => {
            try {
              const displayE = 'body is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-repositoriesUpdate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing repositoryId', (done) => {
        try {
          a.repositoriesUpdate('fakeparam', 'fakeparam', null, null, null, (data, error) => {
            try {
              const displayE = 'repositoryId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-repositoriesUpdate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing project', (done) => {
        try {
          a.repositoriesUpdate('fakeparam', 'fakeparam', 'fakeparam', null, null, (data, error) => {
            try {
              const displayE = 'project is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-repositoriesUpdate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing apiVersion', (done) => {
        try {
          a.repositoriesUpdate('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, (data, error) => {
            try {
              const displayE = 'apiVersion is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-repositoriesUpdate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
    });

    describe('#refsFavoritesCreate - errors', () => {
      it('should have a refsFavoritesCreate function', (done) => {
        try {
          assert.equal(true, typeof a.refsFavoritesCreate === 'function');
          done();
        } catch (error) {
          log.error(`Test Failure: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing organization', (done) => {
        try {
          a.refsFavoritesCreate(null, null, null, null, (data, error) => {
            try {
              const displayE = 'organization is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-refsFavoritesCreate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing body', (done) => {
        try {
          a.refsFavoritesCreate('fakeparam', null, null, null, (data, error) => {
            try {
              const displayE = 'body is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-refsFavoritesCreate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing project', (done) => {
        try {
          a.refsFavoritesCreate('fakeparam', 'fakeparam', null, null, (data, error) => {
            try {
              const displayE = 'project is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-refsFavoritesCreate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing apiVersion', (done) => {
        try {
          a.refsFavoritesCreate('fakeparam', 'fakeparam', 'fakeparam', null, (data, error) => {
            try {
              const displayE = 'apiVersion is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-refsFavoritesCreate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
    });

    describe('#refsFavoritesList - errors', () => {
      it('should have a refsFavoritesList function', (done) => {
        try {
          assert.equal(true, typeof a.refsFavoritesList === 'function');
          done();
        } catch (error) {
          log.error(`Test Failure: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing organization', (done) => {
        try {
          a.refsFavoritesList(null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'organization is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-refsFavoritesList', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing project', (done) => {
        try {
          a.refsFavoritesList('fakeparam', null, null, null, null, (data, error) => {
            try {
              const displayE = 'project is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-refsFavoritesList', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing apiVersion', (done) => {
        try {
          a.refsFavoritesList('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, (data, error) => {
            try {
              const displayE = 'apiVersion is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-refsFavoritesList', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
    });

    describe('#refsFavoritesDelete - errors', () => {
      it('should have a refsFavoritesDelete function', (done) => {
        try {
          assert.equal(true, typeof a.refsFavoritesDelete === 'function');
          done();
        } catch (error) {
          log.error(`Test Failure: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing organization', (done) => {
        try {
          a.refsFavoritesDelete(null, null, null, null, (data, error) => {
            try {
              const displayE = 'organization is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-refsFavoritesDelete', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing project', (done) => {
        try {
          a.refsFavoritesDelete('fakeparam', null, null, null, (data, error) => {
            try {
              const displayE = 'project is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-refsFavoritesDelete', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing favoriteId', (done) => {
        try {
          a.refsFavoritesDelete('fakeparam', 'fakeparam', null, null, (data, error) => {
            try {
              const displayE = 'favoriteId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-refsFavoritesDelete', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing apiVersion', (done) => {
        try {
          a.refsFavoritesDelete('fakeparam', 'fakeparam', 'fakeparam', null, (data, error) => {
            try {
              const displayE = 'apiVersion is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-refsFavoritesDelete', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
    });

    describe('#refsFavoritesGet - errors', () => {
      it('should have a refsFavoritesGet function', (done) => {
        try {
          assert.equal(true, typeof a.refsFavoritesGet === 'function');
          done();
        } catch (error) {
          log.error(`Test Failure: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing organization', (done) => {
        try {
          a.refsFavoritesGet(null, null, null, null, (data, error) => {
            try {
              const displayE = 'organization is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-refsFavoritesGet', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing project', (done) => {
        try {
          a.refsFavoritesGet('fakeparam', null, null, null, (data, error) => {
            try {
              const displayE = 'project is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-refsFavoritesGet', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing favoriteId', (done) => {
        try {
          a.refsFavoritesGet('fakeparam', 'fakeparam', null, null, (data, error) => {
            try {
              const displayE = 'favoriteId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-refsFavoritesGet', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing apiVersion', (done) => {
        try {
          a.refsFavoritesGet('fakeparam', 'fakeparam', 'fakeparam', null, (data, error) => {
            try {
              const displayE = 'apiVersion is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-refsFavoritesGet', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
    });

    describe('#policyConfigurationsGet - errors', () => {
      it('should have a policyConfigurationsGet function', (done) => {
        try {
          assert.equal(true, typeof a.policyConfigurationsGet === 'function');
          done();
        } catch (error) {
          log.error(`Test Failure: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing organization', (done) => {
        try {
          a.policyConfigurationsGet(null, null, null, null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'organization is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-policyConfigurationsGet', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing project', (done) => {
        try {
          a.policyConfigurationsGet('fakeparam', null, null, null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'project is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-policyConfigurationsGet', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing apiVersion', (done) => {
        try {
          a.policyConfigurationsGet('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, (data, error) => {
            try {
              const displayE = 'apiVersion is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-policyConfigurationsGet', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
    });

    describe('#pullRequestsGetPullRequestsByProject - errors', () => {
      it('should have a pullRequestsGetPullRequestsByProject function', (done) => {
        try {
          assert.equal(true, typeof a.pullRequestsGetPullRequestsByProject === 'function');
          done();
        } catch (error) {
          log.error(`Test Failure: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing organization', (done) => {
        try {
          a.pullRequestsGetPullRequestsByProject(null, null, null, null, null, null, null, null, null, null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'organization is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestsGetPullRequestsByProject', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing project', (done) => {
        try {
          a.pullRequestsGetPullRequestsByProject('fakeparam', null, null, null, null, null, null, null, null, null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'project is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestsGetPullRequestsByProject', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing apiVersion', (done) => {
        try {
          a.pullRequestsGetPullRequestsByProject('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, (data, error) => {
            try {
              const displayE = 'apiVersion is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestsGetPullRequestsByProject', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
    });

    describe('#pullRequestsGetPullRequestById - errors', () => {
      it('should have a pullRequestsGetPullRequestById function', (done) => {
        try {
          assert.equal(true, typeof a.pullRequestsGetPullRequestById === 'function');
          done();
        } catch (error) {
          log.error(`Test Failure: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing organization', (done) => {
        try {
          a.pullRequestsGetPullRequestById(null, null, null, null, (data, error) => {
            try {
              const displayE = 'organization is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestsGetPullRequestById', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing pullRequestId', (done) => {
        try {
          a.pullRequestsGetPullRequestById('fakeparam', null, null, null, (data, error) => {
            try {
              const displayE = 'pullRequestId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestsGetPullRequestById', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing project', (done) => {
        try {
          a.pullRequestsGetPullRequestById('fakeparam', 'fakeparam', null, null, (data, error) => {
            try {
              const displayE = 'project is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestsGetPullRequestById', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing apiVersion', (done) => {
        try {
          a.pullRequestsGetPullRequestById('fakeparam', 'fakeparam', 'fakeparam', null, (data, error) => {
            try {
              const displayE = 'apiVersion is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestsGetPullRequestById', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
    });

    describe('#pullRequestsCreate - errors', () => {
      it('should have a pullRequestsCreate function', (done) => {
        try {
          assert.equal(true, typeof a.pullRequestsCreate === 'function');
          done();
        } catch (error) {
          log.error(`Test Failure: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing organization', (done) => {
        try {
          a.pullRequestsCreate(null, null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'organization is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestsCreate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing body', (done) => {
        try {
          a.pullRequestsCreate('fakeparam', null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'body is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestsCreate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing repositoryId', (done) => {
        try {
          a.pullRequestsCreate('fakeparam', 'fakeparam', null, null, null, null, (data, error) => {
            try {
              const displayE = 'repositoryId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestsCreate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing project', (done) => {
        try {
          a.pullRequestsCreate('fakeparam', 'fakeparam', 'fakeparam', null, null, null, (data, error) => {
            try {
              const displayE = 'project is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestsCreate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing apiVersion', (done) => {
        try {
          a.pullRequestsCreate('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, (data, error) => {
            try {
              const displayE = 'apiVersion is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestsCreate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
    });

    describe('#pullRequestsGetPullRequests - errors', () => {
      it('should have a pullRequestsGetPullRequests function', (done) => {
        try {
          assert.equal(true, typeof a.pullRequestsGetPullRequests === 'function');
          done();
        } catch (error) {
          log.error(`Test Failure: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing organization', (done) => {
        try {
          a.pullRequestsGetPullRequests(null, null, null, null, null, null, null, null, null, null, null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'organization is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestsGetPullRequests', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing repositoryId', (done) => {
        try {
          a.pullRequestsGetPullRequests('fakeparam', null, null, null, null, null, null, null, null, null, null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'repositoryId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestsGetPullRequests', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing project', (done) => {
        try {
          a.pullRequestsGetPullRequests('fakeparam', 'fakeparam', null, null, null, null, null, null, null, null, null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'project is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestsGetPullRequests', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing apiVersion', (done) => {
        try {
          a.pullRequestsGetPullRequests('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, (data, error) => {
            try {
              const displayE = 'apiVersion is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestsGetPullRequests', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
    });

    describe('#pullRequestsGetPullRequest - errors', () => {
      it('should have a pullRequestsGetPullRequest function', (done) => {
        try {
          assert.equal(true, typeof a.pullRequestsGetPullRequest === 'function');
          done();
        } catch (error) {
          log.error(`Test Failure: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing organization', (done) => {
        try {
          a.pullRequestsGetPullRequest(null, null, null, null, null, null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'organization is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestsGetPullRequest', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing repositoryId', (done) => {
        try {
          a.pullRequestsGetPullRequest('fakeparam', null, null, null, null, null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'repositoryId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestsGetPullRequest', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing pullRequestId', (done) => {
        try {
          a.pullRequestsGetPullRequest('fakeparam', 'fakeparam', null, null, null, null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'pullRequestId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestsGetPullRequest', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing project', (done) => {
        try {
          a.pullRequestsGetPullRequest('fakeparam', 'fakeparam', 'fakeparam', null, null, null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'project is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestsGetPullRequest', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing apiVersion', (done) => {
        try {
          a.pullRequestsGetPullRequest('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, (data, error) => {
            try {
              const displayE = 'apiVersion is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestsGetPullRequest', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
    });

    describe('#pullRequestsUpdate - errors', () => {
      it('should have a pullRequestsUpdate function', (done) => {
        try {
          assert.equal(true, typeof a.pullRequestsUpdate === 'function');
          done();
        } catch (error) {
          log.error(`Test Failure: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing organization', (done) => {
        try {
          a.pullRequestsUpdate(null, null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'organization is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestsUpdate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing body', (done) => {
        try {
          a.pullRequestsUpdate('fakeparam', null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'body is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestsUpdate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing repositoryId', (done) => {
        try {
          a.pullRequestsUpdate('fakeparam', 'fakeparam', null, null, null, null, (data, error) => {
            try {
              const displayE = 'repositoryId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestsUpdate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing pullRequestId', (done) => {
        try {
          a.pullRequestsUpdate('fakeparam', 'fakeparam', 'fakeparam', null, null, null, (data, error) => {
            try {
              const displayE = 'pullRequestId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestsUpdate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing project', (done) => {
        try {
          a.pullRequestsUpdate('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, null, (data, error) => {
            try {
              const displayE = 'project is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestsUpdate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing apiVersion', (done) => {
        try {
          a.pullRequestsUpdate('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, (data, error) => {
            try {
              const displayE = 'apiVersion is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestsUpdate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
    });

    describe('#annotatedTagsCreate - errors', () => {
      it('should have a annotatedTagsCreate function', (done) => {
        try {
          assert.equal(true, typeof a.annotatedTagsCreate === 'function');
          done();
        } catch (error) {
          log.error(`Test Failure: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing organization', (done) => {
        try {
          a.annotatedTagsCreate(null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'organization is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-annotatedTagsCreate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing body', (done) => {
        try {
          a.annotatedTagsCreate('fakeparam', null, null, null, null, (data, error) => {
            try {
              const displayE = 'body is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-annotatedTagsCreate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing project', (done) => {
        try {
          a.annotatedTagsCreate('fakeparam', 'fakeparam', null, null, null, (data, error) => {
            try {
              const displayE = 'project is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-annotatedTagsCreate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing repositoryId', (done) => {
        try {
          a.annotatedTagsCreate('fakeparam', 'fakeparam', 'fakeparam', null, null, (data, error) => {
            try {
              const displayE = 'repositoryId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-annotatedTagsCreate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing apiVersion', (done) => {
        try {
          a.annotatedTagsCreate('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, (data, error) => {
            try {
              const displayE = 'apiVersion is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-annotatedTagsCreate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
    });

    describe('#annotatedTagsGet - errors', () => {
      it('should have a annotatedTagsGet function', (done) => {
        try {
          assert.equal(true, typeof a.annotatedTagsGet === 'function');
          done();
        } catch (error) {
          log.error(`Test Failure: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing organization', (done) => {
        try {
          a.annotatedTagsGet(null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'organization is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-annotatedTagsGet', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing project', (done) => {
        try {
          a.annotatedTagsGet('fakeparam', null, null, null, null, (data, error) => {
            try {
              const displayE = 'project is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-annotatedTagsGet', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing repositoryId', (done) => {
        try {
          a.annotatedTagsGet('fakeparam', 'fakeparam', null, null, null, (data, error) => {
            try {
              const displayE = 'repositoryId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-annotatedTagsGet', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing objectId', (done) => {
        try {
          a.annotatedTagsGet('fakeparam', 'fakeparam', 'fakeparam', null, null, (data, error) => {
            try {
              const displayE = 'objectId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-annotatedTagsGet', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing apiVersion', (done) => {
        try {
          a.annotatedTagsGet('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, (data, error) => {
            try {
              const displayE = 'apiVersion is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-annotatedTagsGet', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
    });

    describe('#blobsGetBlobsZip - errors', () => {
      it('should have a blobsGetBlobsZip function', (done) => {
        try {
          assert.equal(true, typeof a.blobsGetBlobsZip === 'function');
          done();
        } catch (error) {
          log.error(`Test Failure: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing organization', (done) => {
        try {
          a.blobsGetBlobsZip(null, null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'organization is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-blobsGetBlobsZip', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing body', (done) => {
        try {
          a.blobsGetBlobsZip('fakeparam', null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'body is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-blobsGetBlobsZip', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing repositoryId', (done) => {
        try {
          a.blobsGetBlobsZip('fakeparam', 'fakeparam', null, null, null, null, (data, error) => {
            try {
              const displayE = 'repositoryId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-blobsGetBlobsZip', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing project', (done) => {
        try {
          a.blobsGetBlobsZip('fakeparam', 'fakeparam', 'fakeparam', null, null, null, (data, error) => {
            try {
              const displayE = 'project is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-blobsGetBlobsZip', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing apiVersion', (done) => {
        try {
          a.blobsGetBlobsZip('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, (data, error) => {
            try {
              const displayE = 'apiVersion is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-blobsGetBlobsZip', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
    });

    describe('#blobsGetBlob - errors', () => {
      it('should have a blobsGetBlob function', (done) => {
        try {
          assert.equal(true, typeof a.blobsGetBlob === 'function');
          done();
        } catch (error) {
          log.error(`Test Failure: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing organization', (done) => {
        try {
          a.blobsGetBlob(null, null, null, null, null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'organization is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-blobsGetBlob', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing repositoryId', (done) => {
        try {
          a.blobsGetBlob('fakeparam', null, null, null, null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'repositoryId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-blobsGetBlob', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing sha1', (done) => {
        try {
          a.blobsGetBlob('fakeparam', 'fakeparam', null, null, null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'sha1 is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-blobsGetBlob', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing project', (done) => {
        try {
          a.blobsGetBlob('fakeparam', 'fakeparam', 'fakeparam', null, null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'project is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-blobsGetBlob', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing apiVersion', (done) => {
        try {
          a.blobsGetBlob('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, (data, error) => {
            try {
              const displayE = 'apiVersion is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-blobsGetBlob', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
    });

    describe('#cherryPicksCreate - errors', () => {
      it('should have a cherryPicksCreate function', (done) => {
        try {
          assert.equal(true, typeof a.cherryPicksCreate === 'function');
          done();
        } catch (error) {
          log.error(`Test Failure: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing organization', (done) => {
        try {
          a.cherryPicksCreate(null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'organization is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-cherryPicksCreate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing body', (done) => {
        try {
          a.cherryPicksCreate('fakeparam', null, null, null, null, (data, error) => {
            try {
              const displayE = 'body is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-cherryPicksCreate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing project', (done) => {
        try {
          a.cherryPicksCreate('fakeparam', 'fakeparam', null, null, null, (data, error) => {
            try {
              const displayE = 'project is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-cherryPicksCreate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing repositoryId', (done) => {
        try {
          a.cherryPicksCreate('fakeparam', 'fakeparam', 'fakeparam', null, null, (data, error) => {
            try {
              const displayE = 'repositoryId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-cherryPicksCreate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing apiVersion', (done) => {
        try {
          a.cherryPicksCreate('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, (data, error) => {
            try {
              const displayE = 'apiVersion is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-cherryPicksCreate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
    });

    describe('#cherryPicksGetCherryPickForRefName - errors', () => {
      it('should have a cherryPicksGetCherryPickForRefName function', (done) => {
        try {
          assert.equal(true, typeof a.cherryPicksGetCherryPickForRefName === 'function');
          done();
        } catch (error) {
          log.error(`Test Failure: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing organization', (done) => {
        try {
          a.cherryPicksGetCherryPickForRefName(null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'organization is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-cherryPicksGetCherryPickForRefName', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing project', (done) => {
        try {
          a.cherryPicksGetCherryPickForRefName('fakeparam', null, null, null, null, (data, error) => {
            try {
              const displayE = 'project is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-cherryPicksGetCherryPickForRefName', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing repositoryId', (done) => {
        try {
          a.cherryPicksGetCherryPickForRefName('fakeparam', 'fakeparam', null, null, null, (data, error) => {
            try {
              const displayE = 'repositoryId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-cherryPicksGetCherryPickForRefName', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing refName', (done) => {
        try {
          a.cherryPicksGetCherryPickForRefName('fakeparam', 'fakeparam', 'fakeparam', null, null, (data, error) => {
            try {
              const displayE = 'refName is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-cherryPicksGetCherryPickForRefName', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing apiVersion', (done) => {
        try {
          a.cherryPicksGetCherryPickForRefName('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, (data, error) => {
            try {
              const displayE = 'apiVersion is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-cherryPicksGetCherryPickForRefName', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
    });

    describe('#cherryPicksGetCherryPick - errors', () => {
      it('should have a cherryPicksGetCherryPick function', (done) => {
        try {
          assert.equal(true, typeof a.cherryPicksGetCherryPick === 'function');
          done();
        } catch (error) {
          log.error(`Test Failure: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing organization', (done) => {
        try {
          a.cherryPicksGetCherryPick(null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'organization is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-cherryPicksGetCherryPick', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing project', (done) => {
        try {
          a.cherryPicksGetCherryPick('fakeparam', null, null, null, null, (data, error) => {
            try {
              const displayE = 'project is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-cherryPicksGetCherryPick', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing cherryPickId', (done) => {
        try {
          a.cherryPicksGetCherryPick('fakeparam', 'fakeparam', null, null, null, (data, error) => {
            try {
              const displayE = 'cherryPickId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-cherryPicksGetCherryPick', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing repositoryId', (done) => {
        try {
          a.cherryPicksGetCherryPick('fakeparam', 'fakeparam', 'fakeparam', null, null, (data, error) => {
            try {
              const displayE = 'repositoryId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-cherryPicksGetCherryPick', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing apiVersion', (done) => {
        try {
          a.cherryPicksGetCherryPick('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, (data, error) => {
            try {
              const displayE = 'apiVersion is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-cherryPicksGetCherryPick', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
    });

    describe('#commitsGetPushCommits - errors', () => {
      it('should have a commitsGetPushCommits function', (done) => {
        try {
          assert.equal(true, typeof a.commitsGetPushCommits === 'function');
          done();
        } catch (error) {
          log.error(`Test Failure: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing organization', (done) => {
        try {
          a.commitsGetPushCommits(null, null, null, null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'organization is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-commitsGetPushCommits', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing repositoryId', (done) => {
        try {
          a.commitsGetPushCommits('fakeparam', null, null, null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'repositoryId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-commitsGetPushCommits', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing pushId', (done) => {
        try {
          a.commitsGetPushCommits('fakeparam', 'fakeparam', null, null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'pushId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-commitsGetPushCommits', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing project', (done) => {
        try {
          a.commitsGetPushCommits('fakeparam', 'fakeparam', 'fakeparam', null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'project is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-commitsGetPushCommits', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing apiVersion', (done) => {
        try {
          a.commitsGetPushCommits('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, (data, error) => {
            try {
              const displayE = 'apiVersion is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-commitsGetPushCommits', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
    });

    describe('#commitsGet - errors', () => {
      it('should have a commitsGet function', (done) => {
        try {
          assert.equal(true, typeof a.commitsGet === 'function');
          done();
        } catch (error) {
          log.error(`Test Failure: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing organization', (done) => {
        try {
          a.commitsGet(null, null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'organization is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-commitsGet', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing commitId', (done) => {
        try {
          a.commitsGet('fakeparam', null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'commitId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-commitsGet', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing repositoryId', (done) => {
        try {
          a.commitsGet('fakeparam', 'fakeparam', null, null, null, null, (data, error) => {
            try {
              const displayE = 'repositoryId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-commitsGet', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing project', (done) => {
        try {
          a.commitsGet('fakeparam', 'fakeparam', 'fakeparam', null, null, null, (data, error) => {
            try {
              const displayE = 'project is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-commitsGet', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing apiVersion', (done) => {
        try {
          a.commitsGet('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, (data, error) => {
            try {
              const displayE = 'apiVersion is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-commitsGet', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
    });

    describe('#commitsGetChanges - errors', () => {
      it('should have a commitsGetChanges function', (done) => {
        try {
          assert.equal(true, typeof a.commitsGetChanges === 'function');
          done();
        } catch (error) {
          log.error(`Test Failure: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing organization', (done) => {
        try {
          a.commitsGetChanges(null, null, null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'organization is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-commitsGetChanges', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing commitId', (done) => {
        try {
          a.commitsGetChanges('fakeparam', null, null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'commitId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-commitsGetChanges', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing repositoryId', (done) => {
        try {
          a.commitsGetChanges('fakeparam', 'fakeparam', null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'repositoryId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-commitsGetChanges', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing project', (done) => {
        try {
          a.commitsGetChanges('fakeparam', 'fakeparam', 'fakeparam', null, null, null, null, (data, error) => {
            try {
              const displayE = 'project is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-commitsGetChanges', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing apiVersion', (done) => {
        try {
          a.commitsGetChanges('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, (data, error) => {
            try {
              const displayE = 'apiVersion is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-commitsGetChanges', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
    });

    describe('#commitsGetCommitsBatch - errors', () => {
      it('should have a commitsGetCommitsBatch function', (done) => {
        try {
          assert.equal(true, typeof a.commitsGetCommitsBatch === 'function');
          done();
        } catch (error) {
          log.error(`Test Failure: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing organization', (done) => {
        try {
          a.commitsGetCommitsBatch(null, null, null, null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'organization is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-commitsGetCommitsBatch', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing body', (done) => {
        try {
          a.commitsGetCommitsBatch('fakeparam', null, null, null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'body is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-commitsGetCommitsBatch', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing repositoryId', (done) => {
        try {
          a.commitsGetCommitsBatch('fakeparam', 'fakeparam', null, null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'repositoryId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-commitsGetCommitsBatch', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing project', (done) => {
        try {
          a.commitsGetCommitsBatch('fakeparam', 'fakeparam', 'fakeparam', null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'project is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-commitsGetCommitsBatch', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing apiVersion', (done) => {
        try {
          a.commitsGetCommitsBatch('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, (data, error) => {
            try {
              const displayE = 'apiVersion is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-commitsGetCommitsBatch', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
    });

    describe('#statusesCreate - errors', () => {
      it('should have a statusesCreate function', (done) => {
        try {
          assert.equal(true, typeof a.statusesCreate === 'function');
          done();
        } catch (error) {
          log.error(`Test Failure: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing organization', (done) => {
        try {
          a.statusesCreate(null, null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'organization is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-statusesCreate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing body', (done) => {
        try {
          a.statusesCreate('fakeparam', null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'body is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-statusesCreate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing commitId', (done) => {
        try {
          a.statusesCreate('fakeparam', 'fakeparam', null, null, null, null, (data, error) => {
            try {
              const displayE = 'commitId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-statusesCreate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing repositoryId', (done) => {
        try {
          a.statusesCreate('fakeparam', 'fakeparam', 'fakeparam', null, null, null, (data, error) => {
            try {
              const displayE = 'repositoryId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-statusesCreate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing project', (done) => {
        try {
          a.statusesCreate('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, null, (data, error) => {
            try {
              const displayE = 'project is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-statusesCreate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing apiVersion', (done) => {
        try {
          a.statusesCreate('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, (data, error) => {
            try {
              const displayE = 'apiVersion is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-statusesCreate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
    });

    describe('#statusesList - errors', () => {
      it('should have a statusesList function', (done) => {
        try {
          assert.equal(true, typeof a.statusesList === 'function');
          done();
        } catch (error) {
          log.error(`Test Failure: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing organization', (done) => {
        try {
          a.statusesList(null, null, null, null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'organization is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-statusesList', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing commitId', (done) => {
        try {
          a.statusesList('fakeparam', null, null, null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'commitId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-statusesList', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing repositoryId', (done) => {
        try {
          a.statusesList('fakeparam', 'fakeparam', null, null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'repositoryId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-statusesList', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing project', (done) => {
        try {
          a.statusesList('fakeparam', 'fakeparam', 'fakeparam', null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'project is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-statusesList', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing apiVersion', (done) => {
        try {
          a.statusesList('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, (data, error) => {
            try {
              const displayE = 'apiVersion is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-statusesList', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
    });

    describe('#diffsGet - errors', () => {
      it('should have a diffsGet function', (done) => {
        try {
          assert.equal(true, typeof a.diffsGet === 'function');
          done();
        } catch (error) {
          log.error(`Test Failure: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing organization', (done) => {
        try {
          a.diffsGet(null, null, null, null, null, null, null, null, null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'organization is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-diffsGet', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing repositoryId', (done) => {
        try {
          a.diffsGet('fakeparam', null, null, null, null, null, null, null, null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'repositoryId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-diffsGet', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing project', (done) => {
        try {
          a.diffsGet('fakeparam', 'fakeparam', null, null, null, null, null, null, null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'project is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-diffsGet', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing apiVersion', (done) => {
        try {
          a.diffsGet('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, (data, error) => {
            try {
              const displayE = 'apiVersion is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-diffsGet', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
    });

    describe('#importRequestsCreate - errors', () => {
      it('should have a importRequestsCreate function', (done) => {
        try {
          assert.equal(true, typeof a.importRequestsCreate === 'function');
          done();
        } catch (error) {
          log.error(`Test Failure: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing organization', (done) => {
        try {
          a.importRequestsCreate(null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'organization is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-importRequestsCreate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing body', (done) => {
        try {
          a.importRequestsCreate('fakeparam', null, null, null, null, (data, error) => {
            try {
              const displayE = 'body is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-importRequestsCreate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing project', (done) => {
        try {
          a.importRequestsCreate('fakeparam', 'fakeparam', null, null, null, (data, error) => {
            try {
              const displayE = 'project is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-importRequestsCreate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing repositoryId', (done) => {
        try {
          a.importRequestsCreate('fakeparam', 'fakeparam', 'fakeparam', null, null, (data, error) => {
            try {
              const displayE = 'repositoryId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-importRequestsCreate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing apiVersion', (done) => {
        try {
          a.importRequestsCreate('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, (data, error) => {
            try {
              const displayE = 'apiVersion is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-importRequestsCreate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
    });

    describe('#importRequestsQuery - errors', () => {
      it('should have a importRequestsQuery function', (done) => {
        try {
          assert.equal(true, typeof a.importRequestsQuery === 'function');
          done();
        } catch (error) {
          log.error(`Test Failure: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing organization', (done) => {
        try {
          a.importRequestsQuery(null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'organization is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-importRequestsQuery', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing project', (done) => {
        try {
          a.importRequestsQuery('fakeparam', null, null, null, null, (data, error) => {
            try {
              const displayE = 'project is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-importRequestsQuery', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing repositoryId', (done) => {
        try {
          a.importRequestsQuery('fakeparam', 'fakeparam', null, null, null, (data, error) => {
            try {
              const displayE = 'repositoryId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-importRequestsQuery', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing apiVersion', (done) => {
        try {
          a.importRequestsQuery('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, (data, error) => {
            try {
              const displayE = 'apiVersion is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-importRequestsQuery', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
    });

    describe('#importRequestsGet - errors', () => {
      it('should have a importRequestsGet function', (done) => {
        try {
          assert.equal(true, typeof a.importRequestsGet === 'function');
          done();
        } catch (error) {
          log.error(`Test Failure: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing organization', (done) => {
        try {
          a.importRequestsGet(null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'organization is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-importRequestsGet', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing project', (done) => {
        try {
          a.importRequestsGet('fakeparam', null, null, null, null, (data, error) => {
            try {
              const displayE = 'project is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-importRequestsGet', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing repositoryId', (done) => {
        try {
          a.importRequestsGet('fakeparam', 'fakeparam', null, null, null, (data, error) => {
            try {
              const displayE = 'repositoryId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-importRequestsGet', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing importRequestId', (done) => {
        try {
          a.importRequestsGet('fakeparam', 'fakeparam', 'fakeparam', null, null, (data, error) => {
            try {
              const displayE = 'importRequestId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-importRequestsGet', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing apiVersion', (done) => {
        try {
          a.importRequestsGet('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, (data, error) => {
            try {
              const displayE = 'apiVersion is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-importRequestsGet', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
    });

    describe('#importRequestsUpdate - errors', () => {
      it('should have a importRequestsUpdate function', (done) => {
        try {
          assert.equal(true, typeof a.importRequestsUpdate === 'function');
          done();
        } catch (error) {
          log.error(`Test Failure: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing organization', (done) => {
        try {
          a.importRequestsUpdate(null, null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'organization is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-importRequestsUpdate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing body', (done) => {
        try {
          a.importRequestsUpdate('fakeparam', null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'body is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-importRequestsUpdate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing project', (done) => {
        try {
          a.importRequestsUpdate('fakeparam', 'fakeparam', null, null, null, null, (data, error) => {
            try {
              const displayE = 'project is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-importRequestsUpdate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing repositoryId', (done) => {
        try {
          a.importRequestsUpdate('fakeparam', 'fakeparam', 'fakeparam', null, null, null, (data, error) => {
            try {
              const displayE = 'repositoryId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-importRequestsUpdate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing importRequestId', (done) => {
        try {
          a.importRequestsUpdate('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, null, (data, error) => {
            try {
              const displayE = 'importRequestId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-importRequestsUpdate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing apiVersion', (done) => {
        try {
          a.importRequestsUpdate('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, (data, error) => {
            try {
              const displayE = 'apiVersion is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-importRequestsUpdate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
    });

    describe('#itemsList - errors', () => {
      it('should have a itemsList function', (done) => {
        try {
          assert.equal(true, typeof a.itemsList === 'function');
          done();
        } catch (error) {
          log.error(`Test Failure: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing organization', (done) => {
        try {
          a.itemsList(null, null, null, null, null, null, null, null, null, null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'organization is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-itemsList', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing repositoryId', (done) => {
        try {
          a.itemsList('fakeparam', null, null, null, null, null, null, null, null, null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'repositoryId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-itemsList', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing project', (done) => {
        try {
          a.itemsList('fakeparam', 'fakeparam', null, null, null, null, null, null, null, null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'project is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-itemsList', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing apiVersion', (done) => {
        try {
          a.itemsList('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, (data, error) => {
            try {
              const displayE = 'apiVersion is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-itemsList', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
    });

    describe('#itemsGetItemsBatch - errors', () => {
      it('should have a itemsGetItemsBatch function', (done) => {
        try {
          assert.equal(true, typeof a.itemsGetItemsBatch === 'function');
          done();
        } catch (error) {
          log.error(`Test Failure: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing organization', (done) => {
        try {
          a.itemsGetItemsBatch(null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'organization is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-itemsGetItemsBatch', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing body', (done) => {
        try {
          a.itemsGetItemsBatch('fakeparam', null, null, null, null, (data, error) => {
            try {
              const displayE = 'body is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-itemsGetItemsBatch', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing repositoryId', (done) => {
        try {
          a.itemsGetItemsBatch('fakeparam', 'fakeparam', null, null, null, (data, error) => {
            try {
              const displayE = 'repositoryId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-itemsGetItemsBatch', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing project', (done) => {
        try {
          a.itemsGetItemsBatch('fakeparam', 'fakeparam', 'fakeparam', null, null, (data, error) => {
            try {
              const displayE = 'project is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-itemsGetItemsBatch', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing apiVersion', (done) => {
        try {
          a.itemsGetItemsBatch('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, (data, error) => {
            try {
              const displayE = 'apiVersion is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-itemsGetItemsBatch', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
    });

    describe('#pullRequestQueryGet - errors', () => {
      it('should have a pullRequestQueryGet function', (done) => {
        try {
          assert.equal(true, typeof a.pullRequestQueryGet === 'function');
          done();
        } catch (error) {
          log.error(`Test Failure: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing organization', (done) => {
        try {
          a.pullRequestQueryGet(null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'organization is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestQueryGet', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing body', (done) => {
        try {
          a.pullRequestQueryGet('fakeparam', null, null, null, null, (data, error) => {
            try {
              const displayE = 'body is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestQueryGet', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing repositoryId', (done) => {
        try {
          a.pullRequestQueryGet('fakeparam', 'fakeparam', null, null, null, (data, error) => {
            try {
              const displayE = 'repositoryId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestQueryGet', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing project', (done) => {
        try {
          a.pullRequestQueryGet('fakeparam', 'fakeparam', 'fakeparam', null, null, (data, error) => {
            try {
              const displayE = 'project is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestQueryGet', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing apiVersion', (done) => {
        try {
          a.pullRequestQueryGet('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, (data, error) => {
            try {
              const displayE = 'apiVersion is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestQueryGet', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
    });

    describe('#pullRequestAttachmentsList - errors', () => {
      it('should have a pullRequestAttachmentsList function', (done) => {
        try {
          assert.equal(true, typeof a.pullRequestAttachmentsList === 'function');
          done();
        } catch (error) {
          log.error(`Test Failure: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing organization', (done) => {
        try {
          a.pullRequestAttachmentsList(null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'organization is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestAttachmentsList', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing repositoryId', (done) => {
        try {
          a.pullRequestAttachmentsList('fakeparam', null, null, null, null, (data, error) => {
            try {
              const displayE = 'repositoryId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestAttachmentsList', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing pullRequestId', (done) => {
        try {
          a.pullRequestAttachmentsList('fakeparam', 'fakeparam', null, null, null, (data, error) => {
            try {
              const displayE = 'pullRequestId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestAttachmentsList', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing project', (done) => {
        try {
          a.pullRequestAttachmentsList('fakeparam', 'fakeparam', 'fakeparam', null, null, (data, error) => {
            try {
              const displayE = 'project is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestAttachmentsList', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing apiVersion', (done) => {
        try {
          a.pullRequestAttachmentsList('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, (data, error) => {
            try {
              const displayE = 'apiVersion is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestAttachmentsList', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
    });

    describe('#pullRequestAttachmentsCreate - errors', () => {
      it('should have a pullRequestAttachmentsCreate function', (done) => {
        try {
          assert.equal(true, typeof a.pullRequestAttachmentsCreate === 'function');
          done();
        } catch (error) {
          log.error(`Test Failure: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing organization', (done) => {
        try {
          a.pullRequestAttachmentsCreate(null, null, null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'organization is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestAttachmentsCreate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing body', (done) => {
        try {
          a.pullRequestAttachmentsCreate('fakeparam', null, null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'body is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestAttachmentsCreate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing fileName', (done) => {
        try {
          a.pullRequestAttachmentsCreate('fakeparam', 'fakeparam', null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'fileName is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestAttachmentsCreate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing repositoryId', (done) => {
        try {
          a.pullRequestAttachmentsCreate('fakeparam', 'fakeparam', 'fakeparam', null, null, null, null, (data, error) => {
            try {
              const displayE = 'repositoryId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestAttachmentsCreate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing pullRequestId', (done) => {
        try {
          a.pullRequestAttachmentsCreate('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, null, null, (data, error) => {
            try {
              const displayE = 'pullRequestId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestAttachmentsCreate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing project', (done) => {
        try {
          a.pullRequestAttachmentsCreate('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, null, (data, error) => {
            try {
              const displayE = 'project is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestAttachmentsCreate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing apiVersion', (done) => {
        try {
          a.pullRequestAttachmentsCreate('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, (data, error) => {
            try {
              const displayE = 'apiVersion is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestAttachmentsCreate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
    });

    describe('#pullRequestAttachmentsDelete - errors', () => {
      it('should have a pullRequestAttachmentsDelete function', (done) => {
        try {
          assert.equal(true, typeof a.pullRequestAttachmentsDelete === 'function');
          done();
        } catch (error) {
          log.error(`Test Failure: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing organization', (done) => {
        try {
          a.pullRequestAttachmentsDelete(null, null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'organization is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestAttachmentsDelete', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing fileName', (done) => {
        try {
          a.pullRequestAttachmentsDelete('fakeparam', null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'fileName is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestAttachmentsDelete', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing repositoryId', (done) => {
        try {
          a.pullRequestAttachmentsDelete('fakeparam', 'fakeparam', null, null, null, null, (data, error) => {
            try {
              const displayE = 'repositoryId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestAttachmentsDelete', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing pullRequestId', (done) => {
        try {
          a.pullRequestAttachmentsDelete('fakeparam', 'fakeparam', 'fakeparam', null, null, null, (data, error) => {
            try {
              const displayE = 'pullRequestId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestAttachmentsDelete', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing project', (done) => {
        try {
          a.pullRequestAttachmentsDelete('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, null, (data, error) => {
            try {
              const displayE = 'project is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestAttachmentsDelete', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing apiVersion', (done) => {
        try {
          a.pullRequestAttachmentsDelete('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, (data, error) => {
            try {
              const displayE = 'apiVersion is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestAttachmentsDelete', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
    });

    describe('#pullRequestAttachmentsGet - errors', () => {
      it('should have a pullRequestAttachmentsGet function', (done) => {
        try {
          assert.equal(true, typeof a.pullRequestAttachmentsGet === 'function');
          done();
        } catch (error) {
          log.error(`Test Failure: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing organization', (done) => {
        try {
          a.pullRequestAttachmentsGet(null, null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'organization is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestAttachmentsGet', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing fileName', (done) => {
        try {
          a.pullRequestAttachmentsGet('fakeparam', null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'fileName is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestAttachmentsGet', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing repositoryId', (done) => {
        try {
          a.pullRequestAttachmentsGet('fakeparam', 'fakeparam', null, null, null, null, (data, error) => {
            try {
              const displayE = 'repositoryId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestAttachmentsGet', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing pullRequestId', (done) => {
        try {
          a.pullRequestAttachmentsGet('fakeparam', 'fakeparam', 'fakeparam', null, null, null, (data, error) => {
            try {
              const displayE = 'pullRequestId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestAttachmentsGet', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing project', (done) => {
        try {
          a.pullRequestAttachmentsGet('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, null, (data, error) => {
            try {
              const displayE = 'project is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestAttachmentsGet', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing apiVersion', (done) => {
        try {
          a.pullRequestAttachmentsGet('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, (data, error) => {
            try {
              const displayE = 'apiVersion is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestAttachmentsGet', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
    });

    describe('#pullRequestCommitsGetPullRequestCommits - errors', () => {
      it('should have a pullRequestCommitsGetPullRequestCommits function', (done) => {
        try {
          assert.equal(true, typeof a.pullRequestCommitsGetPullRequestCommits === 'function');
          done();
        } catch (error) {
          log.error(`Test Failure: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing organization', (done) => {
        try {
          a.pullRequestCommitsGetPullRequestCommits(null, null, null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'organization is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestCommitsGetPullRequestCommits', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing repositoryId', (done) => {
        try {
          a.pullRequestCommitsGetPullRequestCommits('fakeparam', null, null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'repositoryId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestCommitsGetPullRequestCommits', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing pullRequestId', (done) => {
        try {
          a.pullRequestCommitsGetPullRequestCommits('fakeparam', 'fakeparam', null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'pullRequestId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestCommitsGetPullRequestCommits', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing project', (done) => {
        try {
          a.pullRequestCommitsGetPullRequestCommits('fakeparam', 'fakeparam', 'fakeparam', null, null, null, null, (data, error) => {
            try {
              const displayE = 'project is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestCommitsGetPullRequestCommits', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing apiVersion', (done) => {
        try {
          a.pullRequestCommitsGetPullRequestCommits('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, (data, error) => {
            try {
              const displayE = 'apiVersion is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestCommitsGetPullRequestCommits', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
    });

    describe('#pullRequestCommitsGetPullRequestIterationCommits - errors', () => {
      it('should have a pullRequestCommitsGetPullRequestIterationCommits function', (done) => {
        try {
          assert.equal(true, typeof a.pullRequestCommitsGetPullRequestIterationCommits === 'function');
          done();
        } catch (error) {
          log.error(`Test Failure: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing organization', (done) => {
        try {
          a.pullRequestCommitsGetPullRequestIterationCommits(null, null, null, null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'organization is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestCommitsGetPullRequestIterationCommits', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing repositoryId', (done) => {
        try {
          a.pullRequestCommitsGetPullRequestIterationCommits('fakeparam', null, null, null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'repositoryId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestCommitsGetPullRequestIterationCommits', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing pullRequestId', (done) => {
        try {
          a.pullRequestCommitsGetPullRequestIterationCommits('fakeparam', 'fakeparam', null, null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'pullRequestId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestCommitsGetPullRequestIterationCommits', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing iterationId', (done) => {
        try {
          a.pullRequestCommitsGetPullRequestIterationCommits('fakeparam', 'fakeparam', 'fakeparam', null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'iterationId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestCommitsGetPullRequestIterationCommits', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing project', (done) => {
        try {
          a.pullRequestCommitsGetPullRequestIterationCommits('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, null, null, null, (data, error) => {
            try {
              const displayE = 'project is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestCommitsGetPullRequestIterationCommits', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing apiVersion', (done) => {
        try {
          a.pullRequestCommitsGetPullRequestIterationCommits('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, (data, error) => {
            try {
              const displayE = 'apiVersion is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestCommitsGetPullRequestIterationCommits', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
    });

    describe('#pullRequestIterationsList - errors', () => {
      it('should have a pullRequestIterationsList function', (done) => {
        try {
          assert.equal(true, typeof a.pullRequestIterationsList === 'function');
          done();
        } catch (error) {
          log.error(`Test Failure: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing organization', (done) => {
        try {
          a.pullRequestIterationsList(null, null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'organization is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestIterationsList', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing repositoryId', (done) => {
        try {
          a.pullRequestIterationsList('fakeparam', null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'repositoryId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestIterationsList', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing pullRequestId', (done) => {
        try {
          a.pullRequestIterationsList('fakeparam', 'fakeparam', null, null, null, null, (data, error) => {
            try {
              const displayE = 'pullRequestId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestIterationsList', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing project', (done) => {
        try {
          a.pullRequestIterationsList('fakeparam', 'fakeparam', 'fakeparam', null, null, null, (data, error) => {
            try {
              const displayE = 'project is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestIterationsList', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing apiVersion', (done) => {
        try {
          a.pullRequestIterationsList('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, (data, error) => {
            try {
              const displayE = 'apiVersion is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestIterationsList', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
    });

    describe('#pullRequestIterationsGet - errors', () => {
      it('should have a pullRequestIterationsGet function', (done) => {
        try {
          assert.equal(true, typeof a.pullRequestIterationsGet === 'function');
          done();
        } catch (error) {
          log.error(`Test Failure: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing organization', (done) => {
        try {
          a.pullRequestIterationsGet(null, null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'organization is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestIterationsGet', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing repositoryId', (done) => {
        try {
          a.pullRequestIterationsGet('fakeparam', null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'repositoryId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestIterationsGet', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing pullRequestId', (done) => {
        try {
          a.pullRequestIterationsGet('fakeparam', 'fakeparam', null, null, null, null, (data, error) => {
            try {
              const displayE = 'pullRequestId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestIterationsGet', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing iterationId', (done) => {
        try {
          a.pullRequestIterationsGet('fakeparam', 'fakeparam', 'fakeparam', null, null, null, (data, error) => {
            try {
              const displayE = 'iterationId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestIterationsGet', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing project', (done) => {
        try {
          a.pullRequestIterationsGet('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, null, (data, error) => {
            try {
              const displayE = 'project is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestIterationsGet', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing apiVersion', (done) => {
        try {
          a.pullRequestIterationsGet('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, (data, error) => {
            try {
              const displayE = 'apiVersion is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestIterationsGet', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
    });

    describe('#pullRequestIterationChangesGet - errors', () => {
      it('should have a pullRequestIterationChangesGet function', (done) => {
        try {
          assert.equal(true, typeof a.pullRequestIterationChangesGet === 'function');
          done();
        } catch (error) {
          log.error(`Test Failure: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing organization', (done) => {
        try {
          a.pullRequestIterationChangesGet(null, null, null, null, null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'organization is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestIterationChangesGet', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing repositoryId', (done) => {
        try {
          a.pullRequestIterationChangesGet('fakeparam', null, null, null, null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'repositoryId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestIterationChangesGet', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing pullRequestId', (done) => {
        try {
          a.pullRequestIterationChangesGet('fakeparam', 'fakeparam', null, null, null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'pullRequestId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestIterationChangesGet', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing iterationId', (done) => {
        try {
          a.pullRequestIterationChangesGet('fakeparam', 'fakeparam', 'fakeparam', null, null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'iterationId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestIterationChangesGet', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing project', (done) => {
        try {
          a.pullRequestIterationChangesGet('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'project is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestIterationChangesGet', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing apiVersion', (done) => {
        try {
          a.pullRequestIterationChangesGet('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, (data, error) => {
            try {
              const displayE = 'apiVersion is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestIterationChangesGet', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
    });

    describe('#pullRequestIterationStatusesCreate - errors', () => {
      it('should have a pullRequestIterationStatusesCreate function', (done) => {
        try {
          assert.equal(true, typeof a.pullRequestIterationStatusesCreate === 'function');
          done();
        } catch (error) {
          log.error(`Test Failure: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing organization', (done) => {
        try {
          a.pullRequestIterationStatusesCreate(null, null, null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'organization is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestIterationStatusesCreate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing body', (done) => {
        try {
          a.pullRequestIterationStatusesCreate('fakeparam', null, null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'body is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestIterationStatusesCreate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing repositoryId', (done) => {
        try {
          a.pullRequestIterationStatusesCreate('fakeparam', 'fakeparam', null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'repositoryId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestIterationStatusesCreate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing pullRequestId', (done) => {
        try {
          a.pullRequestIterationStatusesCreate('fakeparam', 'fakeparam', 'fakeparam', null, null, null, null, (data, error) => {
            try {
              const displayE = 'pullRequestId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestIterationStatusesCreate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing iterationId', (done) => {
        try {
          a.pullRequestIterationStatusesCreate('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, null, null, (data, error) => {
            try {
              const displayE = 'iterationId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestIterationStatusesCreate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing project', (done) => {
        try {
          a.pullRequestIterationStatusesCreate('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, null, (data, error) => {
            try {
              const displayE = 'project is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestIterationStatusesCreate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing apiVersion', (done) => {
        try {
          a.pullRequestIterationStatusesCreate('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, (data, error) => {
            try {
              const displayE = 'apiVersion is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestIterationStatusesCreate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
    });

    describe('#pullRequestIterationStatusesList - errors', () => {
      it('should have a pullRequestIterationStatusesList function', (done) => {
        try {
          assert.equal(true, typeof a.pullRequestIterationStatusesList === 'function');
          done();
        } catch (error) {
          log.error(`Test Failure: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing organization', (done) => {
        try {
          a.pullRequestIterationStatusesList(null, null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'organization is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestIterationStatusesList', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing repositoryId', (done) => {
        try {
          a.pullRequestIterationStatusesList('fakeparam', null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'repositoryId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestIterationStatusesList', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing pullRequestId', (done) => {
        try {
          a.pullRequestIterationStatusesList('fakeparam', 'fakeparam', null, null, null, null, (data, error) => {
            try {
              const displayE = 'pullRequestId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestIterationStatusesList', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing iterationId', (done) => {
        try {
          a.pullRequestIterationStatusesList('fakeparam', 'fakeparam', 'fakeparam', null, null, null, (data, error) => {
            try {
              const displayE = 'iterationId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestIterationStatusesList', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing project', (done) => {
        try {
          a.pullRequestIterationStatusesList('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, null, (data, error) => {
            try {
              const displayE = 'project is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestIterationStatusesList', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing apiVersion', (done) => {
        try {
          a.pullRequestIterationStatusesList('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, (data, error) => {
            try {
              const displayE = 'apiVersion is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestIterationStatusesList', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
    });

    describe('#pullRequestIterationStatusesUpdate - errors', () => {
      it('should have a pullRequestIterationStatusesUpdate function', (done) => {
        try {
          assert.equal(true, typeof a.pullRequestIterationStatusesUpdate === 'function');
          done();
        } catch (error) {
          log.error(`Test Failure: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing organization', (done) => {
        try {
          a.pullRequestIterationStatusesUpdate(null, null, null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'organization is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestIterationStatusesUpdate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing body', (done) => {
        try {
          a.pullRequestIterationStatusesUpdate('fakeparam', null, null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'body is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestIterationStatusesUpdate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing repositoryId', (done) => {
        try {
          a.pullRequestIterationStatusesUpdate('fakeparam', 'fakeparam', null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'repositoryId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestIterationStatusesUpdate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing pullRequestId', (done) => {
        try {
          a.pullRequestIterationStatusesUpdate('fakeparam', 'fakeparam', 'fakeparam', null, null, null, null, (data, error) => {
            try {
              const displayE = 'pullRequestId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestIterationStatusesUpdate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing iterationId', (done) => {
        try {
          a.pullRequestIterationStatusesUpdate('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, null, null, (data, error) => {
            try {
              const displayE = 'iterationId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestIterationStatusesUpdate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing project', (done) => {
        try {
          a.pullRequestIterationStatusesUpdate('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, null, (data, error) => {
            try {
              const displayE = 'project is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestIterationStatusesUpdate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing apiVersion', (done) => {
        try {
          a.pullRequestIterationStatusesUpdate('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, (data, error) => {
            try {
              const displayE = 'apiVersion is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestIterationStatusesUpdate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
    });

    describe('#pullRequestIterationStatusesDelete - errors', () => {
      it('should have a pullRequestIterationStatusesDelete function', (done) => {
        try {
          assert.equal(true, typeof a.pullRequestIterationStatusesDelete === 'function');
          done();
        } catch (error) {
          log.error(`Test Failure: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing organization', (done) => {
        try {
          a.pullRequestIterationStatusesDelete(null, null, null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'organization is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestIterationStatusesDelete', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing repositoryId', (done) => {
        try {
          a.pullRequestIterationStatusesDelete('fakeparam', null, null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'repositoryId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestIterationStatusesDelete', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing pullRequestId', (done) => {
        try {
          a.pullRequestIterationStatusesDelete('fakeparam', 'fakeparam', null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'pullRequestId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestIterationStatusesDelete', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing iterationId', (done) => {
        try {
          a.pullRequestIterationStatusesDelete('fakeparam', 'fakeparam', 'fakeparam', null, null, null, null, (data, error) => {
            try {
              const displayE = 'iterationId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestIterationStatusesDelete', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing statusId', (done) => {
        try {
          a.pullRequestIterationStatusesDelete('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, null, null, (data, error) => {
            try {
              const displayE = 'statusId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestIterationStatusesDelete', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing project', (done) => {
        try {
          a.pullRequestIterationStatusesDelete('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, null, (data, error) => {
            try {
              const displayE = 'project is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestIterationStatusesDelete', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing apiVersion', (done) => {
        try {
          a.pullRequestIterationStatusesDelete('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, (data, error) => {
            try {
              const displayE = 'apiVersion is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestIterationStatusesDelete', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
    });

    describe('#pullRequestIterationStatusesGet - errors', () => {
      it('should have a pullRequestIterationStatusesGet function', (done) => {
        try {
          assert.equal(true, typeof a.pullRequestIterationStatusesGet === 'function');
          done();
        } catch (error) {
          log.error(`Test Failure: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing organization', (done) => {
        try {
          a.pullRequestIterationStatusesGet(null, null, null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'organization is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestIterationStatusesGet', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing repositoryId', (done) => {
        try {
          a.pullRequestIterationStatusesGet('fakeparam', null, null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'repositoryId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestIterationStatusesGet', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing pullRequestId', (done) => {
        try {
          a.pullRequestIterationStatusesGet('fakeparam', 'fakeparam', null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'pullRequestId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestIterationStatusesGet', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing iterationId', (done) => {
        try {
          a.pullRequestIterationStatusesGet('fakeparam', 'fakeparam', 'fakeparam', null, null, null, null, (data, error) => {
            try {
              const displayE = 'iterationId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestIterationStatusesGet', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing statusId', (done) => {
        try {
          a.pullRequestIterationStatusesGet('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, null, null, (data, error) => {
            try {
              const displayE = 'statusId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestIterationStatusesGet', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing project', (done) => {
        try {
          a.pullRequestIterationStatusesGet('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, null, (data, error) => {
            try {
              const displayE = 'project is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestIterationStatusesGet', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing apiVersion', (done) => {
        try {
          a.pullRequestIterationStatusesGet('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, (data, error) => {
            try {
              const displayE = 'apiVersion is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestIterationStatusesGet', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
    });

    describe('#pullRequestLabelsCreate - errors', () => {
      it('should have a pullRequestLabelsCreate function', (done) => {
        try {
          assert.equal(true, typeof a.pullRequestLabelsCreate === 'function');
          done();
        } catch (error) {
          log.error(`Test Failure: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing organization', (done) => {
        try {
          a.pullRequestLabelsCreate(null, null, null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'organization is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestLabelsCreate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing body', (done) => {
        try {
          a.pullRequestLabelsCreate('fakeparam', null, null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'body is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestLabelsCreate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing repositoryId', (done) => {
        try {
          a.pullRequestLabelsCreate('fakeparam', 'fakeparam', null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'repositoryId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestLabelsCreate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing pullRequestId', (done) => {
        try {
          a.pullRequestLabelsCreate('fakeparam', 'fakeparam', 'fakeparam', null, null, null, null, (data, error) => {
            try {
              const displayE = 'pullRequestId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestLabelsCreate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing project', (done) => {
        try {
          a.pullRequestLabelsCreate('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, null, null, (data, error) => {
            try {
              const displayE = 'project is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestLabelsCreate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing apiVersion', (done) => {
        try {
          a.pullRequestLabelsCreate('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, (data, error) => {
            try {
              const displayE = 'apiVersion is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestLabelsCreate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
    });

    describe('#pullRequestLabelsList - errors', () => {
      it('should have a pullRequestLabelsList function', (done) => {
        try {
          assert.equal(true, typeof a.pullRequestLabelsList === 'function');
          done();
        } catch (error) {
          log.error(`Test Failure: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing organization', (done) => {
        try {
          a.pullRequestLabelsList(null, null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'organization is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestLabelsList', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing repositoryId', (done) => {
        try {
          a.pullRequestLabelsList('fakeparam', null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'repositoryId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestLabelsList', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing pullRequestId', (done) => {
        try {
          a.pullRequestLabelsList('fakeparam', 'fakeparam', null, null, null, null, (data, error) => {
            try {
              const displayE = 'pullRequestId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestLabelsList', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing project', (done) => {
        try {
          a.pullRequestLabelsList('fakeparam', 'fakeparam', 'fakeparam', null, null, null, (data, error) => {
            try {
              const displayE = 'project is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestLabelsList', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing apiVersion', (done) => {
        try {
          a.pullRequestLabelsList('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, (data, error) => {
            try {
              const displayE = 'apiVersion is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestLabelsList', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
    });

    describe('#pullRequestLabelsDelete - errors', () => {
      it('should have a pullRequestLabelsDelete function', (done) => {
        try {
          assert.equal(true, typeof a.pullRequestLabelsDelete === 'function');
          done();
        } catch (error) {
          log.error(`Test Failure: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing organization', (done) => {
        try {
          a.pullRequestLabelsDelete(null, null, null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'organization is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestLabelsDelete', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing repositoryId', (done) => {
        try {
          a.pullRequestLabelsDelete('fakeparam', null, null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'repositoryId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestLabelsDelete', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing pullRequestId', (done) => {
        try {
          a.pullRequestLabelsDelete('fakeparam', 'fakeparam', null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'pullRequestId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestLabelsDelete', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing labelIdOrName', (done) => {
        try {
          a.pullRequestLabelsDelete('fakeparam', 'fakeparam', 'fakeparam', null, null, null, null, (data, error) => {
            try {
              const displayE = 'labelIdOrName is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestLabelsDelete', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing project', (done) => {
        try {
          a.pullRequestLabelsDelete('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, null, null, (data, error) => {
            try {
              const displayE = 'project is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestLabelsDelete', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing apiVersion', (done) => {
        try {
          a.pullRequestLabelsDelete('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, (data, error) => {
            try {
              const displayE = 'apiVersion is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestLabelsDelete', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
    });

    describe('#pullRequestLabelsGet - errors', () => {
      it('should have a pullRequestLabelsGet function', (done) => {
        try {
          assert.equal(true, typeof a.pullRequestLabelsGet === 'function');
          done();
        } catch (error) {
          log.error(`Test Failure: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing organization', (done) => {
        try {
          a.pullRequestLabelsGet(null, null, null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'organization is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestLabelsGet', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing repositoryId', (done) => {
        try {
          a.pullRequestLabelsGet('fakeparam', null, null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'repositoryId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestLabelsGet', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing pullRequestId', (done) => {
        try {
          a.pullRequestLabelsGet('fakeparam', 'fakeparam', null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'pullRequestId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestLabelsGet', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing labelIdOrName', (done) => {
        try {
          a.pullRequestLabelsGet('fakeparam', 'fakeparam', 'fakeparam', null, null, null, null, (data, error) => {
            try {
              const displayE = 'labelIdOrName is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestLabelsGet', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing project', (done) => {
        try {
          a.pullRequestLabelsGet('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, null, null, (data, error) => {
            try {
              const displayE = 'project is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestLabelsGet', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing apiVersion', (done) => {
        try {
          a.pullRequestLabelsGet('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, (data, error) => {
            try {
              const displayE = 'apiVersion is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestLabelsGet', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
    });

    describe('#pullRequestPropertiesList - errors', () => {
      it('should have a pullRequestPropertiesList function', (done) => {
        try {
          assert.equal(true, typeof a.pullRequestPropertiesList === 'function');
          done();
        } catch (error) {
          log.error(`Test Failure: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing organization', (done) => {
        try {
          a.pullRequestPropertiesList(null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'organization is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestPropertiesList', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing repositoryId', (done) => {
        try {
          a.pullRequestPropertiesList('fakeparam', null, null, null, null, (data, error) => {
            try {
              const displayE = 'repositoryId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestPropertiesList', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing pullRequestId', (done) => {
        try {
          a.pullRequestPropertiesList('fakeparam', 'fakeparam', null, null, null, (data, error) => {
            try {
              const displayE = 'pullRequestId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestPropertiesList', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing project', (done) => {
        try {
          a.pullRequestPropertiesList('fakeparam', 'fakeparam', 'fakeparam', null, null, (data, error) => {
            try {
              const displayE = 'project is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestPropertiesList', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing apiVersion', (done) => {
        try {
          a.pullRequestPropertiesList('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, (data, error) => {
            try {
              const displayE = 'apiVersion is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestPropertiesList', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
    });

    describe('#pullRequestPropertiesUpdate - errors', () => {
      it('should have a pullRequestPropertiesUpdate function', (done) => {
        try {
          assert.equal(true, typeof a.pullRequestPropertiesUpdate === 'function');
          done();
        } catch (error) {
          log.error(`Test Failure: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing organization', (done) => {
        try {
          a.pullRequestPropertiesUpdate(null, null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'organization is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestPropertiesUpdate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing body', (done) => {
        try {
          a.pullRequestPropertiesUpdate('fakeparam', null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'body is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestPropertiesUpdate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing repositoryId', (done) => {
        try {
          a.pullRequestPropertiesUpdate('fakeparam', 'fakeparam', null, null, null, null, (data, error) => {
            try {
              const displayE = 'repositoryId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestPropertiesUpdate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing pullRequestId', (done) => {
        try {
          a.pullRequestPropertiesUpdate('fakeparam', 'fakeparam', 'fakeparam', null, null, null, (data, error) => {
            try {
              const displayE = 'pullRequestId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestPropertiesUpdate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing project', (done) => {
        try {
          a.pullRequestPropertiesUpdate('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, null, (data, error) => {
            try {
              const displayE = 'project is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestPropertiesUpdate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing apiVersion', (done) => {
        try {
          a.pullRequestPropertiesUpdate('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, (data, error) => {
            try {
              const displayE = 'apiVersion is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestPropertiesUpdate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
    });

    describe('#pullRequestReviewersCreatePullRequestReviewers - errors', () => {
      it('should have a pullRequestReviewersCreatePullRequestReviewers function', (done) => {
        try {
          assert.equal(true, typeof a.pullRequestReviewersCreatePullRequestReviewers === 'function');
          done();
        } catch (error) {
          log.error(`Test Failure: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing organization', (done) => {
        try {
          a.pullRequestReviewersCreatePullRequestReviewers(null, null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'organization is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestReviewersCreatePullRequestReviewers', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing body', (done) => {
        try {
          a.pullRequestReviewersCreatePullRequestReviewers('fakeparam', null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'body is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestReviewersCreatePullRequestReviewers', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing repositoryId', (done) => {
        try {
          a.pullRequestReviewersCreatePullRequestReviewers('fakeparam', 'fakeparam', null, null, null, null, (data, error) => {
            try {
              const displayE = 'repositoryId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestReviewersCreatePullRequestReviewers', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing pullRequestId', (done) => {
        try {
          a.pullRequestReviewersCreatePullRequestReviewers('fakeparam', 'fakeparam', 'fakeparam', null, null, null, (data, error) => {
            try {
              const displayE = 'pullRequestId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestReviewersCreatePullRequestReviewers', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing project', (done) => {
        try {
          a.pullRequestReviewersCreatePullRequestReviewers('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, null, (data, error) => {
            try {
              const displayE = 'project is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestReviewersCreatePullRequestReviewers', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing apiVersion', (done) => {
        try {
          a.pullRequestReviewersCreatePullRequestReviewers('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, (data, error) => {
            try {
              const displayE = 'apiVersion is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestReviewersCreatePullRequestReviewers', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
    });

    describe('#pullRequestReviewersCreateUnmaterializedPullRequestReviewer - errors', () => {
      it('should have a pullRequestReviewersCreateUnmaterializedPullRequestReviewer function', (done) => {
        try {
          assert.equal(true, typeof a.pullRequestReviewersCreateUnmaterializedPullRequestReviewer === 'function');
          done();
        } catch (error) {
          log.error(`Test Failure: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing organization', (done) => {
        try {
          a.pullRequestReviewersCreateUnmaterializedPullRequestReviewer(null, null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'organization is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestReviewersCreateUnmaterializedPullRequestReviewer', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing body', (done) => {
        try {
          a.pullRequestReviewersCreateUnmaterializedPullRequestReviewer('fakeparam', null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'body is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestReviewersCreateUnmaterializedPullRequestReviewer', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing repositoryId', (done) => {
        try {
          a.pullRequestReviewersCreateUnmaterializedPullRequestReviewer('fakeparam', 'fakeparam', null, null, null, null, (data, error) => {
            try {
              const displayE = 'repositoryId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestReviewersCreateUnmaterializedPullRequestReviewer', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing pullRequestId', (done) => {
        try {
          a.pullRequestReviewersCreateUnmaterializedPullRequestReviewer('fakeparam', 'fakeparam', 'fakeparam', null, null, null, (data, error) => {
            try {
              const displayE = 'pullRequestId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestReviewersCreateUnmaterializedPullRequestReviewer', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing project', (done) => {
        try {
          a.pullRequestReviewersCreateUnmaterializedPullRequestReviewer('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, null, (data, error) => {
            try {
              const displayE = 'project is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestReviewersCreateUnmaterializedPullRequestReviewer', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing apiVersion', (done) => {
        try {
          a.pullRequestReviewersCreateUnmaterializedPullRequestReviewer('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, (data, error) => {
            try {
              const displayE = 'apiVersion is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestReviewersCreateUnmaterializedPullRequestReviewer', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
    });

    describe('#pullRequestReviewersList - errors', () => {
      it('should have a pullRequestReviewersList function', (done) => {
        try {
          assert.equal(true, typeof a.pullRequestReviewersList === 'function');
          done();
        } catch (error) {
          log.error(`Test Failure: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing organization', (done) => {
        try {
          a.pullRequestReviewersList(null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'organization is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestReviewersList', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing repositoryId', (done) => {
        try {
          a.pullRequestReviewersList('fakeparam', null, null, null, null, (data, error) => {
            try {
              const displayE = 'repositoryId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestReviewersList', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing pullRequestId', (done) => {
        try {
          a.pullRequestReviewersList('fakeparam', 'fakeparam', null, null, null, (data, error) => {
            try {
              const displayE = 'pullRequestId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestReviewersList', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing project', (done) => {
        try {
          a.pullRequestReviewersList('fakeparam', 'fakeparam', 'fakeparam', null, null, (data, error) => {
            try {
              const displayE = 'project is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestReviewersList', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing apiVersion', (done) => {
        try {
          a.pullRequestReviewersList('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, (data, error) => {
            try {
              const displayE = 'apiVersion is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestReviewersList', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
    });

    describe('#pullRequestReviewersUpdatePullRequestReviewers - errors', () => {
      it('should have a pullRequestReviewersUpdatePullRequestReviewers function', (done) => {
        try {
          assert.equal(true, typeof a.pullRequestReviewersUpdatePullRequestReviewers === 'function');
          done();
        } catch (error) {
          log.error(`Test Failure: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing organization', (done) => {
        try {
          a.pullRequestReviewersUpdatePullRequestReviewers(null, null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'organization is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestReviewersUpdatePullRequestReviewers', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing body', (done) => {
        try {
          a.pullRequestReviewersUpdatePullRequestReviewers('fakeparam', null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'body is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestReviewersUpdatePullRequestReviewers', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing repositoryId', (done) => {
        try {
          a.pullRequestReviewersUpdatePullRequestReviewers('fakeparam', 'fakeparam', null, null, null, null, (data, error) => {
            try {
              const displayE = 'repositoryId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestReviewersUpdatePullRequestReviewers', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing pullRequestId', (done) => {
        try {
          a.pullRequestReviewersUpdatePullRequestReviewers('fakeparam', 'fakeparam', 'fakeparam', null, null, null, (data, error) => {
            try {
              const displayE = 'pullRequestId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestReviewersUpdatePullRequestReviewers', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing project', (done) => {
        try {
          a.pullRequestReviewersUpdatePullRequestReviewers('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, null, (data, error) => {
            try {
              const displayE = 'project is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestReviewersUpdatePullRequestReviewers', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing apiVersion', (done) => {
        try {
          a.pullRequestReviewersUpdatePullRequestReviewers('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, (data, error) => {
            try {
              const displayE = 'apiVersion is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestReviewersUpdatePullRequestReviewers', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
    });

    describe('#pullRequestReviewersCreatePullRequestReviewer - errors', () => {
      it('should have a pullRequestReviewersCreatePullRequestReviewer function', (done) => {
        try {
          assert.equal(true, typeof a.pullRequestReviewersCreatePullRequestReviewer === 'function');
          done();
        } catch (error) {
          log.error(`Test Failure: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing organization', (done) => {
        try {
          a.pullRequestReviewersCreatePullRequestReviewer(null, null, null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'organization is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestReviewersCreatePullRequestReviewer', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing body', (done) => {
        try {
          a.pullRequestReviewersCreatePullRequestReviewer('fakeparam', null, null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'body is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestReviewersCreatePullRequestReviewer', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing repositoryId', (done) => {
        try {
          a.pullRequestReviewersCreatePullRequestReviewer('fakeparam', 'fakeparam', null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'repositoryId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestReviewersCreatePullRequestReviewer', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing pullRequestId', (done) => {
        try {
          a.pullRequestReviewersCreatePullRequestReviewer('fakeparam', 'fakeparam', 'fakeparam', null, null, null, null, (data, error) => {
            try {
              const displayE = 'pullRequestId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestReviewersCreatePullRequestReviewer', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing reviewerId', (done) => {
        try {
          a.pullRequestReviewersCreatePullRequestReviewer('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, null, null, (data, error) => {
            try {
              const displayE = 'reviewerId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestReviewersCreatePullRequestReviewer', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing project', (done) => {
        try {
          a.pullRequestReviewersCreatePullRequestReviewer('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, null, (data, error) => {
            try {
              const displayE = 'project is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestReviewersCreatePullRequestReviewer', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing apiVersion', (done) => {
        try {
          a.pullRequestReviewersCreatePullRequestReviewer('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, (data, error) => {
            try {
              const displayE = 'apiVersion is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestReviewersCreatePullRequestReviewer', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
    });

    describe('#pullRequestReviewersDelete - errors', () => {
      it('should have a pullRequestReviewersDelete function', (done) => {
        try {
          assert.equal(true, typeof a.pullRequestReviewersDelete === 'function');
          done();
        } catch (error) {
          log.error(`Test Failure: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing organization', (done) => {
        try {
          a.pullRequestReviewersDelete(null, null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'organization is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestReviewersDelete', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing repositoryId', (done) => {
        try {
          a.pullRequestReviewersDelete('fakeparam', null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'repositoryId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestReviewersDelete', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing pullRequestId', (done) => {
        try {
          a.pullRequestReviewersDelete('fakeparam', 'fakeparam', null, null, null, null, (data, error) => {
            try {
              const displayE = 'pullRequestId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestReviewersDelete', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing reviewerId', (done) => {
        try {
          a.pullRequestReviewersDelete('fakeparam', 'fakeparam', 'fakeparam', null, null, null, (data, error) => {
            try {
              const displayE = 'reviewerId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestReviewersDelete', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing project', (done) => {
        try {
          a.pullRequestReviewersDelete('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, null, (data, error) => {
            try {
              const displayE = 'project is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestReviewersDelete', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing apiVersion', (done) => {
        try {
          a.pullRequestReviewersDelete('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, (data, error) => {
            try {
              const displayE = 'apiVersion is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestReviewersDelete', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
    });

    describe('#pullRequestReviewersGet - errors', () => {
      it('should have a pullRequestReviewersGet function', (done) => {
        try {
          assert.equal(true, typeof a.pullRequestReviewersGet === 'function');
          done();
        } catch (error) {
          log.error(`Test Failure: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing organization', (done) => {
        try {
          a.pullRequestReviewersGet(null, null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'organization is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestReviewersGet', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing repositoryId', (done) => {
        try {
          a.pullRequestReviewersGet('fakeparam', null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'repositoryId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestReviewersGet', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing pullRequestId', (done) => {
        try {
          a.pullRequestReviewersGet('fakeparam', 'fakeparam', null, null, null, null, (data, error) => {
            try {
              const displayE = 'pullRequestId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestReviewersGet', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing reviewerId', (done) => {
        try {
          a.pullRequestReviewersGet('fakeparam', 'fakeparam', 'fakeparam', null, null, null, (data, error) => {
            try {
              const displayE = 'reviewerId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestReviewersGet', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing project', (done) => {
        try {
          a.pullRequestReviewersGet('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, null, (data, error) => {
            try {
              const displayE = 'project is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestReviewersGet', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing apiVersion', (done) => {
        try {
          a.pullRequestReviewersGet('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, (data, error) => {
            try {
              const displayE = 'apiVersion is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestReviewersGet', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
    });

    describe('#pullRequestReviewersUpdatePullRequestReviewer - errors', () => {
      it('should have a pullRequestReviewersUpdatePullRequestReviewer function', (done) => {
        try {
          assert.equal(true, typeof a.pullRequestReviewersUpdatePullRequestReviewer === 'function');
          done();
        } catch (error) {
          log.error(`Test Failure: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing organization', (done) => {
        try {
          a.pullRequestReviewersUpdatePullRequestReviewer(null, null, null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'organization is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestReviewersUpdatePullRequestReviewer', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing body', (done) => {
        try {
          a.pullRequestReviewersUpdatePullRequestReviewer('fakeparam', null, null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'body is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestReviewersUpdatePullRequestReviewer', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing repositoryId', (done) => {
        try {
          a.pullRequestReviewersUpdatePullRequestReviewer('fakeparam', 'fakeparam', null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'repositoryId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestReviewersUpdatePullRequestReviewer', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing pullRequestId', (done) => {
        try {
          a.pullRequestReviewersUpdatePullRequestReviewer('fakeparam', 'fakeparam', 'fakeparam', null, null, null, null, (data, error) => {
            try {
              const displayE = 'pullRequestId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestReviewersUpdatePullRequestReviewer', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing reviewerId', (done) => {
        try {
          a.pullRequestReviewersUpdatePullRequestReviewer('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, null, null, (data, error) => {
            try {
              const displayE = 'reviewerId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestReviewersUpdatePullRequestReviewer', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing project', (done) => {
        try {
          a.pullRequestReviewersUpdatePullRequestReviewer('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, null, (data, error) => {
            try {
              const displayE = 'project is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestReviewersUpdatePullRequestReviewer', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing apiVersion', (done) => {
        try {
          a.pullRequestReviewersUpdatePullRequestReviewer('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, (data, error) => {
            try {
              const displayE = 'apiVersion is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestReviewersUpdatePullRequestReviewer', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
    });

    describe('#pullRequestShareSharePullRequest - errors', () => {
      it('should have a pullRequestShareSharePullRequest function', (done) => {
        try {
          assert.equal(true, typeof a.pullRequestShareSharePullRequest === 'function');
          done();
        } catch (error) {
          log.error(`Test Failure: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing organization', (done) => {
        try {
          a.pullRequestShareSharePullRequest(null, null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'organization is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestShareSharePullRequest', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing body', (done) => {
        try {
          a.pullRequestShareSharePullRequest('fakeparam', null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'body is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestShareSharePullRequest', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing repositoryId', (done) => {
        try {
          a.pullRequestShareSharePullRequest('fakeparam', 'fakeparam', null, null, null, null, (data, error) => {
            try {
              const displayE = 'repositoryId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestShareSharePullRequest', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing pullRequestId', (done) => {
        try {
          a.pullRequestShareSharePullRequest('fakeparam', 'fakeparam', 'fakeparam', null, null, null, (data, error) => {
            try {
              const displayE = 'pullRequestId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestShareSharePullRequest', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing project', (done) => {
        try {
          a.pullRequestShareSharePullRequest('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, null, (data, error) => {
            try {
              const displayE = 'project is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestShareSharePullRequest', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing apiVersion', (done) => {
        try {
          a.pullRequestShareSharePullRequest('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, (data, error) => {
            try {
              const displayE = 'apiVersion is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestShareSharePullRequest', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
    });

    describe('#pullRequestStatusesCreate - errors', () => {
      it('should have a pullRequestStatusesCreate function', (done) => {
        try {
          assert.equal(true, typeof a.pullRequestStatusesCreate === 'function');
          done();
        } catch (error) {
          log.error(`Test Failure: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing organization', (done) => {
        try {
          a.pullRequestStatusesCreate(null, null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'organization is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestStatusesCreate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing body', (done) => {
        try {
          a.pullRequestStatusesCreate('fakeparam', null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'body is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestStatusesCreate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing repositoryId', (done) => {
        try {
          a.pullRequestStatusesCreate('fakeparam', 'fakeparam', null, null, null, null, (data, error) => {
            try {
              const displayE = 'repositoryId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestStatusesCreate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing pullRequestId', (done) => {
        try {
          a.pullRequestStatusesCreate('fakeparam', 'fakeparam', 'fakeparam', null, null, null, (data, error) => {
            try {
              const displayE = 'pullRequestId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestStatusesCreate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing project', (done) => {
        try {
          a.pullRequestStatusesCreate('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, null, (data, error) => {
            try {
              const displayE = 'project is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestStatusesCreate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing apiVersion', (done) => {
        try {
          a.pullRequestStatusesCreate('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, (data, error) => {
            try {
              const displayE = 'apiVersion is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestStatusesCreate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
    });

    describe('#pullRequestStatusesList - errors', () => {
      it('should have a pullRequestStatusesList function', (done) => {
        try {
          assert.equal(true, typeof a.pullRequestStatusesList === 'function');
          done();
        } catch (error) {
          log.error(`Test Failure: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing organization', (done) => {
        try {
          a.pullRequestStatusesList(null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'organization is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestStatusesList', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing repositoryId', (done) => {
        try {
          a.pullRequestStatusesList('fakeparam', null, null, null, null, (data, error) => {
            try {
              const displayE = 'repositoryId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestStatusesList', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing pullRequestId', (done) => {
        try {
          a.pullRequestStatusesList('fakeparam', 'fakeparam', null, null, null, (data, error) => {
            try {
              const displayE = 'pullRequestId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestStatusesList', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing project', (done) => {
        try {
          a.pullRequestStatusesList('fakeparam', 'fakeparam', 'fakeparam', null, null, (data, error) => {
            try {
              const displayE = 'project is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestStatusesList', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing apiVersion', (done) => {
        try {
          a.pullRequestStatusesList('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, (data, error) => {
            try {
              const displayE = 'apiVersion is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestStatusesList', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
    });

    describe('#pullRequestStatusesUpdate - errors', () => {
      it('should have a pullRequestStatusesUpdate function', (done) => {
        try {
          assert.equal(true, typeof a.pullRequestStatusesUpdate === 'function');
          done();
        } catch (error) {
          log.error(`Test Failure: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing organization', (done) => {
        try {
          a.pullRequestStatusesUpdate(null, null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'organization is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestStatusesUpdate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing body', (done) => {
        try {
          a.pullRequestStatusesUpdate('fakeparam', null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'body is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestStatusesUpdate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing repositoryId', (done) => {
        try {
          a.pullRequestStatusesUpdate('fakeparam', 'fakeparam', null, null, null, null, (data, error) => {
            try {
              const displayE = 'repositoryId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestStatusesUpdate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing pullRequestId', (done) => {
        try {
          a.pullRequestStatusesUpdate('fakeparam', 'fakeparam', 'fakeparam', null, null, null, (data, error) => {
            try {
              const displayE = 'pullRequestId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestStatusesUpdate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing project', (done) => {
        try {
          a.pullRequestStatusesUpdate('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, null, (data, error) => {
            try {
              const displayE = 'project is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestStatusesUpdate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing apiVersion', (done) => {
        try {
          a.pullRequestStatusesUpdate('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, (data, error) => {
            try {
              const displayE = 'apiVersion is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestStatusesUpdate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
    });

    describe('#pullRequestStatusesDelete - errors', () => {
      it('should have a pullRequestStatusesDelete function', (done) => {
        try {
          assert.equal(true, typeof a.pullRequestStatusesDelete === 'function');
          done();
        } catch (error) {
          log.error(`Test Failure: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing organization', (done) => {
        try {
          a.pullRequestStatusesDelete(null, null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'organization is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestStatusesDelete', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing repositoryId', (done) => {
        try {
          a.pullRequestStatusesDelete('fakeparam', null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'repositoryId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestStatusesDelete', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing pullRequestId', (done) => {
        try {
          a.pullRequestStatusesDelete('fakeparam', 'fakeparam', null, null, null, null, (data, error) => {
            try {
              const displayE = 'pullRequestId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestStatusesDelete', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing statusId', (done) => {
        try {
          a.pullRequestStatusesDelete('fakeparam', 'fakeparam', 'fakeparam', null, null, null, (data, error) => {
            try {
              const displayE = 'statusId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestStatusesDelete', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing project', (done) => {
        try {
          a.pullRequestStatusesDelete('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, null, (data, error) => {
            try {
              const displayE = 'project is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestStatusesDelete', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing apiVersion', (done) => {
        try {
          a.pullRequestStatusesDelete('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, (data, error) => {
            try {
              const displayE = 'apiVersion is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestStatusesDelete', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
    });

    describe('#pullRequestStatusesGet - errors', () => {
      it('should have a pullRequestStatusesGet function', (done) => {
        try {
          assert.equal(true, typeof a.pullRequestStatusesGet === 'function');
          done();
        } catch (error) {
          log.error(`Test Failure: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing organization', (done) => {
        try {
          a.pullRequestStatusesGet(null, null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'organization is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestStatusesGet', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing repositoryId', (done) => {
        try {
          a.pullRequestStatusesGet('fakeparam', null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'repositoryId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestStatusesGet', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing pullRequestId', (done) => {
        try {
          a.pullRequestStatusesGet('fakeparam', 'fakeparam', null, null, null, null, (data, error) => {
            try {
              const displayE = 'pullRequestId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestStatusesGet', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing statusId', (done) => {
        try {
          a.pullRequestStatusesGet('fakeparam', 'fakeparam', 'fakeparam', null, null, null, (data, error) => {
            try {
              const displayE = 'statusId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestStatusesGet', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing project', (done) => {
        try {
          a.pullRequestStatusesGet('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, null, (data, error) => {
            try {
              const displayE = 'project is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestStatusesGet', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing apiVersion', (done) => {
        try {
          a.pullRequestStatusesGet('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, (data, error) => {
            try {
              const displayE = 'apiVersion is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestStatusesGet', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
    });

    describe('#pullRequestThreadsCreate - errors', () => {
      it('should have a pullRequestThreadsCreate function', (done) => {
        try {
          assert.equal(true, typeof a.pullRequestThreadsCreate === 'function');
          done();
        } catch (error) {
          log.error(`Test Failure: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing organization', (done) => {
        try {
          a.pullRequestThreadsCreate(null, null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'organization is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestThreadsCreate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing body', (done) => {
        try {
          a.pullRequestThreadsCreate('fakeparam', null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'body is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestThreadsCreate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing repositoryId', (done) => {
        try {
          a.pullRequestThreadsCreate('fakeparam', 'fakeparam', null, null, null, null, (data, error) => {
            try {
              const displayE = 'repositoryId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestThreadsCreate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing pullRequestId', (done) => {
        try {
          a.pullRequestThreadsCreate('fakeparam', 'fakeparam', 'fakeparam', null, null, null, (data, error) => {
            try {
              const displayE = 'pullRequestId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestThreadsCreate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing project', (done) => {
        try {
          a.pullRequestThreadsCreate('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, null, (data, error) => {
            try {
              const displayE = 'project is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestThreadsCreate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing apiVersion', (done) => {
        try {
          a.pullRequestThreadsCreate('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, (data, error) => {
            try {
              const displayE = 'apiVersion is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestThreadsCreate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
    });

    describe('#pullRequestThreadsList - errors', () => {
      it('should have a pullRequestThreadsList function', (done) => {
        try {
          assert.equal(true, typeof a.pullRequestThreadsList === 'function');
          done();
        } catch (error) {
          log.error(`Test Failure: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing organization', (done) => {
        try {
          a.pullRequestThreadsList(null, null, null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'organization is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestThreadsList', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing repositoryId', (done) => {
        try {
          a.pullRequestThreadsList('fakeparam', null, null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'repositoryId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestThreadsList', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing pullRequestId', (done) => {
        try {
          a.pullRequestThreadsList('fakeparam', 'fakeparam', null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'pullRequestId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestThreadsList', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing project', (done) => {
        try {
          a.pullRequestThreadsList('fakeparam', 'fakeparam', 'fakeparam', null, null, null, null, (data, error) => {
            try {
              const displayE = 'project is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestThreadsList', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing apiVersion', (done) => {
        try {
          a.pullRequestThreadsList('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, (data, error) => {
            try {
              const displayE = 'apiVersion is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestThreadsList', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
    });

    describe('#pullRequestThreadsGet - errors', () => {
      it('should have a pullRequestThreadsGet function', (done) => {
        try {
          assert.equal(true, typeof a.pullRequestThreadsGet === 'function');
          done();
        } catch (error) {
          log.error(`Test Failure: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing organization', (done) => {
        try {
          a.pullRequestThreadsGet(null, null, null, null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'organization is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestThreadsGet', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing repositoryId', (done) => {
        try {
          a.pullRequestThreadsGet('fakeparam', null, null, null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'repositoryId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestThreadsGet', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing pullRequestId', (done) => {
        try {
          a.pullRequestThreadsGet('fakeparam', 'fakeparam', null, null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'pullRequestId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestThreadsGet', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing threadId', (done) => {
        try {
          a.pullRequestThreadsGet('fakeparam', 'fakeparam', 'fakeparam', null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'threadId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestThreadsGet', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing project', (done) => {
        try {
          a.pullRequestThreadsGet('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, null, null, null, (data, error) => {
            try {
              const displayE = 'project is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestThreadsGet', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing apiVersion', (done) => {
        try {
          a.pullRequestThreadsGet('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, (data, error) => {
            try {
              const displayE = 'apiVersion is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestThreadsGet', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
    });

    describe('#pullRequestThreadsUpdate - errors', () => {
      it('should have a pullRequestThreadsUpdate function', (done) => {
        try {
          assert.equal(true, typeof a.pullRequestThreadsUpdate === 'function');
          done();
        } catch (error) {
          log.error(`Test Failure: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing organization', (done) => {
        try {
          a.pullRequestThreadsUpdate(null, null, null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'organization is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestThreadsUpdate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing body', (done) => {
        try {
          a.pullRequestThreadsUpdate('fakeparam', null, null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'body is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestThreadsUpdate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing repositoryId', (done) => {
        try {
          a.pullRequestThreadsUpdate('fakeparam', 'fakeparam', null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'repositoryId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestThreadsUpdate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing pullRequestId', (done) => {
        try {
          a.pullRequestThreadsUpdate('fakeparam', 'fakeparam', 'fakeparam', null, null, null, null, (data, error) => {
            try {
              const displayE = 'pullRequestId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestThreadsUpdate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing threadId', (done) => {
        try {
          a.pullRequestThreadsUpdate('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, null, null, (data, error) => {
            try {
              const displayE = 'threadId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestThreadsUpdate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing project', (done) => {
        try {
          a.pullRequestThreadsUpdate('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, null, (data, error) => {
            try {
              const displayE = 'project is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestThreadsUpdate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing apiVersion', (done) => {
        try {
          a.pullRequestThreadsUpdate('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, (data, error) => {
            try {
              const displayE = 'apiVersion is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestThreadsUpdate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
    });

    describe('#pullRequestThreadCommentsCreate - errors', () => {
      it('should have a pullRequestThreadCommentsCreate function', (done) => {
        try {
          assert.equal(true, typeof a.pullRequestThreadCommentsCreate === 'function');
          done();
        } catch (error) {
          log.error(`Test Failure: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing organization', (done) => {
        try {
          a.pullRequestThreadCommentsCreate(null, null, null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'organization is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestThreadCommentsCreate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing body', (done) => {
        try {
          a.pullRequestThreadCommentsCreate('fakeparam', null, null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'body is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestThreadCommentsCreate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing repositoryId', (done) => {
        try {
          a.pullRequestThreadCommentsCreate('fakeparam', 'fakeparam', null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'repositoryId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestThreadCommentsCreate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing pullRequestId', (done) => {
        try {
          a.pullRequestThreadCommentsCreate('fakeparam', 'fakeparam', 'fakeparam', null, null, null, null, (data, error) => {
            try {
              const displayE = 'pullRequestId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestThreadCommentsCreate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing threadId', (done) => {
        try {
          a.pullRequestThreadCommentsCreate('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, null, null, (data, error) => {
            try {
              const displayE = 'threadId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestThreadCommentsCreate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing project', (done) => {
        try {
          a.pullRequestThreadCommentsCreate('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, null, (data, error) => {
            try {
              const displayE = 'project is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestThreadCommentsCreate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing apiVersion', (done) => {
        try {
          a.pullRequestThreadCommentsCreate('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, (data, error) => {
            try {
              const displayE = 'apiVersion is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestThreadCommentsCreate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
    });

    describe('#pullRequestThreadCommentsList - errors', () => {
      it('should have a pullRequestThreadCommentsList function', (done) => {
        try {
          assert.equal(true, typeof a.pullRequestThreadCommentsList === 'function');
          done();
        } catch (error) {
          log.error(`Test Failure: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing organization', (done) => {
        try {
          a.pullRequestThreadCommentsList(null, null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'organization is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestThreadCommentsList', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing repositoryId', (done) => {
        try {
          a.pullRequestThreadCommentsList('fakeparam', null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'repositoryId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestThreadCommentsList', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing pullRequestId', (done) => {
        try {
          a.pullRequestThreadCommentsList('fakeparam', 'fakeparam', null, null, null, null, (data, error) => {
            try {
              const displayE = 'pullRequestId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestThreadCommentsList', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing threadId', (done) => {
        try {
          a.pullRequestThreadCommentsList('fakeparam', 'fakeparam', 'fakeparam', null, null, null, (data, error) => {
            try {
              const displayE = 'threadId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestThreadCommentsList', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing project', (done) => {
        try {
          a.pullRequestThreadCommentsList('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, null, (data, error) => {
            try {
              const displayE = 'project is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestThreadCommentsList', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing apiVersion', (done) => {
        try {
          a.pullRequestThreadCommentsList('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, (data, error) => {
            try {
              const displayE = 'apiVersion is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestThreadCommentsList', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
    });

    describe('#pullRequestThreadCommentsDelete - errors', () => {
      it('should have a pullRequestThreadCommentsDelete function', (done) => {
        try {
          assert.equal(true, typeof a.pullRequestThreadCommentsDelete === 'function');
          done();
        } catch (error) {
          log.error(`Test Failure: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing organization', (done) => {
        try {
          a.pullRequestThreadCommentsDelete(null, null, null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'organization is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestThreadCommentsDelete', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing repositoryId', (done) => {
        try {
          a.pullRequestThreadCommentsDelete('fakeparam', null, null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'repositoryId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestThreadCommentsDelete', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing pullRequestId', (done) => {
        try {
          a.pullRequestThreadCommentsDelete('fakeparam', 'fakeparam', null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'pullRequestId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestThreadCommentsDelete', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing threadId', (done) => {
        try {
          a.pullRequestThreadCommentsDelete('fakeparam', 'fakeparam', 'fakeparam', null, null, null, null, (data, error) => {
            try {
              const displayE = 'threadId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestThreadCommentsDelete', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing commentId', (done) => {
        try {
          a.pullRequestThreadCommentsDelete('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, null, null, (data, error) => {
            try {
              const displayE = 'commentId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestThreadCommentsDelete', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing project', (done) => {
        try {
          a.pullRequestThreadCommentsDelete('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, null, (data, error) => {
            try {
              const displayE = 'project is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestThreadCommentsDelete', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing apiVersion', (done) => {
        try {
          a.pullRequestThreadCommentsDelete('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, (data, error) => {
            try {
              const displayE = 'apiVersion is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestThreadCommentsDelete', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
    });

    describe('#pullRequestThreadCommentsGet - errors', () => {
      it('should have a pullRequestThreadCommentsGet function', (done) => {
        try {
          assert.equal(true, typeof a.pullRequestThreadCommentsGet === 'function');
          done();
        } catch (error) {
          log.error(`Test Failure: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing organization', (done) => {
        try {
          a.pullRequestThreadCommentsGet(null, null, null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'organization is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestThreadCommentsGet', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing repositoryId', (done) => {
        try {
          a.pullRequestThreadCommentsGet('fakeparam', null, null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'repositoryId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestThreadCommentsGet', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing pullRequestId', (done) => {
        try {
          a.pullRequestThreadCommentsGet('fakeparam', 'fakeparam', null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'pullRequestId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestThreadCommentsGet', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing threadId', (done) => {
        try {
          a.pullRequestThreadCommentsGet('fakeparam', 'fakeparam', 'fakeparam', null, null, null, null, (data, error) => {
            try {
              const displayE = 'threadId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestThreadCommentsGet', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing commentId', (done) => {
        try {
          a.pullRequestThreadCommentsGet('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, null, null, (data, error) => {
            try {
              const displayE = 'commentId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestThreadCommentsGet', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing project', (done) => {
        try {
          a.pullRequestThreadCommentsGet('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, null, (data, error) => {
            try {
              const displayE = 'project is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestThreadCommentsGet', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing apiVersion', (done) => {
        try {
          a.pullRequestThreadCommentsGet('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, (data, error) => {
            try {
              const displayE = 'apiVersion is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestThreadCommentsGet', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
    });

    describe('#pullRequestThreadCommentsUpdate - errors', () => {
      it('should have a pullRequestThreadCommentsUpdate function', (done) => {
        try {
          assert.equal(true, typeof a.pullRequestThreadCommentsUpdate === 'function');
          done();
        } catch (error) {
          log.error(`Test Failure: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing organization', (done) => {
        try {
          a.pullRequestThreadCommentsUpdate(null, null, null, null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'organization is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestThreadCommentsUpdate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing body', (done) => {
        try {
          a.pullRequestThreadCommentsUpdate('fakeparam', null, null, null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'body is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestThreadCommentsUpdate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing repositoryId', (done) => {
        try {
          a.pullRequestThreadCommentsUpdate('fakeparam', 'fakeparam', null, null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'repositoryId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestThreadCommentsUpdate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing pullRequestId', (done) => {
        try {
          a.pullRequestThreadCommentsUpdate('fakeparam', 'fakeparam', 'fakeparam', null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'pullRequestId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestThreadCommentsUpdate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing threadId', (done) => {
        try {
          a.pullRequestThreadCommentsUpdate('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, null, null, null, (data, error) => {
            try {
              const displayE = 'threadId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestThreadCommentsUpdate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing commentId', (done) => {
        try {
          a.pullRequestThreadCommentsUpdate('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, null, null, (data, error) => {
            try {
              const displayE = 'commentId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestThreadCommentsUpdate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing project', (done) => {
        try {
          a.pullRequestThreadCommentsUpdate('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, null, (data, error) => {
            try {
              const displayE = 'project is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestThreadCommentsUpdate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing apiVersion', (done) => {
        try {
          a.pullRequestThreadCommentsUpdate('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, (data, error) => {
            try {
              const displayE = 'apiVersion is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestThreadCommentsUpdate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
    });

    describe('#pullRequestCommentLikesCreate - errors', () => {
      it('should have a pullRequestCommentLikesCreate function', (done) => {
        try {
          assert.equal(true, typeof a.pullRequestCommentLikesCreate === 'function');
          done();
        } catch (error) {
          log.error(`Test Failure: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing organization', (done) => {
        try {
          a.pullRequestCommentLikesCreate(null, null, null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'organization is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestCommentLikesCreate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing repositoryId', (done) => {
        try {
          a.pullRequestCommentLikesCreate('fakeparam', null, null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'repositoryId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestCommentLikesCreate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing pullRequestId', (done) => {
        try {
          a.pullRequestCommentLikesCreate('fakeparam', 'fakeparam', null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'pullRequestId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestCommentLikesCreate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing threadId', (done) => {
        try {
          a.pullRequestCommentLikesCreate('fakeparam', 'fakeparam', 'fakeparam', null, null, null, null, (data, error) => {
            try {
              const displayE = 'threadId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestCommentLikesCreate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing commentId', (done) => {
        try {
          a.pullRequestCommentLikesCreate('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, null, null, (data, error) => {
            try {
              const displayE = 'commentId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestCommentLikesCreate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing project', (done) => {
        try {
          a.pullRequestCommentLikesCreate('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, null, (data, error) => {
            try {
              const displayE = 'project is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestCommentLikesCreate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing apiVersion', (done) => {
        try {
          a.pullRequestCommentLikesCreate('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, (data, error) => {
            try {
              const displayE = 'apiVersion is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestCommentLikesCreate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
    });

    describe('#pullRequestCommentLikesDelete - errors', () => {
      it('should have a pullRequestCommentLikesDelete function', (done) => {
        try {
          assert.equal(true, typeof a.pullRequestCommentLikesDelete === 'function');
          done();
        } catch (error) {
          log.error(`Test Failure: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing organization', (done) => {
        try {
          a.pullRequestCommentLikesDelete(null, null, null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'organization is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestCommentLikesDelete', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing repositoryId', (done) => {
        try {
          a.pullRequestCommentLikesDelete('fakeparam', null, null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'repositoryId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestCommentLikesDelete', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing pullRequestId', (done) => {
        try {
          a.pullRequestCommentLikesDelete('fakeparam', 'fakeparam', null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'pullRequestId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestCommentLikesDelete', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing threadId', (done) => {
        try {
          a.pullRequestCommentLikesDelete('fakeparam', 'fakeparam', 'fakeparam', null, null, null, null, (data, error) => {
            try {
              const displayE = 'threadId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestCommentLikesDelete', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing commentId', (done) => {
        try {
          a.pullRequestCommentLikesDelete('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, null, null, (data, error) => {
            try {
              const displayE = 'commentId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestCommentLikesDelete', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing project', (done) => {
        try {
          a.pullRequestCommentLikesDelete('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, null, (data, error) => {
            try {
              const displayE = 'project is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestCommentLikesDelete', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing apiVersion', (done) => {
        try {
          a.pullRequestCommentLikesDelete('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, (data, error) => {
            try {
              const displayE = 'apiVersion is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestCommentLikesDelete', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
    });

    describe('#pullRequestCommentLikesList - errors', () => {
      it('should have a pullRequestCommentLikesList function', (done) => {
        try {
          assert.equal(true, typeof a.pullRequestCommentLikesList === 'function');
          done();
        } catch (error) {
          log.error(`Test Failure: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing organization', (done) => {
        try {
          a.pullRequestCommentLikesList(null, null, null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'organization is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestCommentLikesList', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing repositoryId', (done) => {
        try {
          a.pullRequestCommentLikesList('fakeparam', null, null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'repositoryId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestCommentLikesList', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing pullRequestId', (done) => {
        try {
          a.pullRequestCommentLikesList('fakeparam', 'fakeparam', null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'pullRequestId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestCommentLikesList', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing threadId', (done) => {
        try {
          a.pullRequestCommentLikesList('fakeparam', 'fakeparam', 'fakeparam', null, null, null, null, (data, error) => {
            try {
              const displayE = 'threadId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestCommentLikesList', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing commentId', (done) => {
        try {
          a.pullRequestCommentLikesList('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, null, null, (data, error) => {
            try {
              const displayE = 'commentId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestCommentLikesList', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing project', (done) => {
        try {
          a.pullRequestCommentLikesList('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, null, (data, error) => {
            try {
              const displayE = 'project is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestCommentLikesList', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing apiVersion', (done) => {
        try {
          a.pullRequestCommentLikesList('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, (data, error) => {
            try {
              const displayE = 'apiVersion is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestCommentLikesList', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
    });

    describe('#pullRequestWorkItemsList - errors', () => {
      it('should have a pullRequestWorkItemsList function', (done) => {
        try {
          assert.equal(true, typeof a.pullRequestWorkItemsList === 'function');
          done();
        } catch (error) {
          log.error(`Test Failure: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing organization', (done) => {
        try {
          a.pullRequestWorkItemsList(null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'organization is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestWorkItemsList', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing repositoryId', (done) => {
        try {
          a.pullRequestWorkItemsList('fakeparam', null, null, null, null, (data, error) => {
            try {
              const displayE = 'repositoryId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestWorkItemsList', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing pullRequestId', (done) => {
        try {
          a.pullRequestWorkItemsList('fakeparam', 'fakeparam', null, null, null, (data, error) => {
            try {
              const displayE = 'pullRequestId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestWorkItemsList', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing project', (done) => {
        try {
          a.pullRequestWorkItemsList('fakeparam', 'fakeparam', 'fakeparam', null, null, (data, error) => {
            try {
              const displayE = 'project is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestWorkItemsList', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing apiVersion', (done) => {
        try {
          a.pullRequestWorkItemsList('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, (data, error) => {
            try {
              const displayE = 'apiVersion is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pullRequestWorkItemsList', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
    });

    describe('#pushesCreate - errors', () => {
      it('should have a pushesCreate function', (done) => {
        try {
          assert.equal(true, typeof a.pushesCreate === 'function');
          done();
        } catch (error) {
          log.error(`Test Failure: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing organization', (done) => {
        try {
          a.pushesCreate(null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'organization is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pushesCreate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing body', (done) => {
        try {
          a.pushesCreate('fakeparam', null, null, null, null, (data, error) => {
            try {
              const displayE = 'body is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pushesCreate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing repositoryId', (done) => {
        try {
          a.pushesCreate('fakeparam', 'fakeparam', null, null, null, (data, error) => {
            try {
              const displayE = 'repositoryId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pushesCreate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing project', (done) => {
        try {
          a.pushesCreate('fakeparam', 'fakeparam', 'fakeparam', null, null, (data, error) => {
            try {
              const displayE = 'project is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pushesCreate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing apiVersion', (done) => {
        try {
          a.pushesCreate('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, (data, error) => {
            try {
              const displayE = 'apiVersion is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pushesCreate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
    });

    describe('#pushesList - errors', () => {
      it('should have a pushesList function', (done) => {
        try {
          assert.equal(true, typeof a.pushesList === 'function');
          done();
        } catch (error) {
          log.error(`Test Failure: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing organization', (done) => {
        try {
          a.pushesList(null, null, null, null, null, null, null, null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'organization is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pushesList', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing repositoryId', (done) => {
        try {
          a.pushesList('fakeparam', null, null, null, null, null, null, null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'repositoryId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pushesList', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing project', (done) => {
        try {
          a.pushesList('fakeparam', 'fakeparam', null, null, null, null, null, null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'project is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pushesList', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing apiVersion', (done) => {
        try {
          a.pushesList('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, (data, error) => {
            try {
              const displayE = 'apiVersion is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pushesList', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
    });

    describe('#pushesGet - errors', () => {
      it('should have a pushesGet function', (done) => {
        try {
          assert.equal(true, typeof a.pushesGet === 'function');
          done();
        } catch (error) {
          log.error(`Test Failure: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing organization', (done) => {
        try {
          a.pushesGet(null, null, null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'organization is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pushesGet', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing repositoryId', (done) => {
        try {
          a.pushesGet('fakeparam', null, null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'repositoryId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pushesGet', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing pushId', (done) => {
        try {
          a.pushesGet('fakeparam', 'fakeparam', null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'pushId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pushesGet', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing project', (done) => {
        try {
          a.pushesGet('fakeparam', 'fakeparam', 'fakeparam', null, null, null, null, (data, error) => {
            try {
              const displayE = 'project is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pushesGet', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing apiVersion', (done) => {
        try {
          a.pushesGet('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, (data, error) => {
            try {
              const displayE = 'apiVersion is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-pushesGet', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
    });

    describe('#refsList - errors', () => {
      it('should have a refsList function', (done) => {
        try {
          assert.equal(true, typeof a.refsList === 'function');
          done();
        } catch (error) {
          log.error(`Test Failure: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing organization', (done) => {
        try {
          a.refsList(null, null, null, null, null, null, null, null, null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'organization is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-refsList', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing repositoryId', (done) => {
        try {
          a.refsList('fakeparam', null, null, null, null, null, null, null, null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'repositoryId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-refsList', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing project', (done) => {
        try {
          a.refsList('fakeparam', 'fakeparam', null, null, null, null, null, null, null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'project is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-refsList', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing apiVersion', (done) => {
        try {
          a.refsList('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, (data, error) => {
            try {
              const displayE = 'apiVersion is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-refsList', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
    });

    describe('#refsUpdateRef - errors', () => {
      it('should have a refsUpdateRef function', (done) => {
        try {
          assert.equal(true, typeof a.refsUpdateRef === 'function');
          done();
        } catch (error) {
          log.error(`Test Failure: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing organization', (done) => {
        try {
          a.refsUpdateRef(null, null, null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'organization is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-refsUpdateRef', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing body', (done) => {
        try {
          a.refsUpdateRef('fakeparam', null, null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'body is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-refsUpdateRef', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing repositoryId', (done) => {
        try {
          a.refsUpdateRef('fakeparam', 'fakeparam', null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'repositoryId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-refsUpdateRef', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing filter', (done) => {
        try {
          a.refsUpdateRef('fakeparam', 'fakeparam', 'fakeparam', null, null, null, null, (data, error) => {
            try {
              const displayE = 'filter is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-refsUpdateRef', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing project', (done) => {
        try {
          a.refsUpdateRef('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, null, null, (data, error) => {
            try {
              const displayE = 'project is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-refsUpdateRef', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing apiVersion', (done) => {
        try {
          a.refsUpdateRef('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, (data, error) => {
            try {
              const displayE = 'apiVersion is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-refsUpdateRef', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
    });

    describe('#refsUpdateRefs - errors', () => {
      it('should have a refsUpdateRefs function', (done) => {
        try {
          assert.equal(true, typeof a.refsUpdateRefs === 'function');
          done();
        } catch (error) {
          log.error(`Test Failure: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing organization', (done) => {
        try {
          a.refsUpdateRefs(null, null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'organization is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-refsUpdateRefs', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing body', (done) => {
        try {
          a.refsUpdateRefs('fakeparam', null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'body is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-refsUpdateRefs', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing repositoryId', (done) => {
        try {
          a.refsUpdateRefs('fakeparam', 'fakeparam', null, null, null, null, (data, error) => {
            try {
              const displayE = 'repositoryId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-refsUpdateRefs', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing project', (done) => {
        try {
          a.refsUpdateRefs('fakeparam', 'fakeparam', 'fakeparam', null, null, null, (data, error) => {
            try {
              const displayE = 'project is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-refsUpdateRefs', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing apiVersion', (done) => {
        try {
          a.refsUpdateRefs('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, (data, error) => {
            try {
              const displayE = 'apiVersion is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-refsUpdateRefs', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
    });

    describe('#revertsCreate - errors', () => {
      it('should have a revertsCreate function', (done) => {
        try {
          assert.equal(true, typeof a.revertsCreate === 'function');
          done();
        } catch (error) {
          log.error(`Test Failure: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing organization', (done) => {
        try {
          a.revertsCreate(null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'organization is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-revertsCreate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing body', (done) => {
        try {
          a.revertsCreate('fakeparam', null, null, null, null, (data, error) => {
            try {
              const displayE = 'body is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-revertsCreate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing project', (done) => {
        try {
          a.revertsCreate('fakeparam', 'fakeparam', null, null, null, (data, error) => {
            try {
              const displayE = 'project is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-revertsCreate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing repositoryId', (done) => {
        try {
          a.revertsCreate('fakeparam', 'fakeparam', 'fakeparam', null, null, (data, error) => {
            try {
              const displayE = 'repositoryId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-revertsCreate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing apiVersion', (done) => {
        try {
          a.revertsCreate('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, (data, error) => {
            try {
              const displayE = 'apiVersion is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-revertsCreate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
    });

    describe('#revertsGetRevertForRefName - errors', () => {
      it('should have a revertsGetRevertForRefName function', (done) => {
        try {
          assert.equal(true, typeof a.revertsGetRevertForRefName === 'function');
          done();
        } catch (error) {
          log.error(`Test Failure: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing organization', (done) => {
        try {
          a.revertsGetRevertForRefName(null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'organization is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-revertsGetRevertForRefName', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing project', (done) => {
        try {
          a.revertsGetRevertForRefName('fakeparam', null, null, null, null, (data, error) => {
            try {
              const displayE = 'project is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-revertsGetRevertForRefName', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing repositoryId', (done) => {
        try {
          a.revertsGetRevertForRefName('fakeparam', 'fakeparam', null, null, null, (data, error) => {
            try {
              const displayE = 'repositoryId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-revertsGetRevertForRefName', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing refName', (done) => {
        try {
          a.revertsGetRevertForRefName('fakeparam', 'fakeparam', 'fakeparam', null, null, (data, error) => {
            try {
              const displayE = 'refName is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-revertsGetRevertForRefName', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing apiVersion', (done) => {
        try {
          a.revertsGetRevertForRefName('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, (data, error) => {
            try {
              const displayE = 'apiVersion is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-revertsGetRevertForRefName', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
    });

    describe('#revertsGetRevert - errors', () => {
      it('should have a revertsGetRevert function', (done) => {
        try {
          assert.equal(true, typeof a.revertsGetRevert === 'function');
          done();
        } catch (error) {
          log.error(`Test Failure: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing organization', (done) => {
        try {
          a.revertsGetRevert(null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'organization is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-revertsGetRevert', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing project', (done) => {
        try {
          a.revertsGetRevert('fakeparam', null, null, null, null, (data, error) => {
            try {
              const displayE = 'project is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-revertsGetRevert', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing revertId', (done) => {
        try {
          a.revertsGetRevert('fakeparam', 'fakeparam', null, null, null, (data, error) => {
            try {
              const displayE = 'revertId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-revertsGetRevert', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing repositoryId', (done) => {
        try {
          a.revertsGetRevert('fakeparam', 'fakeparam', 'fakeparam', null, null, (data, error) => {
            try {
              const displayE = 'repositoryId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-revertsGetRevert', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing apiVersion', (done) => {
        try {
          a.revertsGetRevert('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, (data, error) => {
            try {
              const displayE = 'apiVersion is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-revertsGetRevert', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
    });

    describe('#statsList - errors', () => {
      it('should have a statsList function', (done) => {
        try {
          assert.equal(true, typeof a.statsList === 'function');
          done();
        } catch (error) {
          log.error(`Test Failure: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing organization', (done) => {
        try {
          a.statsList(null, null, null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'organization is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-statsList', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing repositoryId', (done) => {
        try {
          a.statsList('fakeparam', null, null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'repositoryId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-statsList', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing project', (done) => {
        try {
          a.statsList('fakeparam', 'fakeparam', null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'project is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-statsList', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing apiVersion', (done) => {
        try {
          a.statsList('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, (data, error) => {
            try {
              const displayE = 'apiVersion is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-statsList', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
    });

    describe('#suggestionsList - errors', () => {
      it('should have a suggestionsList function', (done) => {
        try {
          assert.equal(true, typeof a.suggestionsList === 'function');
          done();
        } catch (error) {
          log.error(`Test Failure: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing organization', (done) => {
        try {
          a.suggestionsList(null, null, null, null, (data, error) => {
            try {
              const displayE = 'organization is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-suggestionsList', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing repositoryId', (done) => {
        try {
          a.suggestionsList('fakeparam', null, null, null, (data, error) => {
            try {
              const displayE = 'repositoryId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-suggestionsList', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing project', (done) => {
        try {
          a.suggestionsList('fakeparam', 'fakeparam', null, null, (data, error) => {
            try {
              const displayE = 'project is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-suggestionsList', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing apiVersion', (done) => {
        try {
          a.suggestionsList('fakeparam', 'fakeparam', 'fakeparam', null, (data, error) => {
            try {
              const displayE = 'apiVersion is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-suggestionsList', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
    });

    describe('#treesGet - errors', () => {
      it('should have a treesGet function', (done) => {
        try {
          assert.equal(true, typeof a.treesGet === 'function');
          done();
        } catch (error) {
          log.error(`Test Failure: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing organization', (done) => {
        try {
          a.treesGet(null, null, null, null, null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'organization is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-treesGet', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing repositoryId', (done) => {
        try {
          a.treesGet('fakeparam', null, null, null, null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'repositoryId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-treesGet', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing sha1', (done) => {
        try {
          a.treesGet('fakeparam', 'fakeparam', null, null, null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'sha1 is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-treesGet', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing project', (done) => {
        try {
          a.treesGet('fakeparam', 'fakeparam', 'fakeparam', null, null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'project is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-treesGet', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing apiVersion', (done) => {
        try {
          a.treesGet('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, (data, error) => {
            try {
              const displayE = 'apiVersion is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-treesGet', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
    });

    describe('#mergeBasesList - errors', () => {
      it('should have a mergeBasesList function', (done) => {
        try {
          assert.equal(true, typeof a.mergeBasesList === 'function');
          done();
        } catch (error) {
          log.error(`Test Failure: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing organization', (done) => {
        try {
          a.mergeBasesList(null, null, null, null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'organization is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-mergeBasesList', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing repositoryNameOrId', (done) => {
        try {
          a.mergeBasesList('fakeparam', null, null, null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'repositoryNameOrId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-mergeBasesList', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing commitId', (done) => {
        try {
          a.mergeBasesList('fakeparam', 'fakeparam', null, null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'commitId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-mergeBasesList', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing otherCommitId', (done) => {
        try {
          a.mergeBasesList('fakeparam', 'fakeparam', 'fakeparam', null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'otherCommitId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-mergeBasesList', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing project', (done) => {
        try {
          a.mergeBasesList('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, null, null, null, (data, error) => {
            try {
              const displayE = 'project is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-mergeBasesList', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing apiVersion', (done) => {
        try {
          a.mergeBasesList('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, (data, error) => {
            try {
              const displayE = 'apiVersion is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-mergeBasesList', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
    });

    describe('#forksList - errors', () => {
      it('should have a forksList function', (done) => {
        try {
          assert.equal(true, typeof a.forksList === 'function');
          done();
        } catch (error) {
          log.error(`Test Failure: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing organization', (done) => {
        try {
          a.forksList(null, null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'organization is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-forksList', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing repositoryNameOrId', (done) => {
        try {
          a.forksList('fakeparam', null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'repositoryNameOrId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-forksList', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing collectionId', (done) => {
        try {
          a.forksList('fakeparam', 'fakeparam', null, null, null, null, (data, error) => {
            try {
              const displayE = 'collectionId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-forksList', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing project', (done) => {
        try {
          a.forksList('fakeparam', 'fakeparam', 'fakeparam', null, null, null, (data, error) => {
            try {
              const displayE = 'project is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-forksList', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing apiVersion', (done) => {
        try {
          a.forksList('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, (data, error) => {
            try {
              const displayE = 'apiVersion is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-forksList', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
    });

    describe('#forksCreateForkSyncRequest - errors', () => {
      it('should have a forksCreateForkSyncRequest function', (done) => {
        try {
          assert.equal(true, typeof a.forksCreateForkSyncRequest === 'function');
          done();
        } catch (error) {
          log.error(`Test Failure: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing organization', (done) => {
        try {
          a.forksCreateForkSyncRequest(null, null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'organization is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-forksCreateForkSyncRequest', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing body', (done) => {
        try {
          a.forksCreateForkSyncRequest('fakeparam', null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'body is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-forksCreateForkSyncRequest', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing repositoryNameOrId', (done) => {
        try {
          a.forksCreateForkSyncRequest('fakeparam', 'fakeparam', null, null, null, null, (data, error) => {
            try {
              const displayE = 'repositoryNameOrId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-forksCreateForkSyncRequest', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing project', (done) => {
        try {
          a.forksCreateForkSyncRequest('fakeparam', 'fakeparam', 'fakeparam', null, null, null, (data, error) => {
            try {
              const displayE = 'project is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-forksCreateForkSyncRequest', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing apiVersion', (done) => {
        try {
          a.forksCreateForkSyncRequest('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, (data, error) => {
            try {
              const displayE = 'apiVersion is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-forksCreateForkSyncRequest', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
    });

    describe('#forksGetForkSyncRequests - errors', () => {
      it('should have a forksGetForkSyncRequests function', (done) => {
        try {
          assert.equal(true, typeof a.forksGetForkSyncRequests === 'function');
          done();
        } catch (error) {
          log.error(`Test Failure: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing organization', (done) => {
        try {
          a.forksGetForkSyncRequests(null, null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'organization is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-forksGetForkSyncRequests', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing repositoryNameOrId', (done) => {
        try {
          a.forksGetForkSyncRequests('fakeparam', null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'repositoryNameOrId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-forksGetForkSyncRequests', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing project', (done) => {
        try {
          a.forksGetForkSyncRequests('fakeparam', 'fakeparam', null, null, null, null, (data, error) => {
            try {
              const displayE = 'project is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-forksGetForkSyncRequests', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing apiVersion', (done) => {
        try {
          a.forksGetForkSyncRequests('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, (data, error) => {
            try {
              const displayE = 'apiVersion is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-forksGetForkSyncRequests', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
    });

    describe('#forksGetForkSyncRequest - errors', () => {
      it('should have a forksGetForkSyncRequest function', (done) => {
        try {
          assert.equal(true, typeof a.forksGetForkSyncRequest === 'function');
          done();
        } catch (error) {
          log.error(`Test Failure: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing organization', (done) => {
        try {
          a.forksGetForkSyncRequest(null, null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'organization is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-forksGetForkSyncRequest', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing repositoryNameOrId', (done) => {
        try {
          a.forksGetForkSyncRequest('fakeparam', null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'repositoryNameOrId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-forksGetForkSyncRequest', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing forkSyncOperationId', (done) => {
        try {
          a.forksGetForkSyncRequest('fakeparam', 'fakeparam', null, null, null, null, (data, error) => {
            try {
              const displayE = 'forkSyncOperationId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-forksGetForkSyncRequest', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing project', (done) => {
        try {
          a.forksGetForkSyncRequest('fakeparam', 'fakeparam', 'fakeparam', null, null, null, (data, error) => {
            try {
              const displayE = 'project is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-forksGetForkSyncRequest', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing apiVersion', (done) => {
        try {
          a.forksGetForkSyncRequest('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, (data, error) => {
            try {
              const displayE = 'apiVersion is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-forksGetForkSyncRequest', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
    });

    describe('#mergesCreate - errors', () => {
      it('should have a mergesCreate function', (done) => {
        try {
          assert.equal(true, typeof a.mergesCreate === 'function');
          done();
        } catch (error) {
          log.error(`Test Failure: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing organization', (done) => {
        try {
          a.mergesCreate(null, null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'organization is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-mergesCreate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing body', (done) => {
        try {
          a.mergesCreate('fakeparam', null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'body is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-mergesCreate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing project', (done) => {
        try {
          a.mergesCreate('fakeparam', 'fakeparam', null, null, null, null, (data, error) => {
            try {
              const displayE = 'project is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-mergesCreate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing repositoryNameOrId', (done) => {
        try {
          a.mergesCreate('fakeparam', 'fakeparam', 'fakeparam', null, null, null, (data, error) => {
            try {
              const displayE = 'repositoryNameOrId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-mergesCreate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing apiVersion', (done) => {
        try {
          a.mergesCreate('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, (data, error) => {
            try {
              const displayE = 'apiVersion is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-mergesCreate', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
    });

    describe('#mergesGet - errors', () => {
      it('should have a mergesGet function', (done) => {
        try {
          assert.equal(true, typeof a.mergesGet === 'function');
          done();
        } catch (error) {
          log.error(`Test Failure: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing organization', (done) => {
        try {
          a.mergesGet(null, null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'organization is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-mergesGet', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing project', (done) => {
        try {
          a.mergesGet('fakeparam', null, null, null, null, null, (data, error) => {
            try {
              const displayE = 'project is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-mergesGet', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing repositoryNameOrId', (done) => {
        try {
          a.mergesGet('fakeparam', 'fakeparam', null, null, null, null, (data, error) => {
            try {
              const displayE = 'repositoryNameOrId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-mergesGet', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing mergeOperationId', (done) => {
        try {
          a.mergesGet('fakeparam', 'fakeparam', 'fakeparam', null, null, null, (data, error) => {
            try {
              const displayE = 'mergeOperationId is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-mergesGet', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
      it('should error if - missing apiVersion', (done) => {
        try {
          a.mergesGet('fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', 'fakeparam', null, (data, error) => {
            try {
              const displayE = 'apiVersion is required';
              runErrorAsserts(data, error, 'AD.300', 'Test-append-adapter-mergesGet', displayE);
              done();
            } catch (err) {
              log.error(`Test Failure: ${err}`);
              done(err);
            }
          });
        } catch (error) {
          log.error(`Adapter Exception: ${error}`);
          done(error);
        }
      }).timeout(attemptTimeout);
    });
